commit 57e23d310291a632ea8e16b7b8e5b97f7f289680
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 22:57:02 2012 +0100

    bump version to 0.2.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0f519e3d6701718166433df852fd1bcb557cab15
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 22:55:50 2012 +0100

    docs: add information about opencl

 docs/index-static.txt.in |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 3231b457726fe5060555b75ccd71202679e138f9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 22:41:10 2012 +0100

    bump babl dependency to 0.1.10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dc0bf2c5e9e25ab0b0b9d344942e52fd2fdf170e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 22:40:55 2012 +0100

    mark gamma test as broken

 tests/compositions/Makefile.am                |    2 +-
 tests/compositions/gamma-broken.xml           |   13 +++++++++++++
 tests/compositions/gamma.xml                  |   13 -------------
 tests/compositions/reference/gamma-broken.png |  Bin 0 -> 161310 bytes
 tests/compositions/reference/gamma.png        |  Bin 161310 -> 0 bytes
 5 files changed, 14 insertions(+), 14 deletions(-)

commit 376e3fef0cd33039f710508f67bded202f542583
Author: Jan Rüegg <rggjan@gmail.com>
Date:   Mon Mar 26 21:38:43 2012 +0200

    global-matting: resynced with rggjan's repo

    ! Changed matting reference image
    ! Fixed Copyright
    + Added levels to gegl chant for matting
    + Better adaption to gimp HACKORDNUNG
    c Adapted user message
    c Cleanup
    - Removed unused function
    ! Fixed nasty memory bug

 operations/common/matting-global.c              |  542
 ++++++++++-------------
 tests/compositions/matting-global.xml           |    7 +-
 tests/compositions/reference/matting-global.png |  Bin 52292 ->
 1241155 bytes
 3 files changed, 236 insertions(+), 313 deletions(-)

commit 5ce5671d35b3b5c0cfcb05e847228001b40cdbee
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Mon Apr 2 21:42:50 2012 +0200

    NEWS: remove doubled spaces

 NEWS |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 163625cfe0b390a59bc8afeb18d144f2be9040a3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:51:43 2012 +0100

    gegl-init: default to not use OpenCL

    For the upcoming release only,. it is not stable enough to be
    enabled by
    defualt, memory leaks and some imprecisions are currently blocking it.

 gegl/gegl-init.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 68ccdb92b1e1f8b16206dd17ce5e6598dccec6eb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:50:29 2012 +0100

    use non-cl rendering for clones test

 tests/compositions/reference/clones.png |  Bin 766734 -> 789205 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit a937188c2cb49e013c5dd39fdaa5c5b8743a85c8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:31:42 2012 +0100

    operation: remove processor code for SIMD dispatch

    No longer needed, using OpenCL is better.

 gegl/operation/Makefile.am                 |    1 -
 gegl/operation/gegl-operation-processors.c |  246
 ----------------------------
 gegl/operation/gegl-operation.h            |    6 -
 3 files changed, 0 insertions(+), 253 deletions(-)

commit 6a0e67887ce98c234022414c5c8a69305ada9fe8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:21:23 2012 +0100

    NEWS: add Jon Nordby to contributors

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 8671f62be72429231cc840a415da366daf105393
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 18:20:01 2012 +0100

    update reference image for clones, it is correct again

 tests/compositions/reference/clones.png |  Bin 789206 -> 766734 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit a5db476afebd8d6db4ef61298f2e7ff20b9fa797
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Mon Apr 2 19:03:38 2012 +0200

    Bug 656272: Affine transformations are wrong

 operations/transform/transform-core.c              |    4 ++--
 tests/compositions/reference/clones.png            |  Bin 802439 ->
 789206 bytes
 .../compositions/reference/composite-transform.png |  Bin 16350 ->
 16378 bytes
 3 files changed, 2 insertions(+), 2 deletions(-)

commit facbddda49c43596b694b4098f4a97cdd74684c5
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Apr 2 18:55:29 2012 +0200

    Remove gegl_processor_destroy also from header

    The function was removed in
    a6c6b5fd99f33f04608b05cd0930a22bc3f8603e

 gegl/gegl.h                   |    2 +-
 gegl/process/gegl-processor.h |    2 --
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 01abcf617753df34e149a9633278c1be26b74231
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 17:04:43 2012 +0100

    buffer: remove remnants of simd data type from cubic sampler

 gegl/buffer/gegl-sampler-cubic.c |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit 8c4f835f2f617e150a8ee0bbe53de54243e2dc54
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 16:15:16 2012 +0100

    GeglColor: remove gegl_color_get_rgba4f

    gegl_color_get_pixel with babl_format ("RGBA float"), serves the
    same purpose.

 gegl/property-types/gegl-color.c      |   11 -----------
 gegl/property-types/gegl-color.h      |   11 -----------
 operations/common/checkerboard.c      |    4 ++--
 operations/common/color-to-alpha.c    |    2 +-
 operations/common/color.c             |    2 +-
 operations/common/grid.c              |    2 +-
 operations/common/vignette.c          |    4 ++--
 operations/external/path.c            |    2 +-
 operations/external/text.c            |    2 +-
 operations/workshop/linear-gradient.c |    4 ++--
 operations/workshop/radial-gradient.c |    4 ++--
 11 files changed, 13 insertions(+), 35 deletions(-)

commit fc0cfd45551e8a1237118f9757ffbae360896818
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 15:48:38 2012 +0100

    buffer: add padding to GeglSampler for future ABI proofing

 gegl/buffer/gegl-sampler.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3fc013cf80c6f07afabec476240fc751501f97be
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 14:12:19 2012 +0100

    add GEGL_RECTANGLE macro using a compound literal

    A utility macro to specify a pointer to a GeglRectangle inline,
    permits
    more concicse

 gegl/gegl-types.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit d842506c88a019b5657f449f829468cf9d8ced00
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 13:37:51 2012 +0100

    tests: update reference images, after boundingbox fix for integer
    translate

 tests/compositions/reference/jp2-load.png    |  Bin 1556 -> 1485 bytes
 tests/compositions/reference/rgb-params.gegl |  Bin 131368 -> 131368
 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit bffe252251066a746815091c0f3a5670b60c7548
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 13:25:29 2012 +0100

    po: regenerated POTFILES.in

 po/POTFILES.in |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 413df484373ca4e2a92f01a451695d937c6a5f95
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 13:25:13 2012 +0100

    po: add rule to regenerate POTFILES.in

 po/Makefile.in.in |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit f48fc11d559eed0a70be769883ad742beb2c5a5f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 13:17:20 2012 +0100

    ops/transform: do not expand bounding box by sampler-size when
    fast-translate is possible

 operations/transform/transform-core.c |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit 898fa8852d2c9837754262801f2c5912825782e2
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Mon Apr 2 13:43:05 2012 +0200

    Correct some typos and remove duplications

 NEWS |   27 ++++++++++++---------------
 1 files changed, 12 insertions(+), 15 deletions(-)

commit 0a1f1b79e173d66810921a6270674c76aff5bbb1
Author: Michael Muré <mure.michael@gmail.com>
Date:   Mon Apr 2 20:20:33 2012 +0900

    NEWS: small typo

 NEWS |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 29edb7f0008ade4d5b778766faecdb0530d20720
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 11:56:14 2012 +0100

    docs: update contribute.html

 docs/contribute.html |   47
 +++++++++++++----------------------------------
 1 files changed, 13 insertions(+), 34 deletions(-)

commit b3f79fb4db791559a30ae6cbf21395d1fed92685
Author: Michael Muré <mure.michael@gmail.com>
Date:   Mon Apr 2 04:53:12 2012 +0900

    gegl-options: print the mode in full text, not with the value of
    the enum

 bin/gegl-options.c |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit e0f9dad8ad50c4f28b395f8d549656687d282c5d
Author: Michael Muré <mure.michael@gmail.com>
Date:   Mon Apr 2 04:28:52 2012 +0900

    more readable help for gegl binary

 bin/gegl-options.c |   26 +++++++++++---------------
 1 files changed, 11 insertions(+), 15 deletions(-)

commit e822fd181b636ae205c0d3ddb14bc90a5c2ab0c5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 01:19:41 2012 +0100

    ops/value-invert: operate in sRGB gamma space

 operations/common/value-invert.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 313e95b07f2068a7f2a8725f382d7be164e7ce29
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 01:13:33 2012 +0100

    tests: fix more test environments that were too detailed

 tests/python/Makefile.am |    2 +-
 tests/xml/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 09f3d59c4a4de908de17debfa2d99760b351b78b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 00:57:18 2012 +0100

    po: s/affine/transform/

 po/POTFILES.in |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit d0c7c11862e491db74cc8803ecc7d7fe0d9bc62f
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 2 01:50:09 2012 +0200

    operations: some style cleanup in the transform ops

 operations/transform/reflect.c   |    8 ++++----
 operations/transform/rotate.c    |    6 +++---
 operations/transform/scale.c     |    8 +++++---
 operations/transform/shear.c     |    6 +++---
 operations/transform/transform.c |    2 +-
 operations/transform/translate.c |    6 +++---
 6 files changed, 19 insertions(+), 17 deletions(-)

commit 8f7468e5fb71dae7efe72c4dddef1a52dae2e5d3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 00:43:11 2012 +0100

    tests: only specify the toplevel opsdir for simple tests

 tests/simple/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0d6e5bcef83c70e58f126c68a2968c9a74e6d4c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 00:33:39 2012 +0100

    tests: use builds ops for buffer test

 tests/buffer/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 3c748f4e66f4c5ece8563879e023184e9f7b1cc8
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 2 01:29:41 2012 +0200

    Fix generation of gegl-major.minor.pc

 Makefile.am  |    4 +---
 configure.ac |    7 ++++++-
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 30da2a9b3def9ddca84098767ae142b5d99695b2
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Apr 2 01:19:48 2012 +0200

    Update .gitignore

 .gitignore |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 56050f3ac3a399f68194c99d98bbe326cfb3e8c6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Apr 2 00:01:56 2012 +0100

    build: use gegl-major-minor.pc as name of pc file

 Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 575388c687bc832e3c1e3127abaf0266498bd06e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 23:49:23 2012 +0100

    ops: renamed affine to transform

    It does perspective transforms as well now :)

 configure.ac                          |    2 +-
 operations/Makefile.am                |    2 +-
 operations/affine/.gitignore          |    7 -
 operations/affine/Makefile.am         |   20 -
 operations/affine/affine.c            | 1079
 ---------------------------------
 operations/affine/affine.h            |   42 --
 operations/affine/chant.h             |  349 -----------
 operations/affine/module.c            |   67 --
 operations/affine/module.h            |   15 -
 operations/affine/reflect.c           |   62 --
 operations/affine/rotate.c            |   49 --
 operations/affine/scale.c             |   47 --
 operations/affine/shear.c             |   49 --
 operations/affine/transform.c         |   45 --
 operations/affine/translate.c         |   49 --
 operations/transform/.gitignore       |    7 +
 operations/transform/Makefile.am      |   20 +
 operations/transform/chant.h          |  349 +++++++++++
 operations/transform/module.c         |   67 ++
 operations/transform/module.h         |   15 +
 operations/transform/reflect.c        |   62 ++
 operations/transform/rotate.c         |   49 ++
 operations/transform/scale.c          |   47 ++
 operations/transform/shear.c          |   49 ++
 operations/transform/transform-core.c | 1079
 +++++++++++++++++++++++++++++++++
 operations/transform/transform-core.h |   42 ++
 operations/transform/transform.c      |   45 ++
 operations/transform/translate.c      |   49 ++
 28 files changed, 1882 insertions(+), 1882 deletions(-)

commit 52c9d23c16961575316b1cb9497547bfaeb06da8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 23:33:49 2012 +0100

    NEWS: summarize changes thus far

 NEWS |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit df4e2bcb426878b8da43d6fa7004d0fa907906ce
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 22:07:00 2012 +0100

    buffer: further early bailing to avoid traversing full tile cache

 gegl/buffer/gegl-tile-handler-cache.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit e60a968ee4f4dab7ebb1ef793e990aa5c693f812
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 21:35:53 2012 +0100

    buffer: add more early bails when tile-cache-handlers have no caches

 gegl/buffer/gegl-tile-handler-cache.c |   50
 ++++++++++++++++++--------------
 1 files changed, 28 insertions(+), 22 deletions(-)

commit 0299abd3982ef45f05675d85521136a30e3eb983
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 21:26:35 2012 +0100

    buffer: avoid iterating tile cache unnecesarily

    Only iterate the tile cache looking for droppable tiles when the
    tile-cache-handler is known to have cached tiles.

    Also added a sanity balance check in dispose of cache-handler.

 gegl/buffer/gegl-tile-handler-cache.c |   11 +++++++++++
 gegl/buffer/gegl-tile-handler-cache.h |    1 +
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 2cd3074dffaf1f70ff0f6df65e9225cc70ce644f
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Apr 1 22:24:13 2012 +0200

    Updated Slovenian translation

 po/sl.po |  975
 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 396 insertions(+), 579 deletions(-)

commit 0142c23b03f370b3a6d4b4b9897c3cb0f4ef9dde
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Apr 1 16:50:36 2012 -0300

    cl: More color conversion from and to R'G'B'A u8 and R'G'B' u8

 gegl/opencl/gegl-cl-color-kernel.h |  150
 +++++++++++++++++++++++++++++++++++-
 gegl/opencl/gegl-cl-color.c        |   31 +++++++-
 2 files changed, 179 insertions(+), 2 deletions(-)

commit bae7472d63a28f2ff4698938c58092454de5a2c1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 20:48:07 2012 +0100

    op/gaussian-blur: replace some fdivs with fmul

    Floating point multiplication is faster than division.

 operations/common/gaussian-blur.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit bc0d2f449e7a7d099408b1dac115a67b61c1db02
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Mar 19 17:31:51 2012 -0300

    Add OpenCL support for gegl:vignette

 operations/common/vignette.c |  174
 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 170 insertions(+), 4 deletions(-)

commit 0c7cd54327393ab8c7d414ce51efb254b1f21ad9
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:36:04 2012 +0800

    Add OpenCL support for gegl:snn-mean

 operations/common/snn-mean.c |  214
 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 211 insertions(+), 3 deletions(-)

commit bc318eddc85ee143dba7b28f73d3176f0e7b8210
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Mar 19 17:12:14 2012 -0300

    Add OpenCL support for gegl:pixelise

 operations/common/pixelize.c |  156
 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 156 insertions(+), 0 deletions(-)

commit 7e281f0977a38431e7bb275d6037a9052c94a543
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Mar 18 01:32:12 2012 -0300

    Add OpenCL support for gegl:noise-reduction

 operations/common/noise-reduction.c |  223
 +++++++++++++++++++++++++++++++++++
 1 files changed, 223 insertions(+), 0 deletions(-)

commit 3494ff4c04b03ff24825b8fdfafe3e9972ca31e8
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Thu Mar 15 12:41:14 2012 -0300

    Add OpenCL support for gegl:motion-blur

 operations/common/motion-blur.c |  175
 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 175 insertions(+), 0 deletions(-)

commit a2c3d88e3b970afb85584f2470376394a3cffec7
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:35:38 2012 +0800

    Add OpenCL support for gegl:mono-mixer

 operations/common/mono-mixer.c |   94
 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 94 insertions(+), 0 deletions(-)

commit 66dc81a9bb390c206cf48f8e70624ddd22eb740d
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Mar 17 23:09:47 2012 -0300

    Add OpenCL support for gegl:gaussian-blur

 operations/common/gaussian-blur.c |  240
 ++++++++++++++++++++++++++++++++++++-
 1 files changed, 237 insertions(+), 3 deletions(-)

commit 772da394681bb0707d823c38befccbe3ec866158
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:34:37 2012 +0800

    Add OpenCL support for gegl:edge-sobel

 operations/common/edge-sobel.c |  153
 +++++++++++++++++++++++++++++++++++++++-
 1 files changed, 151 insertions(+), 2 deletions(-)

commit a2daee75b7ecf8eb671a8f9f0ce995c4cb947703
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:39:41 2012 +0800

    Add OpenCL support for gegl:edge-laplace

 operations/common/edge-laplace.c |  284
 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 280 insertions(+), 4 deletions(-)

commit 969feed68f04e6e1daa2f8ef97f12410f944866f
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Thu Mar 15 12:18:44 2012 -0300

    Add OpenCL support for gegl:c2g

 operations/common/c2g.c |  310
 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 305 insertions(+), 5 deletions(-)

commit cedcdfab5b95fde2414a09f9dc840596bde0733e
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:38:00 2012 +0800

    Add OpenCL support for gegl:bilateral-filter

 operations/common/bilateral-filter.c |  130
 ++++++++++++++++++++++++++++++++++
 1 files changed, 130 insertions(+), 0 deletions(-)

commit 116bedb850b8eecad43ced5ecdfadca0edc63f90
Author: Zhang Peixuan <zhangpeixuan.cn@gmail.com>
Date:   Tue Mar 6 17:41:10 2012 +0800

    Add OpenCL support for gegl:grey

 operations/common/grey.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 25fe8d705b9047f646ff2e2283c1c53b94969f1e
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 7 09:31:41 2012 -0300

    Add OpenCL support for gegl:levels

 operations/common/levels.c |   79
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 79 insertions(+), 0 deletions(-)

commit 06aed852fad573945f8779f4be17f466fd154547
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Apr 1 15:00:23 2012 -0300

    cl: A reasonable chunk_size for OpenCL

 gegl/opencl/gegl-cl-init.h    |    2 ++
 gegl/process/gegl-processor.c |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 388ee7426a571080ea5746cce46e90f2a34caf9f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Apr 1 14:20:32 2012 -0300

    cl: fixing compiler warnings

 gegl/opencl/gegl-cl-init.c       |    2 +-
 operations/common/write-buffer.c |    9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 07d039b829ac7514852c145955bb2ce9033fe364
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Mar 31 16:18:02 2012 -0300

    cl: cosmetic changes

 operations/common/box-blur.c          |    2 ++
 operations/common/color-temperature.c |    3 ++-
 operations/common/invert.c            |    1 +
 operations/common/opacity.c           |    1 +
 operations/common/over.c              |    4 ++--
 operations/common/threshold.c         |    1 +
 6 files changed, 9 insertions(+), 3 deletions(-)

commit 04766e56fde4b00a85d8d9c1cbdd42ff4caec22a
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 15:32:07 2012 +0400

    operations: more fixes in places spotted by Chris Leonard

 operations/affine/affine.c            |    4 ++--
 operations/common/dropshadow.c        |    8 ++++----
 operations/workshop/linear-gradient.c |   12 ++++++------
 3 files changed, 12 insertions(+), 12 deletions(-)

commit f327265290da4ae5d8c76220acbd47058a563655
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 15:21:04 2012 +0400

    operations: fixed typos and dots spotted by Chris Leonard

 gegl/gegl-init.c                      |    4 ++--
 operations/affine/affine.c            |    2 +-
 operations/common/c2g.c               |    8 ++++----
 operations/common/fattal02.c          |    2 +-
 operations/common/fractal-explorer.c  |    2 +-
 operations/common/gaussian-blur.c     |    4 ++--
 operations/common/layer.c             |    4 ++--
 operations/common/polar-coordinates.c |    6 +++---
 operations/common/stress.c            |    8 ++++----
 9 files changed, 20 insertions(+), 20 deletions(-)

commit 483a59700ebaffdb9bdad9c5b6302a9b88219489
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Apr 1 12:50:59 2012 +0200

    Updated spanish translation

 po/LINGUAS |    1 +
 po/es.po   | 3342
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3343 insertions(+), 0 deletions(-)

commit 5e833aceb1c4d6706d378b58df9275c25602db3b
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sun Apr 1 10:46:45 2012 +0200

    operations: Include gi18n-lib.h in noise-reduction.c

    It has localized strings.

 operations/common/noise-reduction.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 03dc66091f1d00f2a2d78a819d4f370f2b53fbc1
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sun Apr 1 10:25:16 2012 +0200

    Revert accidental bogus property name rename

 operations/affine/affine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea84ddd73167d985dbd39865af945b885df4a389
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 12:04:23 2012 +0400

    Updated Russian translation

 po/ru.po |  488
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 260 insertions(+), 228 deletions(-)

commit fe1cdad0ade73ba349f67688962f7ee37d849f84
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 11:41:07 2012 +0400

    No more dots in the end of tooltips in ops. Proper capitalization
    in some of them.

 operations/workshop/box-max.c         |    2 +-
 operations/workshop/box-min.c         |    2 +-
 operations/workshop/box-percentile.c  |    4 ++--
 operations/workshop/color-reduction.c |    2 +-
 operations/workshop/color-rotate.c    |    2 +-
 operations/workshop/deinterlace.c     |    2 +-
 operations/workshop/linear-gradient.c |    6 +++---
 operations/workshop/mandelbrot.c      |    2 +-
 operations/workshop/noise-spread.c    |    2 +-
 operations/workshop/plasma.c          |    2 +-
 operations/workshop/radial-gradient.c |    6 +++---
 operations/workshop/red-eye-removal.c |    2 +-
 operations/workshop/snn-percentile.c  |    2 +-
 13 files changed, 18 insertions(+), 18 deletions(-)

commit 627437a7a3972b1007466b183de6d00c4d3f4e8b
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 11:13:46 2012 +0400

    It's JPEG 2000, not JPEG-2000. Officially.

 operations/external/jp2-load.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 8a499da65e7765e697e2a8c57d28ef5bb93b2b36
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 11:11:44 2012 +0400

    Removed dots from the end of tooltips in user-visible messages in ops

 operations/common/noise.c                |    2 +-
 operations/common/polar-coordinates.c    |    6 +++---
 operations/common/unsharp-mask.c         |    4 ++--
 operations/external/ff-load.c            |    6 +++---
 operations/external/jp2-load.c           |    4 ++--
 operations/external/jpg-load.c           |    2 +-
 operations/external/jpg-save.c           |    4 ++--
 operations/external/path.c               |   18 +++++++++---------
 operations/workshop/convolution-matrix.c |    2 +-
 operations/workshop/cubism.c             |    2 +-
 operations/workshop/emboss.c             |    2 +-
 11 files changed, 26 insertions(+), 26 deletions(-)

commit 52c350b31c475b3e0492563b631f4dd63ef80222
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:53:41 2012 +0400

    Added noise reduction to the list of translatable ops, marked its
    messages for translation

 operations/common/noise-reduction.c |    2 +-
 po/POTFILES.in                      |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit ee4375efd8c59baaec4140e8809348d4eec11b3b
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:41:34 2012 +0400

    No more dots in the end of tooltips in box blur, checkerboard and
    grid ops

 operations/common/box-blur.c     |    4 ++--
 operations/common/checkerboard.c |    8 ++++----
 operations/common/grid.c         |   12 ++++++------
 3 files changed, 12 insertions(+), 12 deletions(-)

commit a7db704d0161bc85e898198c0e8617fe6189aa59
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:30:22 2012 +0400

    Fixed typos and improved formatting consistency in user-visible
    messages of affine ops

 operations/affine/affine.c    |    6 +++---
 operations/affine/reflect.c   |    4 ++--
 operations/affine/rotate.c    |    2 +-
 operations/affine/scale.c     |    4 ++--
 operations/affine/shear.c     |    6 +++---
 operations/affine/translate.c |    6 +++---
 6 files changed, 14 insertions(+), 14 deletions(-)

commit c059d5d9e7aecd63bd564b57ac684e602cb21ced
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Apr 1 08:26:34 2012 +0200

    Added sl for Slovenian translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5f262b0ea408a3c8d418da8ecf2bb2aa221f0e06
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Apr 1 08:26:22 2012 +0200

    Added Slovenian translation

 po/sl.po | 3691
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 3691 insertions(+), 0 deletions(-)

commit c598ca21dfb6e77b4f10cfdf00728bbd83308bed
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:21:53 2012 +0400

    Fixed a typo in the warp operation

 operations/workshop/warp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f70b41aa2caa5242d0379e50cf6004f9a979b0c6
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:10:24 2012 +0400

    Consistent capitalization in user-visible messages in the vignette op

 operations/common/vignette.c |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit dcc1495d90f6e77c365f8351edd89bc24f0b7963
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 10:02:01 2012 +0400

    Swapped horizontal and vertical in lens-distortion op tooltips back
    to normal

 operations/common/lens-distortion.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 223cca14c5a5d08c9ca9e371e379d508b97a04b4
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 09:39:48 2012 +0400

    Added initial Russian translation

 po/LINGUAS |    1 +
 po/ru.po   | 3362
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3363 insertions(+), 0 deletions(-)

commit 42eae26b70555e60bf6a0279de45cae45c64a864
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Apr 1 09:37:00 2012 +0400

    Marked messages in color temperature operation for translation

 operations/common/color-temperature.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e362e0e066f048e934d9c626669b016359738982
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 00:38:16 2012 +0100

    build: disable gobject introspection also on dist

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e9c552ae0eb4879126ccac59ef1cb184d9e3034
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 00:27:10 2012 +0100

    update po/POTFILES.in

    rename pixelise op, the POTFILES.in file should really really be
    autogenerated...

 po/POTFILES.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e78adfdce49249f5cb0c2684e7d33f3bc652053
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Apr 1 00:01:24 2012 +0100

    tests: rename pixelize test

 tests/compositions/Makefile.am            |    2 +-
 tests/compositions/pixelise.xml           |   14 --------------
 tests/compositions/pixelize.xml           |   14 ++++++++++++++
 tests/compositions/reference/pixelise.png |  Bin 5392 -> 0 bytes
 tests/compositions/reference/pixelize.png |  Bin 0 -> 5392 bytes
 5 files changed, 15 insertions(+), 15 deletions(-)

commit 13c31f5b858e4b81bc4b6cfaf054bc830d7d071e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 23:43:01 2012 +0100

    op/color-to-alpha: rename "value" property to "color"

 operations/common/color-to-alpha.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3ceeb519a74575cbd155c4e5f75ac092867666ac
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 21:59:37 2012 +0100

    ops: s/pixelise/pixelize/

 operations/common/pixelise.c |  186
 ------------------------------------------
 operations/common/pixelize.c |  186
 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 186 insertions(+), 186 deletions(-)

commit c6b4ced69cbfb7889fb7d6eaf0452fc046543ed0
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Mar 31 22:07:16 2012 +0200

    Remove ChangeLog.pre-0-1 from EXTRA_DIST for make distcheck

    It has been removed from the source tree.

 Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ed5a7ad372e6c819cdb203e3bde943b1c1a31620
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Mar 31 21:55:38 2012 +0200

    gegl: Update po/POTFILES.skip for make distcheck

 po/POTFILES.skip |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 839e43e33ae81a2c0f424bdaf92e6775e75b5e3e
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Mar 31 21:33:18 2012 +0200

    operations: Use gegl_operation_class_set_keys() in v4l so it builds

 operations/external/v4l.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 87afdace2da09ffbcc1dd8464378fb4075ee8aca
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Mar 31 15:37:16 2012 -0300

    cl: error handling

 operations/common/write-buffer.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ce5cd83cfec19ea9873a0c1e00921c313c16983c
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Mar 31 15:25:59 2012 -0300

    cl: Fixing more bugs and adding cl support to write-buffer

    so we can perform color conversion in the GPU for output

 gegl/buffer/gegl-buffer-access.c      |    1 +
 gegl/buffer/gegl-buffer-cl-iterator.c |    2 +
 gegl/buffer/gegl-tile-handler-cache.c |    7 +++--
 gegl/opencl/gegl-cl-color.c           |    2 +-
 operations/common/write-buffer.c      |   38
 ++++++++++++++++++++++++++++++++-
 5 files changed, 45 insertions(+), 5 deletions(-)

commit bd4b91657287bfa646a382e64b3bbd0f6555d312
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 18:11:35 2012 +0100

    buffer: add a lock around cow dup/dedup

 gegl/buffer/gegl-tile.c        |   13 +++++++++++++
 operations/common/dropshadow.c |    2 +-
 2 files changed, 14 insertions(+), 1 deletions(-)

commit 87001f03ffd2a8d25885035d5cd7fc86fc657b64
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 31 16:04:01 2012 +0200

    Added Polish translation

 po/LINGUAS |    1 +
 po/pl.po   | 3606
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3607 insertions(+), 0 deletions(-)

commit 56e7cd5b8e9f3a65ca3f270443c0e9daad3c7dd7
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sat Mar 31 19:37:18 2012 +0900

    POTFILES.in: add missing files and update moved files

 po/POTFILES.in |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit bab08e588bd70a97d24355a0e583878442f0bda1
Merge: 742bd2a 559afa5
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sat Mar 31 18:43:54 2012 +0900

    Merge branch 'i18n'

commit 559afa5a901f701aabe1add5006fe228105a2b44
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sat Mar 31 16:52:41 2012 +0900

    POTFILES.in: update with all gegl source, using git grep -l
    _\(\".*\"\)

 po/POTFILES.in |  163 +++
 po/fr.po       | 3366
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 3492 insertions(+), 37 deletions(-)

commit 742bd2a74145ab9e8627cc8fefd8de12a1b7ac24
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 31 01:59:30 2012 +0100

    tools: fix NULL dereference in op doc generator

 tools/operation_reference.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f4004dbbb19c94128566ee052536917ddae99dfd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 23:45:04 2012 +0100

    ops: specify human ranges for op properties

 operations/common/bilateral-filter.c        |    4 ++--
 operations/common/box-blur.c                |    2 +-
 operations/common/brightness-contrast.c     |    4 ++--
 operations/common/c2g.c                     |    6 +++---
 operations/common/checkerboard.c            |    8 ++++----
 operations/common/difference-of-gaussians.c |    6 ++++--
 operations/common/dropshadow.c              |    8 ++++----
 operations/common/fractal-explorer.c        |    6 ++++--
 operations/common/grid.c                    |   12 ++++++------
 operations/common/lens-distortion.c         |    4 ++--
 operations/common/levels.c                  |   10 +++++-----
 operations/common/mono-mixer.c              |    9 ++++++---
 operations/common/motion-blur.c             |    8 ++++----
 operations/common/noise-reduction.c         |    2 +-
 operations/common/noise.c                   |   15 ++++++++++-----
 operations/common/posterize.c               |    2 +-
 operations/common/ripple.c                  |    4 ++--
 operations/common/snn-mean.c                |    2 +-
 operations/common/stress.c                  |    6 +++---
 operations/common/threshold.c               |    2 +-
 operations/common/unsharp-mask.c            |    5 +++--
 operations/common/waves.c                   |    4 ++--
 22 files changed, 71 insertions(+), 58 deletions(-)

commit abd1324394172c07bcfbea5400bcf47670246135
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 23:27:53 2012 +0100

    ops: remove whitebalance op

 operations/common/whitebalance.c |  184
 --------------------------------------
 1 files changed, 0 insertions(+), 184 deletions(-)

commit 2a2621474a064d4aea6aed3baf1bbf83c6317307
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 23:03:34 2012 +0100

    ops: move lens distortion from workshop to common

 operations/common/lens-distortion.c   |  325
 +++++++++++++++++++++++++++++++++
 operations/workshop/lens-distortion.c |  325
 ---------------------------------
 2 files changed, 325 insertions(+), 325 deletions(-)

commit 9fc9415d9bd02238cb1b07063692e7eb9dd16eb0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 22:52:00 2012 +0100

    move plasma to workshop - the recursive approach isn't really good
    for GEGL

 operations/common/plasma.c   |  392
 ------------------------------------------
 operations/workshop/plasma.c |  392
 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 392 insertions(+), 392 deletions(-)

commit 260e8bfc0af0ac2a12e175c88472fd294c914ee4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 21:57:09 2012 +0100

    buffer: add missing #include <string.h>

 gegl/buffer/gegl-buffer-cl-cache.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4ac1e6a086348865beb295a425bbcd659d1719dc
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 30 16:16:51 2012 -0300

    cl: support for R'G'B' u8 and R'G'B'A u8

 gegl/opencl/gegl-cl-color-kernel.h |   65
 ++++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-color.c        |   30 ++++++++++++++++-
 2 files changed, 94 insertions(+), 1 deletions(-)

commit a5c7770e26849a71ad0221eaa17a78226b6186a8
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 20:21:15 2012 +0100

    Use gamma hint for UI in gaussian-blur and pixelise

 operations/common/gaussian-blur.c |    4 ++--
 operations/common/pixelise.c      |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 09dc3a8aa4b026204be1cf182e94a00ba3daed14
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 20:21:00 2012 +0100

    Add gamma parameter to integer ui paramspecs

 gegl/gegl-chant.h                     |   16 ++++++++--------
 gegl/property-types/gegl-paramspecs.c |    3 +++
 gegl/property-types/gegl-paramspecs.h |    2 ++
 3 files changed, 13 insertions(+), 8 deletions(-)

commit e12f440e31030b6aea6750465698fb9a98811265
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Fri Mar 30 18:10:46 2012 +0200

    tests/buffer: s/gegl_buffer_destroy/g_object_unref/g

 tests/buffer/buffer-test.c                         |    2 +-
 tests/buffer/tests/buffer_shift_diagonal.c         |    6 +++---
 tests/buffer/tests/buffer_shift_horizontal.c       |    6 +++---
 tests/buffer/tests/buffer_shift_vertical.c         |    6 +++---
 tests/buffer/tests/disabled_abyss.c                |    6 +++---
 tests/buffer/tests/dup_linear_from_data.c          |    6 +++---
 tests/buffer/tests/get_shifted.c                   |    8 ++++----
 tests/buffer/tests/linear_from_data.c              |    2 +-
 tests/buffer/tests/linear_from_data_rows.c         |    2 +-
 tests/buffer/tests/linear_modify.c                 |    2 +-
 tests/buffer/tests/linear_new.c                    |    2 +-
 tests/buffer/tests/linear_proxy_modify.c           |    2 +-
 tests/buffer/tests/save_small_roi.c                |    4 ++--
 tests/buffer/tests/sub_rect_fills_and_gets.c       |    8 ++++----
 tests/buffer/tests/sub_sub_fill.c                  |    6 +++---
 tests/buffer/tests/sub_sub_fill2.c                 |    6 +++---
 tests/buffer/tests/test_blank.c                    |    2 +-
 tests/buffer/tests/test_checkerboard.c             |    2 +-
 tests/buffer/tests/test_gegl_buffer_copy.c         |    4 ++--
 .../tests/test_gegl_buffer_copy_lower_left.c       |    4 ++--
 .../tests/test_gegl_buffer_copy_lower_right.c      |    4 ++--
 tests/buffer/tests/test_gegl_buffer_copy_self.c    |    2 +-
 .../tests/test_gegl_buffer_copy_upper_left.c       |    4 ++--
 .../tests/test_gegl_buffer_copy_upper_right.c      |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_copy1.c    |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_copy2.c    |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_delete1.c  |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_delete2.c  |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_write1.c   |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_write2.c   |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_write3.c   |    4 ++--
 tests/buffer/tests/test_gegl_buffer_dup_write4.c   |    4 ++--
 tests/buffer/tests/test_gegl_buffer_iterator1.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator1sub.c |    4 ++--
 tests/buffer/tests/test_gegl_buffer_iterator2.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator2sub.c |    4 ++--
 tests/buffer/tests/test_gegl_buffer_iterator3.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator3sub.c |    4 ++--
 tests/buffer/tests/test_gegl_buffer_iterator4.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator4sub.c |    4 ++--
 tests/buffer/tests/test_get_buffer_scaled.c        |    2 +-
 tests/buffer/tests/test_get_buffer_scaled2.c       |    2 +-
 tests/buffer/tests/test_gray.c                     |    2 +-
 tests/buffer/tests/test_rectangle.c                |    2 +-
 tests/buffer/tests/test_sample.c                   |    8 ++++----
 tests/buffer/tests/vertical_gradient.c             |    2 +-
 46 files changed, 87 insertions(+), 87 deletions(-)

commit 2581de355ca5d4c723940db7e8d2aa52d3fb10d3
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 30 13:34:01 2012 -0300

    cl: Including 'used' parameter in cl-cache to avoid free'ing textures
    too soon

 gegl/buffer/gegl-buffer-cl-cache.c    |   37
 +++++++++++++++++++++++++++++++-
 gegl/buffer/gegl-buffer-cl-cache.h    |    3 ++
 gegl/buffer/gegl-buffer-cl-iterator.c |    6 +++++
 3 files changed, 44 insertions(+), 2 deletions(-)

commit b1c6f84d7f0a719186868cf45eca6955528fb3f5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 17:28:55 2012 +0100

    ops: make pixelize and gaussian-blur specify ui-ranges

 operations/common/gaussian-blur.c |    4 ++--
 operations/common/pixelise.c      |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 2ffc5b3ba865ea53f58d828a69b6c3532ed677b5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 17:21:00 2012 +0100

    property-types: remove duplicate typedef of GeglParamSpecString

 gegl/property-types/gegl-paramspecs.h |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit df32236a98b722bbac985f1693d0743e235e7ca1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 16:40:57 2012 +0100

    chant: add ui variants of property types with ui-ranges

 gegl/gegl-chant.h |  104
 ++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 79 insertions(+), 25 deletions(-)

commit 89231a1ad5a1fd5886051e57af7d629699b4e9d6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 15:58:47 2012 +0100

    introduce gegl paramspecs for doubles and ints

    These paramspecs contain adidtional ui ranges, that specify reasonably
    ranges
    for human interaction in addition to the paramspec classes they
    derive from.

 gegl/property-types/gegl-paramspecs.c |  141
 +++++++++++++++++++++++++++++++++
 gegl/property-types/gegl-paramspecs.h |   71 +++++++++++++++++
 2 files changed, 212 insertions(+), 0 deletions(-)

commit b84cbdf1826821ec116ecb8b4b5b97e1216e7425
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 30 11:18:37 2012 -0300

    Many fixes in opencl path

 gegl/buffer/gegl-buffer-cl-cache.c    |   19 +++++++++++--------
 gegl/buffer/gegl-buffer-cl-iterator.c |    8 ++++++--
 gegl/buffer/gegl-buffer-iterator.c    |    2 +-
 3 files changed, 18 insertions(+), 11 deletions(-)

commit f7c6a07e859eaf4b4b328deb6ca7cb8a30cbc1e4
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 30 15:03:17 2012 +0900

    add a .gitignore for the po directory

 po/.gitignore |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 2ff41889644bb935dd399a8297ec2cb15fd777c3
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 30 14:24:23 2012 +0900

    enable i18n in gegl
    only the ripple op is enabled for now
    a fr po file is added as demo

 Makefile.am       |    3 +-
 configure.ac      |    7 ++-
 po/LINGUAS        |    1 +
 po/Makefile.in.in |  220
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in    |    3 +
 po/fr.po          |   70 +++++++++++++++++
 6 files changed, 302 insertions(+), 2 deletions(-)

commit a1a77144c97a3ba21d14611d77bd592a92049db3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 02:42:46 2012 +0100

    property-types: remove unused paramspecs

 gegl/property-types/gegl-paramspecs.c |  270
 ---------------------------------
 gegl/property-types/gegl-paramspecs.h |  111 --------------
 2 files changed, 0 insertions(+), 381 deletions(-)

commit 7fab379584716aac2851a6f4ca04c6e473054d02
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 01:03:26 2012 +0100

    ops: moved noise spread back into workshop

    It only computes correctly for the first processing chunk.

 operations/common/noise-spread.c   |  177
 ------------------------------------
 operations/workshop/noise-spread.c |  177
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 177 insertions(+), 177 deletions(-)

commit 2fe03248cf2e8e9a9038a930a20d20baede34a08
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 30 00:54:39 2012 +0100

    build: depend on babl-0.1.8

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1d4b6d5be6c12f18c57306c595326585d26265d6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 21:52:53 2012 +0100

    s/gegl_buffer_destroy/g_object_unref

 operations/workshop/warp.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a6c6b5fd99f33f04608b05cd0930a22bc3f8603e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 21:31:23 2012 +0100

    remove wrappers for g_object_unref

    GEGL is a gobject API, having the wrappers for unreffing objects
    might lead to
    inconsistencies.

 gegl/buffer/gegl-buffer.c                 |    8 --------
 gegl/buffer/gegl-buffer.h                 |   10 ----------
 gegl/gegl.h                               |    9 ---------
 gegl/graph/gegl-node.c                    |    4 ++--
 gegl/process/gegl-processor.c             |   11 -----------
 tests/simple/test-change-processor-rect.c |    2 +-
 6 files changed, 3 insertions(+), 41 deletions(-)

commit 0ded3d950b8572403ef86204d8abed412e20e4fb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 19:49:00 2012 +0100

    operation: use base_init and not class_init for key hashtable

 gegl/operation/gegl-operation.c |   65
 ++++++++++++++++++++++++++++++---------
 gegl/operation/gegl-operation.h |    5 ++-
 2 files changed, 53 insertions(+), 17 deletions(-)

commit 4ccee9b6513751c6cf4913ee0ca65b43b43f954d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 18:47:25 2012 +0100

    %s/gegl_list_properties/gegl_operation_list_properties/

 bindings/pygegl/Gegl/gegl.defs     |    2 +-
 bindings/pygegl/Gegl/gegl.override |    6 +++---
 bindings/rgegl/src/rgegl-node.c    |    2 +-
 gegl/gegl-dot.c                    |    2 +-
 gegl/gegl-xml.c                    |    2 +-
 gegl/gegl.h                        |    6 +++---
 gegl/operation/gegl-operation.c    |    4 ++--
 gegl/operation/gegl-operation.h    |    3 +--
 8 files changed, 13 insertions(+), 14 deletions(-)

commit 1b7ea4207c78d46d87598a0765f093412e1694fe
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 17:56:47 2012 +0100

    operation: massive refactoring of how operation meta data is handled

    Operations can now hold arbitrary string based key/value pairs, this
    permits dynamically extending what is stored without needing to break
    API/ABI, it also means we can encode things like gimp menu paths or
    similar.

 gegl/operation/gegl-operation.c               |  120
 ++++++++++++++++++++++++-
 gegl/operation/gegl-operation.h               |   54 ++++++-----
 operations/affine/affine.c                    |    3 +-
 operations/affine/chant.h                     |    4 +-
 operations/common/bilateral-filter.c          |   12 ++-
 operations/common/box-blur.c                  |   10 +-
 operations/common/brightness-contrast.c       |   11 +--
 operations/common/buffer-sink.c               |    9 +-
 operations/common/buffer-source.c             |   10 +-
 operations/common/c2g.c                       |   14 ++--
 operations/common/checkerboard.c              |    8 +-
 operations/common/color-temperature.c         |   12 ++-
 operations/common/color-to-alpha.c            |    8 +-
 operations/common/color.c                     |   12 ++-
 operations/common/contrast-curve.c            |   10 ++-
 operations/common/difference-of-gaussians.c   |   10 ++-
 operations/common/display.c                   |   10 ++-
 operations/common/dropshadow.c                |   10 ++-
 operations/common/edge-laplace.c              |   10 ++-
 operations/common/edge-sobel.c                |   10 ++-
 operations/common/exp-combine.c               |   12 ++-
 operations/common/fattal02.c                  |   10 ++-
 operations/common/fractal-explorer.c          |    8 +-
 operations/common/gaussian-blur.c             |   10 ++-
 operations/common/gegl-buffer-load-op.c       |    8 +-
 operations/common/gegl-buffer-save-op.c       |    8 +-
 operations/common/grey.c                      |    8 +-
 operations/common/grid.c                      |    8 +-
 operations/common/introspect.c                |    8 +-
 operations/common/invert.c                    |   14 ++--
 operations/common/layer.c                     |    9 ++-
 operations/common/levels.c                    |    9 +-
 operations/common/load.c                      |   14 ++--
 operations/common/magick-load.c               |   10 ++-
 operations/common/mantiuk06.c                 |   10 ++-
 operations/common/map-absolute.c              |    9 +-
 operations/common/map-relative.c              |    9 +-
 operations/common/matting-global.c            |   15 ++--
 operations/common/mblur.c                     |    8 +-
 operations/common/mirrors.c                   |   10 ++-
 operations/common/mono-mixer.c                |    8 +-
 operations/common/motion-blur.c               |    8 +-
 operations/common/noise-reduction.c           |    8 +-
 operations/common/noise-spread.c              |    8 +-
 operations/common/noise.c                     |   12 ++-
 operations/common/opacity.c                   |   13 ++--
 operations/common/open-buffer.c               |    8 +-
 operations/common/over.c                      |   14 ++-
 operations/common/pixelise.c                  |   10 ++-
 operations/common/plasma.c                    |    8 +-
 operations/common/polar-coordinates.c         |    9 +-
 operations/common/posterize.c                 |   10 ++-
 operations/common/raw-load.c                  |   10 ++-
 operations/common/rectangle.c                 |   12 ++-
 operations/common/reinhard05.c                |   10 ++-
 operations/common/remap.c                     |   10 ++-
 operations/common/ripple.c                    |    8 +-
 operations/common/save.c                      |   10 ++-
 operations/common/snn-mean.c                  |   10 ++-
 operations/common/stress.c                    |   10 ++-
 operations/common/stretch-contrast.c          |   10 ++-
 operations/common/svg-huerotate.c             |    8 +-
 operations/common/svg-luminancetoalpha.c      |   10 ++-
 operations/common/svg-matrix.c                |    8 +-
 operations/common/svg-saturate.c              |    8 +-
 operations/common/threshold.c                 |   14 ++--
 operations/common/unsharp-mask.c              |   10 ++-
 operations/common/value-invert.c              |   11 ++-
 operations/common/vignette.c                  |    8 +-
 operations/common/waves.c                     |    8 +-
 operations/common/weighted-blend.c            |   10 ++-
 operations/common/whitebalance.c              |   11 ++-
 operations/common/write-buffer.c              |    8 +-
 operations/core/clone.c                       |   11 ++-
 operations/core/convert-format.c              |    9 +-
 operations/core/crop.c                        |    8 +-
 operations/core/nop.c                         |    8 +-
 operations/external/exr-load.cpp              |    8 +-
 operations/external/exr-save.cc               |    8 +-
 operations/external/ff-load.c                 |    8 +-
 operations/external/jp2-load.c                |    8 +-
 operations/external/jpg-load.c                |    8 +-
 operations/external/jpg-save.c                |   10 ++-
 operations/external/matting-levin.c           |   10 ++-
 operations/external/openraw.c                 |   10 ++-
 operations/external/path.c                    |    8 +-
 operations/external/pixbuf.c                  |   10 ++-
 operations/external/png-load.c                |    8 +-
 operations/external/png-save.c                |   10 ++-
 operations/external/ppm-load.c                |    8 +-
 operations/external/ppm-save.c                |   10 ++-
 operations/external/rgbe-load.c               |    8 +-
 operations/external/rgbe-save.c               |   10 ++-
 operations/external/save-pixbuf.c             |    8 +-
 operations/external/sdl-display.c             |   10 ++-
 operations/external/svg-load.c                |    8 +-
 operations/external/text.c                    |   11 ++-
 operations/external/vector-fill.c             |    8 +-
 operations/external/vector-stroke.c           |    8 +-
 operations/generated/add.c                    |   10 ++-
 operations/generated/clear.c                  |   12 ++-
 operations/generated/color-burn.c             |   10 ++-
 operations/generated/color-dodge.c            |   10 ++-
 operations/generated/darken.c                 |   11 ++-
 operations/generated/difference.c             |   11 ++-
 operations/generated/divide.c                 |   10 ++-
 operations/generated/dst-atop.c               |   12 ++-
 operations/generated/dst-in.c                 |   12 ++-
 operations/generated/dst-out.c                |   12 ++-
 operations/generated/dst-over.c               |   12 ++-
 operations/generated/dst.c                    |   12 ++-
 operations/generated/exclusion.c              |   11 ++-
 operations/generated/gamma.c                  |   10 ++-
 operations/generated/hard-light.c             |   10 ++-
 operations/generated/lighten.c                |   11 ++-
 operations/generated/math.rb                  |   10 ++-
 operations/generated/multiply.c               |   10 ++-
 operations/generated/other-blend.rb           |   12 ++-
 operations/generated/overlay.c                |   10 ++-
 operations/generated/plus.c                   |   11 ++-
 operations/generated/screen.c                 |   11 ++-
 operations/generated/soft-light.c             |   10 ++-
 operations/generated/src-atop.c               |   12 ++-
 operations/generated/src-in.c                 |   14 ++-
 operations/generated/src-out.c                |   12 ++-
 operations/generated/src-over.c               |   12 ++-
 operations/generated/src.c                    |   12 ++-
 operations/generated/subtract.c               |   10 ++-
 operations/generated/svg-12-blend.rb          |   36 +++++---
 operations/generated/svg-12-porter-duff.rb    |   23 +++--
 operations/generated/svg-multiply.c           |   10 ++-
 operations/generated/xor.c                    |   12 ++-
 operations/workshop/box-max.c                 |   10 ++-
 operations/workshop/box-min.c                 |   11 ++-
 operations/workshop/box-percentile.c          |   10 ++-
 operations/workshop/buffer-cache.c            |    8 +-
 operations/workshop/color-reduction.c         |   10 ++-
 operations/workshop/color-rotate.c            |    8 +-
 operations/workshop/convolution-matrix.c      |   10 ++-
 operations/workshop/cubism.c                  |    9 +-
 operations/workshop/deinterlace.c             |    8 +-
 operations/workshop/demosaic-bimedian.c       |   10 ++-
 operations/workshop/demosaic-simple.c         |   10 ++-
 operations/workshop/disc-percentile.c         |   10 ++-
 operations/workshop/ditto.c                   |    8 +-
 operations/workshop/emboss.c                  |    9 +-
 operations/workshop/external/ff-save.c        |    8 +-
 operations/workshop/external/gluas.c          |   10 ++-
 operations/workshop/external/lens-correct.c   |   10 ++-
 operations/workshop/external/line-profile.c   |   14 ++--
 operations/workshop/fractal-trace.c           |    8 +-
 operations/workshop/generated/average.c       |   10 ++-
 operations/workshop/generated/blend-reflect.c |   10 ++-
 operations/workshop/generated/blend.rb        |   10 ++-
 operations/workshop/generated/negation.c      |   10 ++-
 operations/workshop/generated/soft-burn.c     |   10 ++-
 operations/workshop/generated/soft-dodge.c    |   10 ++-
 operations/workshop/generated/subtractive.c   |   10 ++-
 operations/workshop/hstack.c                  |   10 ++-
 operations/workshop/kuwahara.c                |    8 +-
 operations/workshop/lens-distortion.c         |    9 +-
 operations/workshop/linear-gradient.c         |    8 +-
 operations/workshop/mandelbrot.c              |    8 +-
 operations/workshop/max-rgb.c                 |    8 +-
 operations/workshop/radial-gradient.c         |    8 +-
 operations/workshop/rawbayer-load.c           |   10 ++-
 operations/workshop/red-eye-removal.c         |    8 +-
 operations/workshop/snn-percentile.c          |   10 ++-
 operations/workshop/unpremul.c                |    8 +-
 operations/workshop/warp.c                    |    8 +-
 operations/workshop/whirl-pinch.c             |   10 ++-
 tools/operation_reference.c                   |   19 +++--
 172 files changed, 1190 insertions(+), 691 deletions(-)

commit 8048343ecd147b23c0b5033f53f4c22207cd509e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 18:46:16 2012 +0100

    remove old changelog

 ChangeLog.pre-0-1 |25091
 -----------------------------------------------------
 1 files changed, 0 insertions(+), 25091 deletions(-)

commit df2e43e1a68bd4c6cd05c87bc490fd4c09a4478c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 01:54:32 2012 +0100

    buffer: disable the locks on individual tiles

    Disabled it with #ifdefs, we might want it back, for now we do not
    make use of
    it in neither GEGL or GeglBuffer.

 gegl/buffer/gegl-buffer-private.h |    6 ++++++
 gegl/buffer/gegl-tile.c           |   12 ++++++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit 1d33aa11f714274b80319bcee720e79a31a5383e
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 29 01:39:27 2012 +0100

    buffer: only lock tiles that have the same format

    To avoid the tile being locked when writing back data with
    gegl_buffer_set.

 gegl/buffer/gegl-buffer-iterator.c |   23 +++++++++++++++--------
 1 files changed, 15 insertions(+), 8 deletions(-)

commit 0c087d4274275dbdc580af3b6186c444a64122cb
Author: Michael Henning <mikehenning@eclipse.net>
Date:   Mon Mar 26 19:44:52 2012 -0400

    Don't try to install gegl.devhelp if ruby isn't present.

    gegl.devhelp is generated by tools/create-reference.rb
    Without ruby we should not attempt to install it.

 docs/Makefile.am |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 3bca35ca3da94c6bf8966b9c4aeff229b3686f38
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:36:47 2012 +0100

    remove deprecated lanczos-width property

 docs/gallery/clones.xml       |    5 -----
 tests/compositions/clones.xml |    5 -----
 2 files changed, 0 insertions(+), 10 deletions(-)

commit 5599de56527aab559a35b6e1e65e9f0896091189
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:31:58 2012 +0100

    buffer: remove lanczos sampler

 gegl/buffer/Makefile.am            |    2 -
 gegl/buffer/gegl-buffer-access.c   |    1 -
 gegl/buffer/gegl-buffer.c          |    1 -
 gegl/buffer/gegl-buffer.h          |    6 +-
 gegl/buffer/gegl-sampler-lanczos.c |  294
 ------------------------------------
 gegl/buffer/gegl-sampler-lanczos.h |   54 -------
 gegl/buffer/gegl-sampler.c         |   18 +--
 gegl/gegl-enums.h                  |    1 -
 8 files changed, 6 insertions(+), 371 deletions(-)

commit df2fcf556828f47ae4b53b31f0da5edf8cf43a6d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:37:04 2012 +0100

    tests: update to newer API

 tests/buffer/buffer-test.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit fa30e61de9242e78760ab7895ef87837817abf34
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:34:41 2012 +0100

    affine: remove debug print

 operations/affine/affine.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 4e95889ba1b754fe08d0de65b2b3d74b389ddf03
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 28 00:08:11 2012 +0100

    affine: fix scale matrix for sampler

    The op was keeping the scale matrix constant, the scale matrix
    varies for
    every pixel for perspective (non-affine) transforms.

 operations/affine/affine.c |  133
 +++++++++++++++++++++++++++++++++++++++----
 1 files changed, 120 insertions(+), 13 deletions(-)

commit 918e7e586c737e87db5e9d45801099032a1932c8
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Mar 27 22:51:00 2012 +0200

    buffer: make src pointer in gegl_buffer_set() const

 gegl/buffer/gegl-buffer-access.c  |    6 +++---
 gegl/buffer/gegl-buffer-private.h |    2 +-
 gegl/buffer/gegl-buffer.h         |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit b55dfabf27d7ebf358151e1bb8016755b85778f4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 19:04:06 2012 +0100

    buffer: move the hot tile from buffer to storage

    This was needed to permit dropping the hot tile when the cache of
    the storage
    is resynced (the tiles are dropped to be re-fetched from the backend).

 gegl/buffer/gegl-buffer-access.c      |   38
 +++++++++++---------------------
 gegl/buffer/gegl-buffer-private.h     |    3 +-
 gegl/buffer/gegl-buffer.c             |   34
 ++++++++++-------------------
 gegl/buffer/gegl-tile-handler-cache.c |   15 +++++++-----
 gegl/buffer/gegl-tile-handler-cache.h |    6 +++++
 gegl/buffer/gegl-tile-storage.c       |    1 +
 gegl/buffer/gegl-tile-storage.h       |    3 ++
 7 files changed, 45 insertions(+), 55 deletions(-)

commit c2af98732cd9a05dbf8926a21b5acd346544a07e
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Mar 27 14:59:25 2012 -0300

    missing header

 gegl/buffer/gegl-tile-handler-cache.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4ed0d3e09197406ec446224c6aaf7465440101d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 18:18:03 2012 +0100

    buffer: make previous cl commit compile

 gegl/buffer/gegl-buffer-cl-cache.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70c96296f82963125111617786961930f2c77214
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Mar 27 12:45:20 2012 -0300

    Improving cl-cache

    nowi opencl synchronization is done in tile-handler-cache

 gegl/buffer/gegl-buffer-access.c      |   16 +--
 gegl/buffer/gegl-buffer-cl-cache.c    |  273
 ++++++++-------------------------
 gegl/buffer/gegl-buffer-cl-cache.h    |   20 +--
 gegl/buffer/gegl-buffer.c             |    2 +-
 gegl/buffer/gegl-tile-handler-cache.c |    5 +
 gegl/operation/gegl-operation-sink.c  |    3 -
 operations/affine/affine.c            |    8 -
 operations/core/clone.c               |    3 -
 operations/core/crop.c                |    3 -
 9 files changed, 86 insertions(+), 247 deletions(-)

commit 16780d07095d1cf64ce782d0367738eb115b8636
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 28 10:34:46 2012 -0300

    removing unused variable warning

 gegl/opencl/gegl-cl-init.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 732d37d353118becb3a8ead656baf7472aadbaa3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 13:31:17 2012 +0100

    operation: add a bunch of string meta-data to the class

 gegl/operation/gegl-operation.h |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit 50c72661cef6970587c7d30a471e094a2c690346
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 03:16:08 2012 +0100

    buffer: add fast path for nearest neighbour in gegl_buffer_sample

    Note that neither gegl_buffer_sample itself nor the new fast path
    are thread
    safe. This should ideally change.

 gegl/buffer/gegl-buffer-access.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 28a2e849c591c79c86144d8d3f52f3e5d75bf8fe
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 01:22:18 2012 +0100

    buffer: permit gegl_buffer_sample with NULL format

 gegl/buffer/gegl-buffer-access.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 457850d71d15512fd669c80149de5f4f58aa37c2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 01:13:56 2012 +0100

    ops: move plasma out of workshop

 operations/common/plasma.c   |  390
 ++++++++++++++++++++++++++++++++++++++++++
 operations/workshop/plasma.c |  390
 ------------------------------------------
 2 files changed, 390 insertions(+), 390 deletions(-)

commit faef573007422ee898dd711b85cae12e52ed4551
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 01:12:25 2012 +0100

    ops: rename gegl:spread to gegl:noise-spread

 operations/common/noise-spread.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 9d7e653a09fbd07d7beeb176f12dd16b534a33ef
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 01:10:40 2012 +0100

    ops: move noise-spread out of workshop

 operations/common/noise-spread.c   |  176
 ++++++++++++++++++++++++++++++++++++
 operations/workshop/noise-spread.c |  176
 ------------------------------------
 2 files changed, 176 insertions(+), 176 deletions(-)

commit 1a0fbc29c418f4116544294daaf79bd3a24032ff
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:40:05 2012 +0100

    ops: move posterize out of workshop

 operations/common/posterize.c   |   85
 +++++++++++++++++++++++++++++++++++++++
 operations/workshop/posterize.c |   85
 ---------------------------------------
 2 files changed, 85 insertions(+), 85 deletions(-)

commit ce5c8a090bdeea2e03b918be51f2f0dc84c83af0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:36:20 2012 +0100

    ops: move color-to-alpha from workshop to common

 operations/common/color-to-alpha.c   |  172
 ++++++++++++++++++++++++++++++++++
 operations/workshop/color-to-alpha.c |  172
 ----------------------------------
 2 files changed, 172 insertions(+), 172 deletions(-)

commit dac72590eee6f4073e6d4eb556164a7163afb255
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:35:36 2012 +0100

    ops: moved waves and ripple out of workshop

 operations/common/ripple.c   |  166
 ++++++++++++++++++++++++++++++++++++++++++
 operations/common/waves.c    |  166
 ++++++++++++++++++++++++++++++++++++++++++
 operations/workshop/ripple.c |  166
 ------------------------------------------
 operations/workshop/waves.c  |  166
 ------------------------------------------
 4 files changed, 332 insertions(+), 332 deletions(-)

commit 5051984446022877498257df32c1de5353b19c2d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:26:59 2012 +0100

    ops: moved polar-coordinates from workshop to common

 operations/common/polar-coordinates.c   |  405
 +++++++++++++++++++++++++++++++
 operations/workshop/polar-coordinates.c |  405
 -------------------------------
 2 files changed, 405 insertions(+), 405 deletions(-)

commit 798e662ececf79f2b03d5d98eab19335c8ffcc19
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:24:22 2012 +0100

    workshop: remove kuwhara-min and kuwahara-max

    Buggy and unlikely to be very useful.

 operations/workshop/external/ff-save.c |    2 +-
 operations/workshop/kuwahara-max.c     |  245
 --------------------------------
 operations/workshop/kuwahara-min.c     |  245
 --------------------------------
 3 files changed, 1 insertions(+), 491 deletions(-)

commit 9929574a00f76dd5bb55a6d194d588e87376061a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 27 00:21:58 2012 +0100

    workshop/lens-distortion: use cubic interpolation

    It was using nearest, cubic is better (should maybe pass the inverse
    matrix as
    well for even higher precision.)

 operations/workshop/lens-distortion.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 34e2b6e0302b0b6ed2c01b2755316181da4b4598
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 20:12:20 2012 +0100

    debug: fix opencl debug filter

 gegl/gegl-debug.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 199eded1a8061b3fba167d4a3048abfe80a92188
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 18:19:16 2012 +0100

    buffer: add abyss policy to cl iterator

 gegl/buffer/gegl-buffer-cl-iterator.c          |   13 ++++++++-----
 gegl/buffer/gegl-buffer-cl-iterator.h          |    9 ++++++---
 gegl/operation/gegl-operation-point-composer.c |    6 +++---
 gegl/operation/gegl-operation-point-filter.c   |    4 ++--
 operations/common/box-blur.c                   |    6 +++---
 5 files changed, 22 insertions(+), 16 deletions(-)

commit 87f6b30fa705646f4897a00741c9455ea58f150b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 18:03:21 2012 +0100

    buffer: add abyss policy to iterator

 gegl/buffer/gegl-buffer-access.c                |   12 ++++++++----
 gegl/buffer/gegl-buffer-iterator.c              |   18 ++++++++++--------
 gegl/buffer/gegl-buffer-iterator.h              |    7 ++++---
 gegl/operation/gegl-operation-point-composer.c  |    6 +++---
 gegl/operation/gegl-operation-point-composer3.c |   10 +++++-----
 gegl/operation/gegl-operation-point-filter.c    |    4 ++--
 gegl/operation/gegl-operation-point-render.c    |    2 +-
 operations/affine/affine.c                      |    2 +-
 operations/common/map-absolute.c                |    6 +++---
 operations/common/map-relative.c                |    6 +++---
 operations/workshop/warp.c                      |    4 ++--
 11 files changed, 42 insertions(+), 35 deletions(-)

commit 574e6d0ffb10476a1526d3db0845b0e96de3a922
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Mar 26 19:19:24 2012 +0200

    property-types: don't comment out default value handling in
    GeglParamSpecColor

 gegl/property-types/gegl-color.c |   17 ++++++++---------
 1 files changed, 8 insertions(+), 9 deletions(-)

commit 5f128f8642ff1a98ad1a4c3e664ae253425f55d4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 17:11:12 2012 +0100

    ff-save: s/guess_format/av_guess_format/

 operations/workshop/external/ff-save.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 32f131df8340c6274230956de0405e348914fae4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 17:07:54 2012 +0100

    make API of gegl_buffer_iterator more consistent

    Other buffer APIs have the level argument as the third argument
    after the
    rect, also added the level argument to the add call.

 gegl/buffer/gegl-buffer-access.c                |    8 ++++----
 gegl/buffer/gegl-buffer-iterator.c              |   11 ++++++++---
 gegl/buffer/gegl-buffer-iterator.h              |    6 +++---
 gegl/operation/gegl-operation-point-composer.c  |    6 +++---
 gegl/operation/gegl-operation-point-composer3.c |   10 +++++-----
 gegl/operation/gegl-operation-point-filter.c    |    4 ++--
 gegl/operation/gegl-operation-point-render.c    |    2 +-
 operations/affine/affine.c                      |    2 +-
 operations/common/map-absolute.c                |    6 +++---
 operations/common/map-relative.c                |    6 +++---
 operations/workshop/warp.c                      |    4 ++--
 11 files changed, 35 insertions(+), 30 deletions(-)

commit ab01faccc73f052687ef1d558c29c8f3a13fc6d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 17:03:29 2012 +0100

    make ff-save compile again with newer ffmpeg

 operations/workshop/external/ff-save.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 64f00d092144d77af18006673a10165669d02e24
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 15:54:21 2012 +0100

    tests: update pixelise test with API changes

 tests/compositions/pixelise.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 63fbd4407464e4fe53f3c4fd6a6803f8b5f46317
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 15:09:57 2012 +0100

    pixelize: rename properties

    change xsize, ysize to size_x and size_y

 operations/common/pixelise.c |   52
 +++++++++++++++++++++---------------------
 1 files changed, 26 insertions(+), 26 deletions(-)

commit ef0413805f6f659b6931d70e5594e263f1031b4a
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Wed Mar 21 22:05:22 2012 +0100

    Fix initialization warning

 operations/workshop/external/lens-correct.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fbc2da03ca6cd4de991739a9966570874b7f2f63
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Mon Mar 26 10:13:43 2012 +0200

    Update some files to abyss api

 operations/external/matting-levin.c         |    4 ++--
 operations/workshop/external/gluas.c        |    4 ++--
 operations/workshop/external/lens-correct.c |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 0b873ff765f51ea76861a31602b466f484de09fc
Author: Michael Muré <batolettre@gmail.com>
Date:   Mon Mar 26 17:08:57 2012 +0900

    gegl-buffer.h: align function prototypes

 gegl/buffer/gegl-buffer.h |   66
 ++++++++++++++++++++++----------------------
 1 files changed, 33 insertions(+), 33 deletions(-)

commit 80cd251d4975caaa61ea4405853d3a2d01f974bb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 03:47:18 2012 +0100

    buffer: clean up docs for abyss policy in methods

 gegl/buffer/gegl-buffer.h |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit fec1a8dc1c576b1211eb651acfeae4bff43542d7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 03:44:21 2012 +0100

    buffer: add gegl_buffer_set_format:

    Set the babl format of the buffer, setting the babl format of
    the buffer
    requires the new format to have exactly the same bytes per pixel
    as the
    original format. If NULL is passed in the format of the buffer is
    reset to the
    original format.

    Returns: the new babl format or NULL if it the passed in buffer was
    incompatible (then the original format is still used).

 gegl/buffer/gegl-buffer-access.c      |   46 ++++++++++++------------
 gegl/buffer/gegl-buffer-cl-cache.c    |   12 +++---
 gegl/buffer/gegl-buffer-cl-iterator.c |   20 +++++-----
 gegl/buffer/gegl-buffer-iterator.c    |    6 ++--
 gegl/buffer/gegl-buffer-linear.c      |    4 +-
 gegl/buffer/gegl-buffer-private.h     |    2 +
 gegl/buffer/gegl-buffer.c             |   62
 ++++++++++++++++++++++++++++----
 gegl/buffer/gegl-buffer.h             |   22 +++++++++++-
 8 files changed, 121 insertions(+), 53 deletions(-)

commit 476b9af70cf35e5f2b29edde5cace398b07f5ace
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 02:59:41 2012 +0100

    tests: adapt to new API

 tests/buffer/buffer-test.c                   |   12 ++++++++----
 tests/buffer/tests/test_get_buffer_scaled.c  |    3 ++-
 tests/buffer/tests/test_get_buffer_scaled2.c |    3 ++-
 3 files changed, 12 insertions(+), 6 deletions(-)

commit 7cc133e23ca21f5b084547d158b7859bb2e0e67b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 01:31:49 2012 +0100

    gegl: fix gegl_abyss_get_type

 gegl/gegl-enums.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 24b09519fae402cb421aaf50daba2a46516bba40
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 26 00:09:42 2012 +0100

    buffer: add abyss policy API

 gegl/buffer/gegl-buffer-access.c            |    8 +++++---
 gegl/buffer/gegl-buffer-cl-cache.c          |    6 ++++--
 gegl/buffer/gegl-buffer-cl-iterator.c       |    6 +++---
 gegl/buffer/gegl-buffer.h                   |   27
 ++++++++++++++++++++-------
 gegl/buffer/gegl-sampler.c                  |   20 ++++++++++++--------
 gegl/buffer/gegl-sampler.h                  |   11 ++++++-----
 gegl/gegl-enums.h                           |    6 ++++++
 gegl/graph/gegl-node.c                      |    6 ++++--
 operations/affine/affine.c                  |    4 ++--
 operations/common/bilateral-filter.c        |    3 ++-
 operations/common/box-blur.c                |    6 ++++--
 operations/common/c2g.c                     |    3 ++-
 operations/common/edge-laplace.c            |    3 ++-
 operations/common/edge-sobel.c              |    3 ++-
 operations/common/exp-combine.c             |    6 ++++--
 operations/common/fattal02.c                |    4 ++--
 operations/common/gaussian-blur.c           |    8 ++++----
 operations/common/mantiuk06.c               |    4 ++--
 operations/common/matting-global.c          |    4 ++--
 operations/common/mblur.c                   |    4 ++--
 operations/common/mirrors.c                 |    2 +-
 operations/common/mono-mixer.c              |    2 +-
 operations/common/motion-blur.c             |    2 +-
 operations/common/noise-reduction.c         |    2 +-
 operations/common/pixelise.c                |    2 +-
 operations/common/reinhard05.c              |    4 ++--
 operations/common/snn-mean.c                |    2 +-
 operations/common/stress.c                  |    2 +-
 operations/common/stretch-contrast.c        |    4 ++--
 operations/external/exr-load.cpp            |   15 ++++++++++-----
 operations/external/exr-save.cc             |    2 +-
 operations/external/jpg-save.c              |    3 ++-
 operations/external/png-load.c              |    2 +-
 operations/external/png-save.c              |    2 +-
 operations/external/ppm-load.c              |    4 ++--
 operations/external/ppm-save.c              |    4 ++--
 operations/external/rgbe-save.c             |    2 +-
 operations/external/save-pixbuf.c           |    3 ++-
 operations/external/sdl-display.c           |    3 ++-
 operations/workshop/box-max.c               |    6 ++++--
 operations/workshop/box-min.c               |    6 ++++--
 operations/workshop/box-percentile.c        |    3 ++-
 operations/workshop/color-reduction.c       |   15 ++++++++++-----
 operations/workshop/color-rotate.c          |    3 ++-
 operations/workshop/color-to-alpha.c        |    3 ++-
 operations/workshop/convolution-matrix.c    |    7 ++++---
 operations/workshop/cubism.c                |    2 +-
 operations/workshop/deinterlace.c           |    6 ++++--
 operations/workshop/demosaic-bimedian.c     |    2 +-
 operations/workshop/demosaic-simple.c       |    3 ++-
 operations/workshop/disc-percentile.c       |    3 ++-
 operations/workshop/emboss.c                |    4 ++--
 operations/workshop/external/ff-save.c      |    2 +-
 operations/workshop/external/line-profile.c |    2 +-
 operations/workshop/fractal-trace.c         |    4 ++--
 operations/workshop/hstack.c                |    6 ++++--
 operations/workshop/kuwahara-max.c          |    3 ++-
 operations/workshop/kuwahara-min.c          |    3 ++-
 operations/workshop/kuwahara.c              |    3 ++-
 operations/workshop/lens-distortion.c       |    7 ++++---
 operations/workshop/noise-spread.c          |    6 ++++--
 operations/workshop/plasma.c                |   10 +++++-----
 operations/workshop/polar-coordinates.c     |    4 ++--
 operations/workshop/red-eye-removal.c       |    2 +-
 operations/workshop/snn-percentile.c        |    2 +-
 tests/simple/test-change-processor-rect.c   |    3 ++-
 66 files changed, 198 insertions(+), 126 deletions(-)

commit 2a8ef46d9ab9c33b095ba0260168728ed40a448b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 22:36:38 2012 +0100

    gegl/Makefile: add missing file to makefile

 gegl/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0252ce69785eb7d5a143e97e5df512dab3d155ed
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 22:36:28 2012 +0100

    gegl/opencl: add missing file to makefile for dist

 gegl/opencl/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a87e03e1b9f08d7c61d0d896af67e059d83958d6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 21:36:36 2012 +0100

    operation: pass level argument straight on to child implementations

 gegl/operation/gegl-operation-composer.c       |    2 +-
 gegl/operation/gegl-operation-composer3.c      |    2 +-
 gegl/operation/gegl-operation-filter.c         |    2 +-
 gegl/operation/gegl-operation-point-composer.c |    2 +-
 gegl/operation/gegl-operation-point-filter.c   |    2 +-
 gegl/operation/gegl-operation-sink.c           |    2 +-
 gegl/operation/gegl-operation-source.c         |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 8598586e5bcf2a3147cb0658aafdce94b27ae2f0
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Sun Mar 25 22:17:14 2012 +0200

    Update some more files to new api

 operations/external/matting-levin.c           |    6 +++---
 operations/external/v4l.c                     |    4 ++--
 operations/workshop/external/gluas.c          |    2 +-
 operations/workshop/external/lens-correct.c   |    7 ++++---
 operations/workshop/generated/blend-reflect.c |    3 ++-
 operations/workshop/generated/negation.c      |    3 ++-
 operations/workshop/generated/soft-burn.c     |    3 ++-
 operations/workshop/generated/soft-dodge.c    |    3 ++-
 operations/workshop/generated/subtractive.c   |    3 ++-
 9 files changed, 20 insertions(+), 14 deletions(-)

commit 0f256d42f27713e8f54036ea7faabb86948c0f1c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 20:43:29 2012 +0100

    gegl_buffer_set_pattern: and now it compiled :d

 gegl/buffer/gegl-buffer-access.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1954d5fa58b7c3fabe14a1c2fd1cf41e9f4e524d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 20:41:52 2012 +0100

    gegl_buffer_set_pattern: normalize offsets

 gegl/buffer/gegl-buffer-access.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit c3b792691d15b139df9ef45d442c755d2f49a39c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 20:04:51 2012 +0100

    ops: update ff-load to new API

 operations/external/ff-load.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a04a77f34d546cd6c4704855881405f30b2f28d
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Mar 25 15:40:56 2012 -0300

    memory leak in gegl-processor

 gegl/process/gegl-processor.c |   39
 ++++++++++++++++++++++-----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit 924cf00dcf93ea8f43094dd144789842c2c8ae17
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Mar 25 15:13:38 2012 -0300

    build: fixing problem with --enable-debug

 gegl/buffer/gegl-buffer-cl-cache.c |    1 +
 gegl/opencl/gegl-cl-color.c        |    1 +
 gegl/opencl/gegl-cl-init.c         |    4 +++-
 3 files changed, 5 insertions(+), 1 deletions(-)

commit 859631658647f52049bb5f0e8a0b420ca341de41
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 14:10:43 2012 +0100

    ops/workshop: adapt to newer API

 operations/workshop/box-max.c               |   12 +-
 operations/workshop/box-min.c               |   12 +-
 operations/workshop/box-percentile.c        |    6 +-
 operations/workshop/buffer-cache.c          |    3 +-
 operations/workshop/color-reduction.c       |   20 +-
 operations/workshop/color-rotate.c          |    7 +-
 operations/workshop/color-to-alpha.c        |    7 +-
 operations/workshop/convolution-matrix.c    |    9 +-
 operations/workshop/cubism.c                |    5 +-
 operations/workshop/deinterlace.c           |    9 +-
 operations/workshop/demosaic-bimedian.c     |    4 +-
 operations/workshop/demosaic-simple.c       |    4 +-
 operations/workshop/disc-percentile.c       |    4 +-
 operations/workshop/ditto.c                 |    5 +-
 operations/workshop/emboss.c                |    7 +-
 operations/workshop/external/line-profile.c |    4 +-
 operations/workshop/fractal-trace.c         |    5 +-
 operations/workshop/generated/average.c     |    3 +-
 operations/workshop/hstack.c                |    8 +-
 operations/workshop/kuwahara-max.c          |    4 +-
 operations/workshop/kuwahara-min.c          |    4 +-
 operations/workshop/kuwahara.c              |    4 +-
 operations/workshop/lens-correct.c          |  408
 ---------------------------
 operations/workshop/lens-distortion.c       |    7 +-
 operations/workshop/mandelbrot.c            |    4 +-
 operations/workshop/noise-spread.c          |    2 +-
 operations/workshop/plasma.c                |    9 +-
 operations/workshop/polar-coordinates.c     |    7 +-
 operations/workshop/rawbayer-load.c         |    6 +-
 operations/workshop/red-eye-removal.c       |    7 +-
 operations/workshop/ripple.c                |    5 +-
 operations/workshop/snn-percentile.c        |    4 +-
 operations/workshop/warp.c                  |    7 +-
 operations/workshop/waves.c                 |    5 +-
 operations/workshop/whirl-pinch.c           |    2 +-
 35 files changed, 115 insertions(+), 504 deletions(-)

commit 3e1a636ac39f15271367877f66df1cf423c5c28f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 13:53:53 2012 +0100

    ops: more fixups in ops with external deps

 operations/external/jp2-load.c |    4 ++--
 operations/external/openraw.c  |    6 ++----
 2 files changed, 4 insertions(+), 6 deletions(-)

commit 4960e304fbe9e24970de54470492bda1e0ca3f54
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 13:46:32 2012 +0100

    plugins: more adaptation to level argument in process()

 operations/common/display.c     |    2 +-
 operations/common/open-buffer.c |    5 +++--
 operations/common/save.c        |    3 ++-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit d11473ecc636f6f8c754d84f3ab934e9aa3b28df
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jun 4 03:42:31 2011 +0100

    Add arguments to prepare GEGL for being aware of scaling down
    previews.

    Ignoring this argument should be valid, since it is added as the
    last argument
    to all functions where it might be used this is actually not an
    ABI change.

 gegl/buffer/gegl-buffer-access.c                |    9 +-
 gegl/buffer/gegl-buffer-cl-cache.c              |    8 +-
 gegl/buffer/gegl-buffer-cl-iterator.c           |    8 +-
 gegl/buffer/gegl-buffer-iterator.c              |   24 +-
 gegl/buffer/gegl-buffer-iterator.h              |    8 +-
 gegl/buffer/gegl-buffer-linear.c                |    2 +-
 gegl/buffer/gegl-buffer.h                       |   11 +-
 gegl/buffer/gegl-sampler.c                      |    6 +-
 gegl/gegl-plugin.h                              |    1 +
 gegl/graph/gegl-node.c                          |    4 +-
 gegl/operation/gegl-operation-composer.c        |   14 +-
 gegl/operation/gegl-operation-composer.h        |    3 +-
 gegl/operation/gegl-operation-composer3.c       |    8 +-
 gegl/operation/gegl-operation-composer3.h       |    3 +-
 gegl/operation/gegl-operation-context.c         |    5 +-
 gegl/operation/gegl-operation-context.h         |    7 +
 gegl/operation/gegl-operation-filter.c          |   18 +-
 gegl/operation/gegl-operation-filter.h          |    3 +-
 gegl/operation/gegl-operation-point-composer.c  |   35 ++-
 gegl/operation/gegl-operation-point-composer.h  |   17 +-
 gegl/operation/gegl-operation-point-composer3.c |   24 +-
 gegl/operation/gegl-operation-point-composer3.h |    4 +-
 gegl/operation/gegl-operation-point-filter.c    |   25 +-
 gegl/operation/gegl-operation-point-filter.h    |   15 +-
 gegl/operation/gegl-operation-point-render.c    |   10 +-
 gegl/operation/gegl-operation-point-render.h    |    3 +-
 gegl/operation/gegl-operation-sink.c            |    9 +-
 gegl/operation/gegl-operation-sink.h            |    3 +-
 gegl/operation/gegl-operation-source.c          |   18 +-
 gegl/operation/gegl-operation-source.h          |    3 +-
 gegl/operation/gegl-operation-temporal.c        |    5 +-
 gegl/operation/gegl-operation-temporal.h        |    3 +-
 gegl/operation/gegl-operation.c                 |   11 +-
 gegl/operation/gegl-operation.h                 |   11 +-
 gegl/process/gegl-eval-visitor.c                |    4 +-
 gegl/process/gegl-processor.c                   |    7 +-
 operations/affine/affine.c                      |   46 ++--
 operations/common/bilateral-filter.c            |    7 +-
 operations/common/box-blur.c                    |   11 +-
 operations/common/brightness-contrast.c         |   12 +-
 operations/common/buffer-sink.c                 |    3 +-
 operations/common/buffer-source.c               |    9 +-
 operations/common/c2g.c                         |    7 +-
 operations/common/checkerboard.c                |    3 +-
 operations/common/color-temperature.c           |   12 +-
 operations/common/color.c                       |    3 +-
 operations/common/contrast-curve.c              |    3 +-
 operations/common/display.c                     |    3 +-
 operations/common/edge-laplace.c                |    7 +-
 operations/common/edge-sobel.c                  |    7 +-
 operations/common/exp-combine.c                 |    9 +-
 operations/common/fattal02.c                    |    9 +-
 operations/common/fractal-explorer.c            |    5 +-
 operations/common/gaussian-blur.c               |   19 +-
 operations/common/gegl-buffer-load-op.c         |    3 +-
 operations/common/gegl-buffer-save-op.c         |    3 +-
 operations/common/grey.c                        |    3 +-
 operations/common/grid.c                        |    3 +-
 operations/common/introspect.c                  |    3 +-
 operations/common/invert.c                      |   12 +-
 operations/common/levels.c                      |    3 +-
 operations/common/magick-load.c                 |    9 +-
 operations/common/mantiuk06.c                   |   13 +-
 operations/common/map-absolute.c                |    5 +-
 operations/common/map-relative.c                |    5 +-
 operations/common/matting-global.c              |   10 +-
 operations/common/mblur.c                       |   11 +-
 operations/common/mirrors.c                     |    5 +-
 operations/common/mono-mixer.c                  |    7 +-
 operations/common/motion-blur.c                 |    7 +-
 operations/common/noise-reduction.c             |    7 +-
 operations/common/noise.c                       |    3 +-
 operations/common/opacity.c                     |   20 +-
 operations/common/open-buffer.c                 |    8 +-
 operations/common/over.c                        |   29 +-
 operations/common/pixelise.c                    |    7 +-
 operations/common/raw-load.c                    |   10 +-
 operations/common/reinhard05.c                  |    9 +-
 operations/common/remap.c                       |    3 +-
 operations/common/save.c                        |    3 +-
 operations/common/snn-mean.c                    |    7 +-
 operations/common/stress.c                      |    7 +-
 operations/common/stretch-contrast.c            |   14 +-
 operations/common/svg-huerotate.c               |    3 +-
 operations/common/svg-luminancetoalpha.c        |    3 +-
 operations/common/svg-matrix.c                  |    3 +-
 operations/common/svg-saturate.c                |    3 +-
 operations/common/threshold.c                   |   14 +-
 operations/common/value-invert.c                |   12 +-
 operations/common/vignette.c                    |    3 +-
 operations/common/weighted-blend.c              |    3 +-
 operations/common/whitebalance.c                |   12 +-
 operations/common/write-buffer.c                |    3 +-
 operations/core/clone.c                         |    9 +-
 operations/core/convert-format.c                |    3 +-
 operations/core/crop.c                          |    3 +-
 operations/core/nop.c                           |    3 +-
 operations/external/exr-load.cpp                |   25 +-
 operations/external/exr-save.cc                 |    5 +-
 operations/external/ff-load.c                   |    3 +-
 operations/external/jp2-load.c                  |    3 +-
 operations/external/jpg-load.c                  |    9 +-
 operations/external/jpg-save.c                  |    5 +-
 operations/external/matting-levin.c             |    3 +-
 operations/external/openraw.c                   |    3 +-
 operations/external/path.c                      |    3 +-
 operations/external/pixbuf.c                    |    5 +-
 operations/external/png-load.c                  |    7 +-
 operations/external/png-save.c                  |    5 +-
 operations/external/ppm-load.c                  |   32 +-
 operations/external/ppm-save.c                  |   12 +-
 operations/external/rgbe-load.c                 |    5 +-
 operations/external/rgbe-save.c                 |    5 +-
 operations/external/save-pixbuf.c               |    5 +-
 operations/external/sdl-display.c               |    5 +-
 operations/external/svg-load.c                  |    5 +-
 operations/external/text.c                      |    5 +-
 operations/external/v4l.c                       |    3 +-
 operations/external/vector-fill.c               |    3 +-
 operations/external/vector-stroke.c             |    3 +-
 operations/generated/add.c                      |    3 +-
 operations/generated/clear.c                    |    3 +-
 operations/generated/color-burn.c               |    3 +-
 operations/generated/color-dodge.c              |    3 +-
 operations/generated/darken.c                   |    3 +-
 operations/generated/difference.c               |    3 +-
 operations/generated/divide.c                   |    3 +-
 operations/generated/dst-atop.c                 |    3 +-
 operations/generated/dst-in.c                   |    3 +-
 operations/generated/dst-out.c                  |    3 +-
 operations/generated/dst-over.c                 |    3 +-
 operations/generated/dst.c                      |    3 +-
 operations/generated/exclusion.c                |    3 +-
 operations/generated/gamma.c                    |    3 +-
 operations/generated/hard-light.c               |    3 +-
 operations/generated/lighten.c                  |    3 +-
 operations/generated/math.rb                    |    3 +-
 operations/generated/multiply.c                 |    3 +-
 operations/generated/other-blend.rb             |    3 +-
 operations/generated/overlay.c                  |    3 +-
 operations/generated/plus.c                     |    3 +-
 operations/generated/screen.c                   |    3 +-
 operations/generated/soft-light.c               |    3 +-
 operations/generated/src-atop.c                 |    3 +-
 operations/generated/src-in.c                   |    3 +-
 operations/generated/src-out.c                  |    3 +-
 operations/generated/src-over.c                 |    3 +-
 operations/generated/src.c                      |    3 +-
 operations/generated/subtract.c                 |    3 +-
 operations/generated/svg-12-blend.rb            |    3 +-
 operations/generated/svg-12-porter-duff.rb      |    3 +-
 operations/generated/xor.c                      |    3 +-
 operations/workshop/box-max.c                   |    7 +-
 operations/workshop/box-min.c                   |    7 +-
 operations/workshop/box-percentile.c            |    5 +-
 operations/workshop/color-reduction.c           |   13 +-
 operations/workshop/demosaic-bimedian.c         |    5 +-
 operations/workshop/demosaic-simple.c           |    5 +-
 operations/workshop/disc-percentile.c           |    5 +-
 operations/workshop/external/ff-save.c          |    3 +-
 operations/workshop/external/gluas.c            |    3 +-
 operations/workshop/external/line-profile.c     |    5 +-
 operations/workshop/generated/blend.rb          |    3 +-
 operations/workshop/hstack.c                    |    8 +-
 operations/workshop/kuwahara-max.c              |    5 +-
 operations/workshop/kuwahara-min.c              |    5 +-
 operations/workshop/kuwahara.c                  |    5 +-
 operations/workshop/lens-correct.c              |  408
 +++++++++++++++++++++++
 operations/workshop/linear-gradient.c           |    3 +-
 operations/workshop/mandelbrot.c                |    5 +-
 operations/workshop/max-rgb.c                   |    3 +-
 operations/workshop/noise-spread.c              |    5 +-
 operations/workshop/posterize.c                 |    3 +-
 operations/workshop/radial-gradient.c           |    3 +-
 operations/workshop/rawbayer-load.c             |   13 +-
 operations/workshop/snn-percentile.c            |    5 +-
 operations/workshop/unpremul.c                  |    3 +-
 operations/workshop/whirl-pinch.c               |    5 +-
 tests/buffer/buffer-test.c                      |   16 +-
 tests/buffer/tests/test_get_buffer_scaled.c     |    2 +-
 tests/buffer/tests/test_get_buffer_scaled2.c    |    2 +-
 tests/simple/test-change-processor-rect.c       |    2 +-
 182 files changed, 1131 insertions(+), 516 deletions(-)

commit 1823b701e1928e9ccf64ae7c84126de7cffea3c7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 25 03:56:30 2012 +0100

    ops: annotate generated code with G_GNUC_UNUSED

 operations/common/over.c                   |    1 -
 operations/generated/clear.c               |    4 ++--
 operations/generated/dst-atop.c            |    4 ++--
 operations/generated/dst-in.c              |    4 ++--
 operations/generated/dst-out.c             |    4 ++--
 operations/generated/dst-over.c            |    4 ++--
 operations/generated/dst.c                 |    4 ++--
 operations/generated/src-atop.c            |    4 ++--
 operations/generated/src-in.c              |    4 ++--
 operations/generated/src-out.c             |    4 ++--
 operations/generated/src-over.c            |    4 ++--
 operations/generated/src.c                 |    4 ++--
 operations/generated/svg-12-porter-duff.rb |    8 ++++----
 operations/generated/svg-multiply.c        |    3 ++-
 operations/generated/xor.c                 |    4 ++--
 15 files changed, 30 insertions(+), 30 deletions(-)

commit acb5d12c2bc0b118a88b08a9fe15f6a965bf4b77
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 22:32:57 2012 +0000

    configure.ac: add a magic G_LOG_DOMAIN including the filename

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4bcd12840226a1b329047164cb583d45bb4c4cd6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 21:59:04 2012 +0000

    gegl-debug: fix inifinite loop in debug logging

 gegl/gegl-debug.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f2c21b7fd05b79ed014cc59388b56026577d4207
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 20:39:29 2012 +0000

    Revert "gegl_buffer_dup: use the cache to insert duplicated tiles"

    Reverting Bat'o's copy on write, it break GIMP in the goat-invasion
    branch.

 gegl/buffer/gegl-buffer-access.c |  106
 +------------------------------------
 1 files changed, 3 insertions(+), 103 deletions(-)

commit 1edce2c0bdf6376b112371a42185c62a94a0599b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 20:08:30 2012 +0000

    Remove HUGE matting global test images

    These images are too large to be included in a tarball, they've
    accidentally
    been added to git master, thus developers cloning GEGL will now
    have to
    download these massive files, sorry about that.

 tests/compositions/data/matting-global-big.jpg     |  Bin 4477201 ->
 0 bytes
 .../data/matting-global-big_scribble.png           |  Bin 161832 ->
 0 bytes
 tests/compositions/matting-global-big.xml          |   20
 --------------------
 3 files changed, 0 insertions(+), 20 deletions(-)

commit 67849a878389bb84ec28063524f900b2c87a0bd1
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 19:38:17 2012 +0000

    AUTHORS: added Jan Rüegg

 AUTHORS |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b31b17a2b5215c33505e27d66843c1ecc67c3684
Author: Jan Rüegg <rggjan@gmail.com>
Date:   Fri Nov 18 08:50:10 2011 +0100

    Added matting global op

    (this is a squash of a long series of commits implementing the
    global matting
    op)

 .gitignore                                         |    1 +
 operations/common/matting-global.c                 |  554
 ++++++++++++++++++++
 tests/compositions/Makefile.am                     |    3 +
 tests/compositions/data/matting-global-big.jpg     |  Bin 0 ->
 4477201 bytes
 .../data/matting-global-big_scribble.png           |  Bin 0 -> 161832
 bytes
 tests/compositions/data/matting-global.png         |  Bin 0 -> 648589
 bytes
 .../compositions/data/matting-global_scribble.png  |  Bin 0 -> 7263 bytes
 tests/compositions/matting-global-big.xml          |   20 +
 tests/compositions/matting-global.xml              |   20 +
 tests/compositions/reference/matting-global.png    |  Bin 0 ->
 52292 bytes
 10 files changed, 598 insertions(+), 0 deletions(-)

commit bac70694c30606586f96274a73a6bdb7ef2be7bc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 17:26:02 2012 +0000

    expose gegl_operation_set_object in public header

 gegl/gegl-plugin.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c5fa2a1b7e6eb5996b7300f5efc1e701394c25bc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 16:21:57 2012 +0000

    over: replace for loop with while loop

    Over is important enough that we want to squeeze all possible
    performance out
    of it.

 operations/common/over.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b8001abb0f24e1491502f636ace41af2d512ba31
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 13:55:16 2012 +0000

    build: fix configure.ac which still expects tests/opencl/Makefile

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 45ab308178f384b1b0b332d93d8d4b4c149c8d4e
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jul 28 14:49:33 2011 +0200

    gegl_buffer_dup: use the cache to insert duplicated tiles

 gegl/buffer/gegl-buffer-access.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit 78ea789e87246bdf07dfd6faccd7465618e02147
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 26 13:31:59 2011 +0200

    gegl_tile_iterator: simplify again and remove a goto

 gegl/buffer/gegl-buffer-access.c |   56
 +++++++++++++++----------------------
 1 files changed, 23 insertions(+), 33 deletions(-)

commit a11d9ce47c1ba68389de260c168895fb2ea416f6
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 26 12:19:30 2011 +0200

    simplify gegl_buffer_tile_iterator by removing unneeded code

 gegl/buffer/gegl-buffer-access.c |   74
 ++++---------------------------------
 1 files changed, 8 insertions(+), 66 deletions(-)

commit 805954ec92f7edf8922c4bc322873ab15e0df104
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 26 11:22:39 2011 +0200

    gegl_buffer_dup: implement copy on write

 gegl/buffer/gegl-buffer-access.c |  173
 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 170 insertions(+), 3 deletions(-)

commit 2e257bf978244933a37f674e4bb4f820b7900bc4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 24 00:21:43 2012 +0000

    configure.ac: add check for rint

 configure.ac |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e6792774c591a6826bd63f732ecf0823622e0c45
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Jul 3 14:22:59 2011 +0200

    add a buffer-cache op in the workshop

 operations/workshop/buffer-cache.c |  104
 ++++++++++++++++++++++++++++++++++++
 1 files changed, 104 insertions(+), 0 deletions(-)

commit 46c306a5dd45cf96bb956a8bbbf9daffe18e8e9f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 22:32:17 2012 +0000

    exr-save: fix includes

    Fixes bug #672715

 operations/external/exr-save.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 608bd4e2b41520f2ce8dbc4d2a711207d936b120
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 23 14:46:30 2012 -0300

    creating an opencl log to keep messages, instead of using g_warning
    and g_printf

 gegl/buffer/gegl-buffer-cl-cache.c             |    3 +-
 gegl/buffer/gegl-buffer-cl-iterator.c          |    3 +-
 gegl/gegl-debug.h                              |    3 +-
 gegl/gegl-init.c                               |    2 +-
 gegl/opencl/gegl-cl-color.c                    |    4 +-
 gegl/opencl/gegl-cl-init.c                     |   35
 ++++++++++++-----------
 gegl/operation/gegl-operation-point-composer.c |   11 ++++---
 gegl/operation/gegl-operation-point-filter.c   |   21 +++++++-------
 operations/common/box-blur.c                   |    3 +-
 tests/Makefile.am                              |    3 +-
 10 files changed, 47 insertions(+), 41 deletions(-)

commit a7fbfec9d82431d49a435044320f19bb99dcf205
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 23 12:22:15 2012 -0300

    removing opencl tests

    in the future this should be done tests/compositions where opencl
    should be enabled and disabled and results compared.

 tests/opencl/.gitignore                    |    7 ---
 tests/opencl/Makefile.am                   |   32 -------------
 tests/opencl/test-cl-brightness-contrast.c |   62
 -------------------------
 tests/opencl/test-cl-over.c                |   69
 ----------------------------
 4 files changed, 0 insertions(+), 170 deletions(-)

commit d36817755d744bf273354bf7a8c3a2ade15494b9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 14:30:50 2012 +0000

    Revert "buffer: do COW for tiles during gegl_buffer_dup"

    This reverts commit 72e784cbc8fd474123f85786b6d4895957a773d0.

    Worked for the gimp goat invasion use case, but broke the gegl
    test :/,
    needs revisiting.

 gegl/buffer/gegl-buffer-access.c   |   85
 ++++++------------------------------
 gegl/buffer/gegl-buffer-iterator.c |   18 ++++---
 gegl/buffer/gegl-buffer-private.h  |    6 ---
 3 files changed, 24 insertions(+), 85 deletions(-)

commit 76a5f936a24f12cc283b85e975d7e24efafbae3f
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Fri Mar 23 13:24:12 2012 +0100

    workshop: add a missing const Babl

 operations/workshop/external/gluas.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 43fe304762d9709d08d9aca936bc1ddfc9a87bb2
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 23 16:48:24 2012 +0900

    update some docs

 gegl/buffer/gegl-buffer.h        |    2 +-
 gegl/property-types/gegl-color.h |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 61f38ff723f4b825c9832d118747d1f6f30535e0
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 23 16:09:21 2012 +0900

    update workshop against constify of babl_format

 operations/workshop/color-rotate.c            |    2 +-
 operations/workshop/color-to-alpha.c          |    2 +-
 operations/workshop/cubism.c                  |    2 +-
 operations/workshop/deinterlace.c             |    2 +-
 operations/workshop/fractal-trace.c           |    4 ++--
 operations/workshop/generated/average.c       |    4 ++--
 operations/workshop/generated/blend-reflect.c |    4 ++--
 operations/workshop/generated/blend.rb        |    2 +-
 operations/workshop/generated/negation.c      |    4 ++--
 operations/workshop/generated/soft-burn.c     |    4 ++--
 operations/workshop/generated/soft-dodge.c    |    4 ++--
 operations/workshop/generated/subtractive.c   |    4 ++--
 operations/workshop/noise-spread.c            |    4 ++--
 operations/workshop/polar-coordinates.c       |    2 +-
 operations/workshop/red-eye-removal.c         |    2 +-
 operations/workshop/warp.c                    |    4 ++--
 operations/workshop/whirl-pinch.c             |   24
 ++++++++++++------------
 17 files changed, 37 insertions(+), 37 deletions(-)

commit 0629555e83f9fad3990eeb3fcae098687c13af3d
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 23 15:55:23 2012 +0900

    gegl-buffer-access: fix unused variable

 gegl/buffer/gegl-buffer-access.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit fbcf6ff4b29095d5f5e5ab40475b6a1916d2a3e4
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 23 15:54:57 2012 +0900

    write-buffer: fix implicit declaration of gegl_node_emit_computed

 operations/common/write-buffer.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6469d0ad1af83900727f7c37a1f8d1056f8543f8
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Mar 23 15:28:16 2012 +0900

    buffer-test.c: fix complain about including glib/gmacros.h directly

 tests/buffer/buffer-test.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ba350b9b6fbb6524da5b9864eb553c6e153fadc
Author: Michael Muré <mure.michael@gmail.com>
Date:   Fri Mar 23 13:11:19 2012 +0900

    buffer tests: fix three warnings due to wrong pointer cast

 tests/buffer/tests/dup_linear_from_data.c  |    2 +-
 tests/buffer/tests/linear_from_data.c      |    2 +-
 tests/buffer/tests/linear_from_data_rows.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit e905ac46e62e9bf488fe0ea6ea9373e801b89365
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 01:05:09 2012 +0000

    cl: do not use g_warning to report no cl library

 gegl/opencl/gegl-cl-init.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ba4580bc5dcda7346aee5a53d72652b0bd70125
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 00:53:56 2012 +0000

    add more padding to public structs

 gegl/buffer/gegl-tile-backend.h                 |    6 +-----
 gegl/buffer/gegl-tile-source.h                  |   10 ++--------
 gegl/operation/gegl-operation-area-filter.h     |    1 +
 gegl/operation/gegl-operation-composer.h        |    1 +
 gegl/operation/gegl-operation-composer3.h       |    1 +
 gegl/operation/gegl-operation-filter.h          |    1 +
 gegl/operation/gegl-operation-meta.h            |    1 +
 gegl/operation/gegl-operation-point-composer.h  |    1 +
 gegl/operation/gegl-operation-point-composer3.h |    1 +
 gegl/operation/gegl-operation-point-filter.h    |    1 +
 gegl/operation/gegl-operation-point-render.h    |    1 +
 gegl/operation/gegl-operation-sink.h            |    3 ++-
 gegl/operation/gegl-operation-source.h          |    3 ++-
 gegl/operation/gegl-operation-temporal.h        |    1 +
 gegl/operation/gegl-operation.h                 |    2 +-
 15 files changed, 18 insertions(+), 16 deletions(-)

commit e1ce7eb9124e6fb73bce9ec0ff83e38ef7ecc876
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 23 00:43:22 2012 +0000

    operation: pad GeglOperationClass

    The introductin of OpenCL already broke API, pad struct for next
    release
    combine booleans in a bitfield.

 gegl/operation/gegl-operation.h |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 72fa4d6d145b4014780dcfb6e4b3def88ce77b38
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 22 22:47:17 2012 +0000

    buffer: remove unused datamembers

    The coordinates of tiles fetched with gegl_buffer_get is no longer
    used since
    voiding buffers is implemented more efficiently now.

 gegl/buffer/gegl-buffer-private.h |    6 ------
 gegl/buffer/gegl-buffer.c         |   19 -------------------
 2 files changed, 0 insertions(+), 25 deletions(-)

commit 3ef55de64d4af75dd3892c6fbd7ffae3183338aa
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 22 21:43:17 2012 +0000

    buffer: remove unused fish variable

 gegl/buffer/gegl-buffer-access.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 72e784cbc8fd474123f85786b6d4895957a773d0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 22 21:17:00 2012 +0000

    buffer: do COW for tiles during gegl_buffer_dup

 gegl/buffer/gegl-buffer-access.c   |   85
 ++++++++++++++++++++++++++++++------
 gegl/buffer/gegl-buffer-iterator.c |   18 +++----
 gegl/buffer/gegl-buffer-private.h  |    6 +++
 3 files changed, 86 insertions(+), 23 deletions(-)

commit 48df5d423324819b09e5128092c88f05f68f1dd3
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 22 02:23:50 2012 +0000

    matrix3: make gegl_matrix3_transform_point support perspective
    transforms

    The affine op uses this function to determine the bounding box of
    what needs
    to be defined on the source pads. This should permit the affine op
    to work
    for GIMPs needs, perhaps the whole op should be renamed to transform
    now?

 gegl/gegl-matrix.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 20fda017758443e6afc5637ead25544496046a57
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 22 01:04:41 2012 +0000

    buffer: do not call cl flush unless OpenCL is enabled (avoids crash)

 gegl/buffer/gegl-buffer-iterator.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e8c560ad61a552c2105a2c461ca734c90e607da9
Author: Kevin Cozens <kcozens@svn.gnome.org>
Date:   Wed Mar 21 19:24:03 2012 -0400

    Added .gitignore files for opencl directories.

 gegl/opencl/.gitignore  |    6 ++++++
 tests/opencl/.gitignore |    7 +++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 2735e8510bc1ec8db412fb2a1a0299f55accbfa3
Author: Mikael Magnusson <mikachu@src.gnome.org>
Date:   Wed Mar 21 22:05:16 2012 +0100

    Add missing gegl-buffer-cl-cache.h includes

 operations/affine/affine.c |    2 ++
 operations/core/crop.c     |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 2a8f9e567f8fb7368bb80a10273228f51e60bad6
Author: Kevin Cozens <kcozens@svn.gnome.org>
Date:   Wed Mar 21 16:24:36 2012 -0400

    Fixed error in array subscript that affected GIMP's perspective
    transform.

 operations/affine/affine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f34bd4f772003e50344e1e6503edfbbaf949c6f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 21 16:29:18 2012 -0300

    merge buffer's opencl cache in affine

 operations/affine/affine.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit c83fc82f3347c36fb504a2f0202b4a087b1a8a7c
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 21 16:04:00 2012 -0300

    merge buffer's opencl cache in clone and crop

 operations/core/clone.c |    5 +++++
 operations/core/crop.c  |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 515734145187e44b7caa6ce2d895a530c0e10a7a
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 21 14:54:40 2012 -0300

    removing some globals and compiler warnings

 gegl/buffer/gegl-buffer-access.c               |    4 +-
 gegl/buffer/gegl-buffer-cl-iterator.c          |   12 ++++----
 gegl/buffer/gegl-buffer-iterator.c             |    2 +
 gegl/buffer/gegl-buffer.c                      |    2 +-
 gegl/gegl-init.c                               |    2 +-
 gegl/opencl/gegl-cl-init.c                     |   31
 +++++++++++++++++------
 gegl/opencl/gegl-cl-init.h                     |   14 ++++------
 gegl/operation/gegl-operation-point-composer.c |    2 +-
 gegl/operation/gegl-operation-point-filter.c   |    2 +-
 gegl/operation/gegl-operation-sink.c           |    2 +-
 gegl/process/gegl-processor.c                  |    2 +-
 operations/common/box-blur.c                   |    2 +-
 12 files changed, 46 insertions(+), 31 deletions(-)

commit ea9e56168a10ba7542f77c59b07e20646b44c690
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Mar 21 14:25:07 2012 -0300

    merge buffer's opencl cache in a sink operation

 gegl/buffer/gegl-buffer-cl-cache.c   |   15 +++++++++------
 gegl/buffer/gegl-buffer-iterator.c   |    2 ++
 gegl/operation/gegl-operation-sink.c |    3 +++
 3 files changed, 14 insertions(+), 6 deletions(-)

commit 65d945d99f7efad7eac958fe1784ab53a10f2623
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Mar 21 13:02:18 2012 +0100

    config: fix nick, blurb of "use-opencl" property

 gegl/gegl-config.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fefceae946d50c2579147fd4aa207830b54db69c
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Mar 21 13:00:50 2012 +0100

    tools/introspect: harden escape() against NULL strings

    This can happen e.g. if the blurb of a property is NULL.

 tools/introspect.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dc9345ff9c027643e83a8e3d65038dea8dc5835a
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 20 13:27:01 2012 +0000

    cl: clean up some compiler warnings

 gegl/buffer/gegl-buffer-access.c |    1 +
 gegl/buffer/gegl-buffer.c        |    1 +
 gegl/opencl/gegl-cl-color.c      |    1 +
 gegl/opencl/gegl-cl-init.c       |    5 +++--
 gegl/opencl/gegl-cl.h            |    1 +
 5 files changed, 7 insertions(+), 2 deletions(-)

commit 671b66ed43bc62a03bbcdab1032f6e6043a076b7
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Mar 5 16:41:37 2012 -0300

    box-blur using auxiliary cl-iterator to keep intermediate results

 gegl/opencl/gegl-cl-init.c   |    8 ++++
 gegl/opencl/gegl-cl-init.h   |    5 ++-
 operations/common/box-blur.c |   92
 +++++++++++++++++++++++-------------------
 3 files changed, 62 insertions(+), 43 deletions(-)

commit ea022cd098cf1fb9fbb07ae0f2ac9cf620e1128b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Mar 19 18:33:39 2012 -0300

    Bug in opencl cache in cl-iterator

 gegl/buffer/gegl-buffer-cl-iterator.c |   20 +++++++++++++++-----
 1 files changed, 15 insertions(+), 5 deletions(-)

commit 2bafae384cf28671cb426e98236ffd664e50393a
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Mar 13 08:54:05 2012 -0300

    Fixing bugs on cl-cache

    * all code that changes cache lists are with mutexes
    * changing g_array to g_list because it's easier to catch bugs
    this way
    * putting some code between #if 0 for future conference

 gegl/buffer/gegl-buffer-cl-cache.c    |  225
 ++++++++++++++-------------------
 gegl/buffer/gegl-buffer-cl-iterator.c |   19 +++
 2 files changed, 116 insertions(+), 128 deletions(-)

commit bee324be2195d1fb28208d91d427f9f696582a8f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Mar 10 19:29:15 2012 -0300

    minor fixes

 gegl/opencl/gegl-cl-color-kernel.h |    2 +-
 gegl/opencl/gegl-cl-init.c         |   19 ++++++++++++++++---
 2 files changed, 17 insertions(+), 4 deletions(-)

commit a99d424252d88710f66756409b832d50e42e4f41
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Mar 6 17:21:56 2012 -0300

    Fixing bug in cl-cache

    Removing many elements from a g_array
    is not that straightforward :)

 gegl/buffer/gegl-buffer-cl-cache.c |  110
 +++++++++++++++++++++++------------
 1 files changed, 72 insertions(+), 38 deletions(-)

commit d09af07c416c60b1dece397a9556bee27378237f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Mar 5 11:57:54 2012 -0300

    Support for auxiliary iterators in cl-iterator

    so we can keep intermediate results.

 gegl/buffer/gegl-buffer-cl-iterator.c |  117
 +++++++++++++++++++++------------
 gegl/buffer/gegl-buffer-cl-iterator.h |    3 +-
 gegl/opencl/gegl-cl-color.c           |    3 +
 3 files changed, 81 insertions(+), 42 deletions(-)

commit 87401edfe429cadd6a2d3313dc69ae3a7e9cc8cd
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Mar 2 16:32:38 2012 -0300

    Support for Area filters in cl-iterator and use example in box-blur

 gegl/buffer/gegl-buffer-cl-iterator.c |   49 +++++++++---
 gegl/buffer/gegl-buffer-cl-iterator.h |   10 +++
 gegl/opencl/gegl-cl-init.c            |    1 +
 operations/common/box-blur.c          |  136
 ++++++++++++++++++++++++++++++++-
 4 files changed, 183 insertions(+), 13 deletions(-)

commit 4c9db8213b30e5fb9c02cdfd6164e0fcb5777668
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Feb 28 00:16:26 2012 -0300

    error in color-temperature filter

 operations/common/color-temperature.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 3a258034e57e8e90fa1eaa8139c8a1cdde82b070
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Feb 28 00:14:28 2012 -0300

    choose iteration region based on device's max allocation size

 gegl/opencl/gegl-cl-init.c |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit cc7edb662fa817f6cd034a7297d64fd111c01a7f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Feb 24 17:21:03 2012 -0200

    opencl support for gegl:threshold and YA float color format

 gegl/opencl/gegl-cl-color-kernel.h |   67 +++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-color.c        |   22 +++++++++-
 operations/common/threshold.c      |   83
 ++++++++++++++++++++++++++++++++++++
 3 files changed, 171 insertions(+), 1 deletions(-)

commit 4a20977e44477e949c9110066ed45dc9ec318dda
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Feb 24 14:12:57 2012 -0200

    opencl doesn't support uchar3 loads and stores

    we should use vload and vstore to do unaligned accesses.

 gegl/opencl/gegl-cl-color-kernel.h |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit eafe6369adf03973eef786a8bd0d98ec4adf8eb6
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 23 18:02:07 2012 -0200

    opencl support for gegl:opacity and Y u8/Y float color format

 gegl/opencl/gegl-cl-color-kernel.h |   14 ++++++-
 gegl/opencl/gegl-cl-color.c        |   28 +++++++++---
 operations/common/opacity.c        |   85
 ++++++++++++++++++++++++++++++++++++
 3 files changed, 119 insertions(+), 8 deletions(-)

commit 09e3c61c6cad7f34057e7479f35b43bd080ce0aa
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 23 12:56:23 2012 -0200

    improving error logs

 gegl/opencl/gegl-cl-init.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 967f0f10db9ba4d311a7f88e581f1502e04c2dfc
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Feb 17 02:48:04 2012 -0200

    OpenCL cache of a GeglBuffer must be cleaned before editing

 gegl/buffer/gegl-buffer-access.c      |    2 +-
 gegl/buffer/gegl-buffer-cl-cache.c    |   11 ++++-------
 gegl/buffer/gegl-buffer-cl-iterator.c |    3 +++
 3 files changed, 8 insertions(+), 8 deletions(-)

commit f95d5b71aca1f407ba613c263771af7d8ce479b7
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Feb 17 02:47:23 2012 -0200

    errors in color conversion

 gegl/opencl/gegl-cl-color-kernel.h |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit e2db26aae349dfbe9abc66ef62228104c548d4d8
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 16 16:33:56 2012 -0200

    Test for gegl:over with OpenCL

 tests/opencl/Makefile.am    |    3 +-
 tests/opencl/test-cl-over.c |   69
 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 1 deletions(-)

commit db83482455d106f4215994ffcc5de970b3d65cd0
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 16 16:32:36 2012 -0200

    gegl:over with OpenCL

 operations/common/over.c |   59
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 59 insertions(+), 0 deletions(-)

commit 0afa101e43e8eb3152317e585756188db29f9213
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 16 16:31:07 2012 -0200

    OpenCL support in GeglOperationPointComposer

 gegl/operation/gegl-operation-point-composer.c |  123
 ++++++++++++++++++++----
 gegl/operation/gegl-operation-point-composer.h |    8 ++
 gegl/operation/gegl-operation-point-filter.c   |    2 +-
 3 files changed, 112 insertions(+), 21 deletions(-)

commit f51dcd2c8c5b181dae4c7f1bccba874818dc3fb5
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Feb 15 13:21:26 2012 -0200

    Support for RGBu8

    And minor changes in color conversion

 gegl/buffer/gegl-buffer-cl-cache.c           |    6 ++--
 gegl/buffer/gegl-buffer-cl-iterator.c        |    4 +-
 gegl/opencl/gegl-cl-color-kernel.h           |   24 +++++++++++++++++
 gegl/opencl/gegl-cl-color.c                  |   35
 ++++++++++++++-----------
 gegl/opencl/gegl-cl-color.h                  |    2 +-
 gegl/operation/gegl-operation-point-filter.c |    4 +-
 6 files changed, 52 insertions(+), 23 deletions(-)

commit b923b265529a8d9acc549c8d8e6ccbbdc504b29b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Feb 11 11:00:32 2012 -0200

    Forgot to EnqueueUnmapMemObject

 gegl/buffer/gegl-buffer-cl-iterator.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8f6f5a48e72a4781fd14d815d7632f9e963cba91
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Feb 9 16:06:31 2012 -0200

    Improving OpenCL cache

 gegl/buffer/gegl-buffer-cl-cache.c |  214
 +++++++++++++++++++-----------------
 gegl/buffer/gegl-buffer.c          |    2 +-
 2 files changed, 115 insertions(+), 101 deletions(-)

commit c3e7b5e6a7a96d0053861f43a3124fcb50bcedaf
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Feb 6 10:52:31 2012 -0200

    OpenCl Cache for Buffer regions

    Adapting buffer to use OpenCl cache

 gegl/buffer/Makefile.am               |    3 +-
 gegl/buffer/gegl-buffer-access.c      |   17 ++
 gegl/buffer/gegl-buffer-cl-cache.c    |  334
 +++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer-cl-cache.h    |   37 ++++
 gegl/buffer/gegl-buffer-cl-iterator.c |  110 ++++++------
 gegl/buffer/gegl-buffer.c             |    3 +
 gegl/gegl-config.c                    |    2 +
 gegl/opencl/gegl-cl-init.c            |    6 +
 gegl/opencl/gegl-cl-init.h            |    6 +
 gegl/opencl/gegl-cl-types.h           |    4 +-
 10 files changed, 466 insertions(+), 56 deletions(-)

commit 6307eb054efd201f24f2cebe6e2f404e13a071cd
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Feb 8 16:46:04 2012 -0200

    OpenCL support in some point-filter operators

    * color-temperature
    * invert
    * value-invert
    * whitebalance

 operations/common/color-temperature.c |   64 ++++++++++++++++++++++++++
 operations/common/invert.c            |   50 ++++++++++++++++++++
 operations/common/value-invert.c      |   81
 +++++++++++++++++++++++++++++++++
 operations/common/whitebalance.c      |   72
 +++++++++++++++++++++++++++++
 4 files changed, 267 insertions(+), 0 deletions(-)

commit fe6a4711f45cd2b4925def560ec271ea1d30e047
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Feb 13 19:20:43 2012 -0200

    Changing color conversion to linear buffers

    And organizing a little

 gegl/opencl/gegl-cl-color-kernel.h |  186
 +++++++++++++++++++++++++-----------
 gegl/opencl/gegl-cl-color.c        |   97 +++++++++++--------
 2 files changed, 186 insertions(+), 97 deletions(-)

commit 6914269cf5cd5c89083774a1b8bfd3f05b3e41c7
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Jan 31 11:13:58 2012 -0200

    Using opencl buffers instead of Image2D

    changing memory flags also.

 gegl/buffer/gegl-buffer-cl-iterator.c        |  156
 +++++++++++---------------
 gegl/buffer/gegl-buffer-cl-iterator.h        |    2 +-
 gegl/opencl/gegl-cl-color-kernel.h           |  109 +++++++++---------
 gegl/opencl/gegl-cl-color.c                  |   16 ++--
 gegl/opencl/gegl-cl-color.h                  |    2 +-
 gegl/operation/gegl-operation-point-filter.h |    2 +-
 operations/common/brightness-contrast.c      |   23 ++--
 7 files changed, 140 insertions(+), 170 deletions(-)

commit 0afb9cc8efc343d1ab4b3f543af85dbde76fdb20
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Jan 26 11:13:35 2012 -0200

    organizing code a little

 gegl/buffer/gegl-buffer-cl-iterator.c        |  229
 ++++++++++++++------------
 gegl/buffer/gegl-buffer-cl-iterator.h        |    2 +-
 gegl/operation/gegl-operation-point-filter.c |    2 +-
 3 files changed, 125 insertions(+), 108 deletions(-)

commit 76abcccfc764461427e0f28b7fc6c91cc95afcf0
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Jan 26 10:05:45 2012 -0200

    shameful bug in kernels

 gegl/opencl/gegl-cl-color-kernel.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 555f29c8351dce35039a1d70f7feac07b9b2fd8b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Jan 25 16:43:57 2012 -0200

    using the new color conversion scheme in gegl-buffer-cl-iterator

 gegl/buffer/gegl-buffer-cl-iterator.c        |  269
 ++++++++++++++++++--------
 gegl/buffer/gegl-buffer-cl-iterator.h        |    2 +-
 gegl/opencl/gegl-cl-color.c                  |    3 +
 gegl/operation/gegl-operation-point-filter.c |    2 +-
 4 files changed, 190 insertions(+), 86 deletions(-)

commit 7b5b7cd239af185831e03b6eeadd10a7106f2749
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Jan 23 10:13:21 2012 -0200

    removal of intermediate formats

    this simplifies code, but reduces possible
    color conversions.

 gegl/opencl/gegl-cl-color.c |  174
 +++++++++++++++++--------------------------
 gegl/opencl/gegl-cl-color.h |    8 +-
 2 files changed, 74 insertions(+), 108 deletions(-)

commit 6f84d1d03963cd32b2a7e3dbe96338eb17ed26bc
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Jan 17 12:52:02 2012 -0200

    Kernels for Y'CbCrA color format

 gegl/opencl/gegl-cl-color-kernel.h |   42
 ++++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-color.c        |   11 ++++++++-
 2 files changed, 52 insertions(+), 1 deletions(-)

commit 932c4f224d30cd1f925920bfedad719e16e3cc3d
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Jan 23 13:00:47 2012 -0200

    removing gegl-cl-texture and gegl-cl-texture manager

    they weren't needed after all, just used cl_mem directly.

 gegl/opencl/Makefile.am                    |    8 +--
 gegl/opencl/gegl-cl-color.c                |    6 --
 gegl/opencl/gegl-cl-texture-manager.c      |  112
 ---------------------------
 gegl/opencl/gegl-cl-texture-manager.h      |   12 ---
 gegl/opencl/gegl-cl-texture.c              |  113
 ----------------------------
 gegl/opencl/gegl-cl-texture.h              |   45 -----------
 gegl/opencl/gegl-cl.h                      |    1 -
 tests/opencl/test-cl-brightness-contrast.c |    3 +-
 8 files changed, 2 insertions(+), 298 deletions(-)

commit 8e77631ade779d6cfef7c672b128444ae3162153
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Jan 16 13:38:04 2012 -0200

    error handling in gegl-buffer-cl-iterator

 gegl/buffer/gegl-buffer-cl-iterator.c        |   84
 ++++++++++++++-----------
 gegl/buffer/gegl-buffer-cl-iterator.h        |    2 +-
 gegl/operation/gegl-operation-point-filter.c |   34 +++++-----
 gegl/operation/gegl-operation-point-filter.h |    2 +-
 operations/common/brightness-contrast.c      |   30 ++++-----
 5 files changed, 79 insertions(+), 73 deletions(-)

commit df54426d257c62ffe9307636839cb420031938c5
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Jan 8 15:39:32 2012 -0200

    Major refactoring in point-filter-cl

    GeglBufferClIterator created and using it in point-filter-cl

 gegl/buffer/Makefile.am                      |    2 +
 gegl/buffer/gegl-buffer-cl-iterator.c        |  389
 ++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer-cl-iterator.h        |   36 +++
 gegl/buffer/gegl-buffer-private.h            |    1 +
 gegl/opencl/gegl-cl-texture-manager.c        |    4 +-
 gegl/operation/gegl-operation-point-filter.c |  210 ++-------------
 6 files changed, 449 insertions(+), 193 deletions(-)

commit e2de30eef60cf3f4c0ff64cf3985bd6d7ec7227c
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Jan 4 02:05:42 2012 -0200

    OpenCl texture manager

 gegl/opencl/Makefile.am                      |    5 +-
 gegl/opencl/gegl-cl-texture-manager.c        |  112
 ++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-texture-manager.h        |   12 +++
 gegl/operation/gegl-operation-point-filter.c |   29 +++----
 4 files changed, 141 insertions(+), 17 deletions(-)

commit 4dcc7c7f45cdce6fcc294f967f278cc12abac1e9
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Jan 2 16:33:58 2012 -0200

    gegl-cl-texture improvements

 gegl/opencl/gegl-cl-texture.c |   35 +++++++++++++++++++++++++----------
 gegl/opencl/gegl-cl-texture.h |   24 ++++++++++--------------
 gegl/opencl/gegl-cl-types.h   |   10 ++++++++++
 3 files changed, 45 insertions(+), 24 deletions(-)

commit f221dbd8c42ebeb22df9dbc7682cba0708600d2d
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Jan 3 13:10:08 2012 -0200

    Output reading is done with MAP_READ

 gegl/operation/gegl-operation-point-filter.c |   47
 ++++++++++++--------------
 1 files changed, 22 insertions(+), 25 deletions(-)

commit 024963eb9c204abd4feacf708be2578e910008ff
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Dec 30 22:23:33 2011 -0200

    Many changes and fixes to point-operator-cl

    moving mapping between babl formats and opencl textures to
    gegl-cl-color
    lots of fixes

 gegl/opencl/gegl-cl-color.c                  |   32 ++++++++
 gegl/opencl/gegl-cl-color.h                  |    2 +
 gegl/operation/gegl-operation-point-filter.c |  103
 ++++++++++++--------------
 3 files changed, 81 insertions(+), 56 deletions(-)

commit 862ccb1baa2a8227437b93e2483471331cb5d7d0
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Dec 30 21:59:20 2011 -0200

    color conversion using BABL if not supported on the GPU

 gegl/operation/gegl-operation-point-filter.c |   48
 ++++++++++++++-----------
 1 files changed, 27 insertions(+), 21 deletions(-)

commit f366e26f9371112eb7831dd2d6a4707a7b226433
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Dec 19 12:16:48 2011 -0200

    Color conversion rgba8 to/from rgba float with OpenCL

 gegl/opencl/gegl-cl-color-kernel.h           |   20 ++++++
 gegl/opencl/gegl-cl-color.c                  |   95
 +++++++++++++++++++-------
 gegl/opencl/gegl-cl-color.h                  |   11 +++-
 gegl/operation/gegl-operation-point-filter.c |   64 +++++++++--------
 4 files changed, 132 insertions(+), 58 deletions(-)

commit 77598e58e3b26ad9abcf389680d8837d044c49cd
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Tue Dec 6 15:35:49 2011 -0200

    Common color conversions performed in the GPU and fixing some bugs
    in point-filter

 gegl/opencl/Makefile.am                      |    5 +-
 gegl/opencl/cl_gl_ext.h                      |    2 +-
 gegl/opencl/gegl-cl-color-kernel.h           |  108 ++++++++++++
 gegl/opencl/gegl-cl-color.c                  |  131 +++++++++++++++
 gegl/opencl/gegl-cl-color.h                  |   14 ++
 gegl/opencl/gegl-cl-init.c                   |    5 +
 gegl/opencl/gegl-cl-init.h                   |    1 -
 gegl/opencl/gegl-cl.h                        |    1 +
 gegl/operation/gegl-operation-context.c      |    2 +
 gegl/operation/gegl-operation-point-filter.c |  224
 ++++++++++----------------
 operations/common/brightness-contrast.c      |   11 +-
 11 files changed, 354 insertions(+), 150 deletions(-)

commit 78e0baf2df7183abf96d5501d2edf8f746a602e9
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Dec 5 19:54:18 2011 -0200

    minor changes and removing warnings

 gegl/opencl/gegl-cl-init.c                   |  127
 +++++++++++++++-----------
 gegl/opencl/gegl-cl-init.h                   |    2 +-
 gegl/operation/gegl-operation-point-filter.c |    4 +-
 3 files changed, 75 insertions(+), 58 deletions(-)

commit 3e99802d7be7e4608dc76122c7df5647afebaca8
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Dec 4 16:51:21 2011 -0200

    Changes in OpenCL library load in Windows

 gegl/opencl/gegl-cl-init.c  |   29 +++++++++++++-
 gegl/opencl/gegl-cl-types.h |   88
 +++++++++++++++++++++++-------------------
 2 files changed, 74 insertions(+), 43 deletions(-)

commit c7bbf58062110fb101deebdda95bb55780c19460
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 25 11:20:13 2011 -0200

    More sophisticated tiled point operation function with OpenCL

 gegl/operation/gegl-operation-point-filter.c |  191
 +++++++++++++++++++++++++-
 1 files changed, 184 insertions(+), 7 deletions(-)

commit 229f82179d9c89186f205066ebbfbe8c00e6951b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Nov 21 16:54:29 2011 -0200

    Changes in OpenCL log messages

 gegl/opencl/gegl-cl-init.c                   |   20 ++++++++++----------
 gegl/operation/gegl-operation-point-filter.c |    2 +-
 operations/common/brightness-contrast.c      |    4 ++--
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 2e3f26a4ce2a8007c4880b3adf5baff9c202d79f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Nov 21 11:19:59 2011 -0200

    GEGL_USE_OPENCL enviroment variable created and OpenCL Init moved
    to gegl_post_parse_hook so it works in Gimp

 gegl/gegl-config.c            |   21 ++++++++++++++++++++-
 gegl/gegl-config.h            |    1 +
 gegl/gegl-init.c              |   16 +++++++++++++---
 gegl/process/gegl-processor.c |   19 +++++++++++--------
 4 files changed, 45 insertions(+), 12 deletions(-)

commit 8c6e383671840d2ab3133e2f0ae5ef556065d7fc
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 17:11:51 2011 -0200

    Simple test which runs Brightness-Constrast with OpenCL

 tests/opencl/Makefile.am                   |   31 ++++++++++++++
 tests/opencl/test-cl-brightness-contrast.c |   63
 ++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+), 0 deletions(-)

commit 2f95f25ca6343234abdc8907fdd61c1bd9595eae
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 17:08:37 2011 -0200

    Gegl tries to use OpenCL by default

 gegl/gegl-init.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 487a776d3d1a27814a9672b4f618d207fd6172f0
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 17:05:57 2011 -0200

    GeglOperator and OpenCL

    GeglOperator doesn't cut up ROIs if a processing node is detected to
    have an dependent node which supports OpenCL.

    This is because tiling has too much overhead in the GPU.

 gegl/process/gegl-processor.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit d19d6e059bdf5c576b9260e20dc3b711768b2d02
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 17:03:59 2011 -0200

    'opencl_support' property added to GeglOperation

 gegl/operation/gegl-operation.c         |    1 +
 gegl/operation/gegl-operation.h         |    2 ++
 operations/common/brightness-contrast.c |    1 +
 3 files changed, 4 insertions(+), 0 deletions(-)

commit e57d623af1a20bc8336d5cfde2e943fa555e04c4
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 17:02:23 2011 -0200

    Better error management in Brightness-Contrast OpenCL version

 operations/common/brightness-contrast.c |   24 +++++++++++++++++-------
 1 files changed, 17 insertions(+), 7 deletions(-)

commit f416d2d92b21d30a0e9cd92738303144015bd815
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 16:58:20 2011 -0200

    Set OpenCL tile size property as a square

 gegl/opencl/gegl-cl-init.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 0975f71c6351ae7263b1c5da1030d6e63d42a166
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Fri Nov 18 16:05:28 2011 -0200

    Changing OpenCL headers directory because of makefiles

 gegl/opencl/CL/cl.h                          |  997 ---------------------
 gegl/opencl/CL/cl_d3d10.h                    |  125 ---
 gegl/opencl/CL/cl_ext.h                      |  213 -----
 gegl/opencl/CL/cl_gl.h                       |  155 ----
 gegl/opencl/CL/cl_gl_ext.h                   |   69 --
 gegl/opencl/CL/cl_platform.h                 | 1198
 --------------------------
 gegl/opencl/CL/opencl.h                      |   53 --
 gegl/opencl/Makefile.am                      |   22 +-
 gegl/opencl/cl.h                             |  997 +++++++++++++++++++++
 gegl/opencl/cl_d3d10.h                       |  125 +++
 gegl/opencl/cl_ext.h                         |  213 +++++
 gegl/opencl/cl_gl.h                          |  155 ++++
 gegl/opencl/cl_gl_ext.h                      |   69 ++
 gegl/opencl/cl_platform.h                    | 1198
 ++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-types.h                  |    8 +-
 gegl/opencl/opencl.h                         |   53 ++
 gegl/operation/gegl-operation-point-filter.c |   43 +-
 gegl/operation/gegl-operation-point-filter.h |    2 +-
 operations/common/brightness-contrast.c      |    2 +-
 19 files changed, 2860 insertions(+), 2837 deletions(-)

commit 61a82ffeb37e3bee421a8bc7c4909fee3679ea96
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Nov 17 11:10:18 2011 -0200

    Brightness-Contrast op with OpenCL support

 operations/common/brightness-contrast.c |   60
 ++++++++++++++++++++++++++++++-
 1 files changed, 59 insertions(+), 1 deletions(-)

commit 0e62baa54745d194db981941953d6b8806aaa28b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Thu Nov 17 10:55:48 2011 -0200

    Point Filter uses OpenCL

 gegl/operation/gegl-operation-point-filter.c |  110
 ++++++++++++++++++++++++++
 gegl/operation/gegl-operation-point-filter.h |    8 ++
 2 files changed, 118 insertions(+), 0 deletions(-)

commit 4c9274b524f3e16612fba54932b3b74cf2cf362f
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Mon Nov 14 20:56:43 2011 -0200

    OpenCl kernel cache

    With this we avoid compiling the same kernel twice.

 gegl/opencl/gegl-cl-init.c |   55
 +++++++++++++++++++++++++++++++++++++------
 gegl/opencl/gegl-cl-init.h |   12 ++++++++-
 2 files changed, 57 insertions(+), 10 deletions(-)

commit 4e37a5e609ad0dd55e95a7b47c781d98cdd34792
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun Nov 13 13:56:58 2011 -0200

    OpenCL: Important OpenCL properties stored

 gegl/opencl/gegl-cl-init.c |   80
 +++++++++++++++++++++++++++----------------
 gegl/opencl/gegl-cl-init.h |   25 ++++++++++++++
 gegl/opencl/gegl-cl.h      |    8 ++++
 3 files changed, 83 insertions(+), 30 deletions(-)

commit 3dfa69beb3618e0de4877a8a4022484bb98a3bbf
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Wed Jun 1 14:25:16 2011 -0300

    OpenCL Texture Class

 gegl/opencl/Makefile.am       |    4 +-
 gegl/opencl/gegl-cl-texture.c |   98
 +++++++++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-texture.h |   49 ++++++++++++++++++++
 3 files changed, 150 insertions(+), 1 deletions(-)

commit 5635bd2cf2f12dcc7d04370c61f79b9f04cc666b
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Jul 2 01:32:44 2011 -0300

    OpenCL shared resources created in gegl_cl_init

    a default platform, device, context and command
    queue is created in gegl_cl_init

 gegl/opencl/gegl-cl-init.c |   52
 ++++++++++++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-init.h |   18 +++++++++++++++
 2 files changed, 70 insertions(+), 0 deletions(-)

commit 709cbc7ed0676b5667522d0d47610676dbe7eb49
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Jul 2 01:31:30 2011 -0300

    More OpenCL functions stubs

 gegl/opencl/gegl-cl-init.c  |   94
 ++++++++++++++++++++++++++++++++++++++++++-
 gegl/opencl/gegl-cl-init.h  |   75 ++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-types.h |   49 ++++++++++++++++++----
 3 files changed, 207 insertions(+), 11 deletions(-)

commit ba8277ad847abae362f6aad3cc17f20e607fa1fc
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sat Jul 2 00:39:41 2011 -0300

    All makefiles include opencl [except docs]

 bin/Makefile.am                 |    4 +++-
 configure.ac                    |    3 ++-
 examples/Makefile.am            |    4 +++-
 gegl/Makefile.am                |    7 +++++--
 gegl/buffer/Makefile.am         |    4 +++-
 gegl/graph/Makefile.am          |    4 +++-
 gegl/module/Makefile.am         |    4 +++-
 gegl/opencl/Makefile.am         |   26 ++++++++++++++++++++++++++
 gegl/operation/Makefile.am      |    4 +++-
 gegl/process/Makefile.am        |    4 +++-
 gegl/property-types/Makefile.am |    4 +++-
 operations/Makefile-common.am   |    6 ++++--
 tests/Makefile.am               |    3 ++-
 tests/buffer/Makefile.am        |    5 ++++-
 tests/simple/Makefile.am        |    4 +++-
 tests/xml/Makefile.am           |    4 +++-
 tools/Makefile.am               |    4 +++-
 17 files changed, 76 insertions(+), 18 deletions(-)

commit 5baf8bf19de2efb2624da8b04fce578ec88d6db1
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun May 8 20:16:28 2011 -0300

    Dynamic loading of OpenCL libs using gmodule.

 gegl/opencl/gegl-cl-init.c  |   60
 +++++++++++++++++++++++++++++++++++++++++++
 gegl/opencl/gegl-cl-init.h  |   19 +++++++++++++
 gegl/opencl/gegl-cl-types.h |   21 +++++++++++++++
 3 files changed, 100 insertions(+), 0 deletions(-)

commit 4109ed6167b085e942375d0ce709be01af329fd9
Author: Victor Oliveira <victormatheus@gmail.com>
Date:   Sun May 8 20:17:30 2011 -0300

    Added OpenCL headers

 gegl/opencl/CL/cl.h          |  997 +++++++++++++++++++++++++++++++++++
 gegl/opencl/CL/cl_d3d10.h    |  125 +++++
 gegl/opencl/CL/cl_ext.h      |  213 ++++++++
 gegl/opencl/CL/cl_gl.h       |  155 ++++++
 gegl/opencl/CL/cl_gl_ext.h   |   69 +++
 gegl/opencl/CL/cl_platform.h | 1198
 ++++++++++++++++++++++++++++++++++++++++++
 gegl/opencl/CL/opencl.h      |   53 ++
 7 files changed, 2810 insertions(+), 0 deletions(-)

commit d86c70fb2659c571c14a69fc5a2b5b68191dfe51
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 20 00:36:18 2012 +0000

    build: disable introspection by default

 m4/introspection.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e03573c6e6b32a4253db5d96a08ff92df5143f9
Author: Mikael Magnusson <mikachu@gmail.com>
Date:   Tue Aug 9 16:34:31 2011 +0200

    affine: parse full 3x3 matrices, try to do perspective

    The code does not produce the correct results yet, it now parses
    the matrices
    correctly, presumably nothing is using gegl to pass in transforms
    as strings
    yet.

 gegl/gegl-matrix.c         |    4 ++--
 operations/affine/affine.c |   37 +++++++++++++++++++++++--------------
 2 files changed, 25 insertions(+), 16 deletions(-)

commit a6bf0e141410e52984626f13135223e4a7845910
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 19 17:50:08 2012 +0000

    buffer: fix gegl_buffer_set_pattern

    Fix col/row confusion in coordinate code, it should now behave
    correctly.

 gegl/buffer/gegl-buffer-access.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7d5ef7d4bf4c9c4ffc1e0b751dc4447813310be9
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 19:21:49 2012 +0000

    exit: clarify GeglBuffer leak message

 gegl/gegl-init.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8d121ea9148d112b705b6d824248e1684fdf33d0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 16:38:15 2012 +0000

    complete babl constification

 examples/float-lookup.c                         |    3 +++
 gegl/operation/gegl-operation-point-composer.c  |    2 +-
 gegl/operation/gegl-operation-point-composer3.c |    2 +-
 operations/affine/affine.c                      |    4 ++--
 operations/common/color-temperature.c           |    2 +-
 operations/common/contrast-curve.c              |    2 +-
 operations/common/grey.c                        |    2 +-
 operations/common/map-absolute.c                |    4 ++--
 operations/common/map-relative.c                |    4 ++--
 operations/common/mirrors.c                     |    4 ++--
 operations/common/over.c                        |    2 +-
 operations/common/remap.c                       |    2 +-
 operations/common/svg-huerotate.c               |    2 +-
 operations/common/svg-luminancetoalpha.c        |    2 +-
 operations/common/svg-matrix.c                  |    2 +-
 operations/common/svg-saturate.c                |    2 +-
 operations/common/weighted-blend.c              |    2 +-
 operations/common/whitebalance.c                |    2 +-
 operations/core/convert-format.c                |    2 +-
 operations/external/jpg-save.c                  |    2 +-
 operations/external/path.c                      |    8 ++++----
 operations/external/png-load.c                  |    2 +-
 operations/external/png-save.c                  |    2 +-
 operations/external/ppm-load.c                  |    4 ++++
 operations/external/ppm-save.c                  |    2 ++
 operations/generated/add.c                      |    2 +-
 operations/generated/clear.c                    |    2 +-
 operations/generated/color-burn.c               |    2 +-
 operations/generated/color-dodge.c              |    2 +-
 operations/generated/darken.c                   |    2 +-
 operations/generated/difference.c               |    2 +-
 operations/generated/divide.c                   |    2 +-
 operations/generated/dst-atop.c                 |    2 +-
 operations/generated/dst-in.c                   |    2 +-
 operations/generated/dst-out.c                  |    2 +-
 operations/generated/dst-over.c                 |    2 +-
 operations/generated/dst.c                      |    2 +-
 operations/generated/exclusion.c                |    2 +-
 operations/generated/gamma.c                    |    2 +-
 operations/generated/hard-light.c               |    2 +-
 operations/generated/lighten.c                  |    2 +-
 operations/generated/math.rb                    |    2 +-
 operations/generated/multiply.c                 |    2 +-
 operations/generated/other-blend.rb             |    2 +-
 operations/generated/overlay.c                  |    2 +-
 operations/generated/plus.c                     |    2 +-
 operations/generated/screen.c                   |    2 +-
 operations/generated/soft-light.c               |    2 +-
 operations/generated/src-atop.c                 |    2 +-
 operations/generated/src-in.c                   |    2 +-
 operations/generated/src-out.c                  |    2 +-
 operations/generated/src-over.c                 |    2 +-
 operations/generated/src.c                      |    2 +-
 operations/generated/subtract.c                 |    2 +-
 operations/generated/svg-12-blend.rb            |    2 +-
 operations/generated/svg-12-porter-duff.rb      |    2 +-
 operations/generated/svg-multiply.c             |    2 +-
 operations/generated/xor.c                      |    2 +-
 tests/simple/test-gegl-tile.c                   |    3 +--
 tests/simple/test-path.c                        |    4 ++--
 60 files changed, 74 insertions(+), 66 deletions(-)

commit 0e74af2cd7cba15216c463e8a64498895276c450
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 16:17:05 2012 +0000

    buffer: Babl's have been constified

 gegl/buffer/gegl-buffer-access.c     |   26 +++++++++++-----------
 gegl/buffer/gegl-buffer-load.c       |    2 +-
 gegl/buffer/gegl-buffer-types.h      |   16 +++++++-------
 gegl/buffer/gegl-buffer.c            |    2 +-
 gegl/buffer/gegl-buffer.h            |    2 +-
 gegl/buffer/gegl-sampler.c           |    4 +-
 gegl/buffer/gegl-sampler.h           |    6 ++--
 gegl/buffer/gegl-tile-backend.c      |    4 +-
 gegl/buffer/gegl-tile-backend.h      |    4 +-
 gegl/buffer/gegl-tile-handler-zoom.c |   38
 +++++++++++++++++-----------------
 10 files changed, 52 insertions(+), 52 deletions(-)

commit ff9d9de5b488f76ee91928458149f5b687651009
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Mar 18 16:03:04 2012 +0000

    exr-load: cast a babl format, since it will become const

 operations/external/exr-load.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 864bf0618369755f52ff36136f06e020898cc068
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 23:08:50 2012 +0000

    buffer: handle the case of direct gegl_free correctly

 gegl/buffer/gegl-tile.c |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit c2b97d9417de9bbf8cb4ef5c6be5c730224a3baf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 22:41:10 2012 +0000

    buffer: use GDestroyNotify for linear buffers

 gegl/buffer/gegl-buffer-linear.c  |    2 +-
 gegl/buffer/gegl-buffer-private.h |    4 ++--
 gegl/buffer/gegl-tile.c           |   23 ++++++++++-------------
 gegl/buffer/gegl-tile.h           |    2 +-
 gegl/gegl-types.h                 |    5 -----
 5 files changed, 14 insertions(+), 22 deletions(-)

commit 63a52be283569b0e5df11c640752db22af6b132b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 22:08:50 2012 +0000

    buffer: fix type of destroy_fn for linear buffers

 gegl/buffer/gegl-buffer-linear.c |    2 +-
 gegl/buffer/gegl-buffer.h        |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 4f5e2499eeefb7f236ee581486d4ec4886f49b70
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 17:34:36 2012 +0000

    add missing gegl-apply header

 gegl/gegl-apply.h |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 00ae52f074fe4ea7bc84034f15153d909918b756
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 15:40:09 2012 +0000

    GeglNode: invalidate when disconnecting a connectinon on a source pad

 gegl/graph/gegl-node.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 10e27225497190cc1d52479aebcc98c2f445aba5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Mar 17 14:43:44 2012 +0000

    buffer: turn an abort into a console warning

    When processing a 0x0 px region with GeglBufferIterator the code
    used to die

 gegl/buffer/gegl-buffer-iterator.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 4a7a011322337e0b6efd7a6e6d134bb1bfe774ac
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 22:52:19 2012 +0000

    add an API to directly invoke commands on buffers

    For use directly inside ops or in stand-alone code where a graph
    is overkill.
    (Note that this API uses short temporary graphs of it's own...)

 gegl/Makefile.am  |    1 +
 gegl/gegl-apply.c |  298
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 gegl/gegl.h       |   33 ++++++
 perf/Makefile     |    2 +-
 4 files changed, 333 insertions(+), 1 deletions(-)

commit 8ca39fce36fec20cae684edccafe5d3073dc273c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 22:58:47 2012 +0000

    Revert "remove internal profiling code"

    This reverts commit 6d4456fc928a942ab519e8ce07f9187f9079c3fd.

    Removing it was an experiment, the result of the experiment was
    that profiling
    does not have a performance impact. Pushing the commit was an
    accident.

 examples/float-lookup.c             |   16 +-
 gegl/Makefile.am                    |    2 +
 gegl/gegl-init.c                    |   25 +++
 gegl/gegl-instrument.c              |  341
 +++++++++++++++++++++++++++++++++++
 gegl/gegl-instrument.h              |   36 ++++
 gegl/gegl-xml.c                     |    5 +
 gegl/process/gegl-eval-mgr.c        |    6 +
 gegl/process/gegl-eval-visitor.c    |    5 +
 gegl/process/gegl-finish-visitor.c  |    1 +
 gegl/process/gegl-have-visitor.c    |    6 +
 gegl/process/gegl-prepare-visitor.c |    6 +
 11 files changed, 440 insertions(+), 9 deletions(-)

commit 39a5fa34fed9d48ccf6a7080df671bcad6c9c0bb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 22:41:11 2012 +0000

    buffer: add gegl_buffer_iterator_stop

    A function to be used when bailing out early from iterating over a
    region on a
    buffer.

 gegl/buffer/gegl-buffer-iterator.c |   71
 ++++++++++++++++++++----------------
 gegl/buffer/gegl-buffer-iterator.h |    9 +++++
 2 files changed, 49 insertions(+), 31 deletions(-)

commit 6d4456fc928a942ab519e8ce07f9187f9079c3fd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 15:45:00 2012 +0000

    remove internal profiling code

 examples/float-lookup.c             |   16 +-
 gegl/Makefile.am                    |    2 -
 gegl/gegl-init.c                    |   25 ---
 gegl/gegl-instrument.c              |  341
 -----------------------------------
 gegl/gegl-instrument.h              |   36 ----
 gegl/gegl-xml.c                     |    5 -
 gegl/process/gegl-eval-mgr.c        |    6 -
 gegl/process/gegl-eval-visitor.c    |    5 -
 gegl/process/gegl-finish-visitor.c  |    1 -
 gegl/process/gegl-have-visitor.c    |    6 -
 gegl/process/gegl-prepare-visitor.c |    6 -
 11 files changed, 9 insertions(+), 440 deletions(-)

commit 93960755c271ccb7ff04971e56b6fa5a466e9b28
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 15:34:41 2012 +0000

    process: get rid of warning about 0px processing

 gegl/operation/gegl-operation.c  |    2 +-
 gegl/process/gegl-eval-visitor.c |   26 +++++++++++++++++---------
 2 files changed, 18 insertions(+), 10 deletions(-)

commit d9bb9fd4ff2819678ddc9f4440916ef35cb37a53
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 02:54:14 2012 +0000

    buffer: do more efficient voiding of buffer

    GEGL was iterating through all possible tiles sending commands
    that they
    should be voided, it is better to void the data in the cache instead.

 gegl/buffer/gegl-buffer.c |   62
 +-------------------------------------------
 1 files changed, 2 insertions(+), 60 deletions(-)

commit 724dedff36252f7dfa7959d6ce547415e2d480a4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 02:46:32 2012 +0000

    tests: restore old reference images for some tests

    GEGL was wiping the reference images for a couple of commits when GEGL
    was unconditionally flushing all buffers on dispose. The modified
    reference images got commited.

 tests/compositions/reference/hdr-color.gegl  |  Bin 131664 -> 131368
 bytes
 tests/compositions/reference/rgb-params.gegl |  Bin 131664 -> 131368
 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 494dce13744aa15662d5a3b21891b54a93231e14
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Mar 16 00:08:12 2012 +0000

    buffer: add one more column/row

 gegl/buffer/gegl-buffer-access.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4561847aa48e020b611d4b714b477ba3115fbcc7
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 23:43:59 2012 +0000

    buffer: use the correct memory for gegl_buffer_set_color

 gegl/buffer/gegl-buffer-access.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit d3d965844c4f150fad85629edd9fd4f1eacfa0ff
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 23:36:45 2012 +0000

    geglcolor: swap fishes for conversions to and from pixel

 gegl/property-types/gegl-color.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0ecb4423447429d80a1cede7e1ec519127f8f20b
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 23:01:03 2012 +0000

    buffer: add gegl_buffer_set_pattern

 gegl/buffer/gegl-buffer-access.c |   39
 +++++++++++++++++++++++--------------
 gegl/buffer/gegl-buffer.h        |   20 +++++++++++++++++-
 2 files changed, 42 insertions(+), 17 deletions(-)

commit f3301771e8327a5af52a05c33ac2cc24588f329f
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 22:34:46 2012 +0000

    buffer: use gegl_color_get_pixel in gegl_buffer_set_color

 gegl/buffer/gegl-buffer-access.c |    4 +---
 gegl/property-types/gegl-color.c |    4 ++--
 gegl/property-types/gegl-color.h |   11 ++++-------
 3 files changed, 7 insertions(+), 12 deletions(-)

commit 3fc3a037afb006e2dc32c584d898c64fc97dd2d5
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 22:02:36 2012 +0000

    geglcolor: add api to set and get based on pixel in given bablformat

 gegl/property-types/gegl-color.c |   27 ++++++++++++++++++++++++++-
 gegl/property-types/gegl-color.h |   24 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 1 deletions(-)

commit d0096a5af814ae438b065f3d5ae601a06b9994cf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 21:22:58 2012 +0000

    buffer: fix gegl_buffer_set_color

 gegl/buffer/gegl-buffer-access.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b42348fc8c3c6318c0aa8066a28a8b21e2107644
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 20:56:18 2012 +0000

    buffer: added gegl_buffer_set_color

 gegl/buffer/gegl-buffer-access.c |   60
 ++++++++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-buffer.h        |   13 ++++++++
 2 files changed, 73 insertions(+), 0 deletions(-)

commit 6959dc15f198f9eee06fca85cfb565d3037da509
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 19:35:11 2012 +0000

    buffer: only flush non-internal tile backends in dispose

    This avoids walking the full tile cache on dispose of all internal
    buffers.

 gegl/buffer/gegl-buffer.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 5270a6f779abcaad3fa84a212ff3b6b418b418c2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 14:12:20 2012 +0000

    buffer: flush on dispose

 gegl/buffer/gegl-buffer.c                    |    1 +
 tests/compositions/reference/hdr-color.gegl  |  Bin 131368 -> 131664
 bytes
 tests/compositions/reference/rgb-params.gegl |  Bin 131368 -> 131664
 bytes
 3 files changed, 1 insertions(+), 0 deletions(-)

commit 3601fc845b63a8ab200d0dd9c283b81744013155
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 01:57:59 2012 +0000

    Revert "buffer: avoid inadvertently increasing revision of tile"

    This reverts commit 3b983db51bc8743aed7ca30093423bf6686293aa.

 gegl/buffer/gegl-buffer.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 3b983db51bc8743aed7ca30093423bf6686293aa
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Thu Mar 15 01:46:10 2012 +0000

    buffer: avoid inadvertently increasing revision of tile

 gegl/buffer/gegl-buffer.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f90fd14481627250da473b71ac13d1ca91c077fc
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 14 20:20:28 2012 +0000

    buffer: add GEGL_IS_BUFFER to header

 gegl/buffer/gegl-buffer-private.h |    1 -
 gegl/buffer/gegl-buffer.h         |    1 +
 2 files changed, 1 insertions(+), 1 deletions(-)

commit 5d029719aa03c9769dae5b76dda1cfb24e38f535
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 14 02:22:03 2012 +0000

    processor: do not run process for 0px contexts

 gegl/operation/gegl-operation.c  |    2 ++
 gegl/process/gegl-eval-visitor.c |    3 ++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 511b1ce572faf243129f5588780bea8c9b26ac22
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 14 02:09:07 2012 +0000

    processor: make a processor reusable by restting its rectangle

 gegl/process/gegl-processor.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit db43a7d8a42f0ae1ecc29fc4f8dcb4180da02ea2
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Mar 14 00:03:02 2012 +0000

    buffer: add a command to the tile architecture for reiniting

    This is meant to be called from a tile backend to cause GeglBuffer
    to drop all
    cached tiles.

 gegl/buffer/gegl-buffer-private.h     |    1 +
 gegl/buffer/gegl-tile-backend-file.c  |   13 +++------
 gegl/buffer/gegl-tile-backend.c       |    6 ++++
 gegl/buffer/gegl-tile-backend.h       |    3 ++
 gegl/buffer/gegl-tile-handler-cache.c |   45
 +++++++++++++++++++++++++++++++++
 gegl/buffer/gegl-tile-source.h        |   12 +++++++++
 6 files changed, 71 insertions(+), 9 deletions(-)

commit adf09aa3be025687084713b3c30a0bfd29563a58
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 13 16:05:02 2012 +0000

    code cleanups - move an unref to where it is meant to be

 gegl/buffer/gegl-buffer.c       |   39
 +++++++++++++++++++--------------------
 gegl/buffer/gegl-tile-storage.c |    1 -
 2 files changed, 19 insertions(+), 21 deletions(-)

commit 0f0d9dbea772aa64530277ddb33de5ddda90bc0c
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 13 10:43:56 2012 +0000

    update contribute doc

 docs/contribute.html |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit 7f7226fa2d4f4f395dcbb2bd2c26f27bb3d7bd5d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 13 04:01:47 2012 +0000

    node: serialize computed emits

    This makes GIMP only deal with one such update at a time. Still
    not sufficient
    for some thread handling.

 gegl/graph/gegl-node.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit e37dcb224971babaf367ed129596dfab48b8e8e0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Mar 12 23:24:48 2012 +0000

    write-buffer: make the node of write-buffer emit computed events.

    At the moment this is added just to this node, this might be a
    signal that
    should be generally possible to expect to be fired on nodes.

 gegl/graph/gegl-node.c           |   11 +++++++++--
 gegl/graph/gegl-node.h           |    3 +++
 gegl/operation/gegl-operation.c  |    3 +++
 operations/common/write-buffer.c |   17 +++++++++++++++++
 4 files changed, 32 insertions(+), 2 deletions(-)

commit f0337a673b0110d9b4703379628d4f8771cce197
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Tue Mar 13 03:57:02 2012 +0000

    op/multiply.c: update autogenerated file (why is it in git anyways?)

    it seems like svg-multiply and math-multiply is overwriting the
    same file.

 operations/generated/multiply.c |  107
 +++++++++++++++++++++------------------
 1 files changed, 58 insertions(+), 49 deletions(-)

commit 54cf825c531cb58de41b7dff030bb961f735ab64
Author: Mikael Magnusson <mikachu@gmail.com>
Date:   Fri Mar 9 20:07:04 2012 +0100

    Fix alignment of configure --help output

 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3216884297ef64fcd9e4785e83c7155bb182d217
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jan 28 15:00:46 2012 +0000

    s/Andoni Morales Alastruey/Matteo F. Vescovi/

    One should be awake when applying or pushing commits..

 AUTHORS |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7fb6153b4400257d8c42e59a84cd676b24147208
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jan 28 11:57:08 2012 +0000

    add Adoni Morales Alastruey to AUTHORS

 AUTHORS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 069ad430bd06f6013a7f029ec3ed15b4936870a6
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sat Jan 28 11:55:43 2012 +0000

    From: Andoni Morales Alastruey <ylatuya@gmail.com>
    Date: Fri, 18 Nov 2011 21:29:57 +0100
    Subject: [PATCH] Initializa cairo renderer with the proper
    presentation file
     path

 bin/gegl-options.c                        |    2 +-
 gegl/gegl-xml.c                           |    2 +-
 gegl/graph/gegl-node.c                    |    2 +-
 gegl/operation/gegl-operation-composer.c  |    2 +-
 gegl/operation/gegl-operation-composer3.c |    2 +-
 gegl/operation/gegl-operation-filter.c    |    2 +-
 gegl/operation/gegl-operation-source.c    |    2 +-
 operations/common/fattal02.c              |    2 +-
 operations/core/convert-format.c          |    2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit 60c5abed6c97559ac75d8550e29e5e1c425fb733
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jan 4 04:52:23 2012 +0000

    build: add GEGL-0.1.deps to EXTRA_DIST

 gegl/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f12e6bbf30cd906ee0bd398ee5931179c885b372
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Thu Dec 22 21:27:17 2011 +0100

    operations/workshop/color-reduction.c: Get input rectangle correctly.

    Fixes BGO#666648.

 operations/workshop/color-reduction.c |   88
 ++++++++++++++------------------
 1 files changed, 39 insertions(+), 49 deletions(-)

commit f297f1e9ef7a134a30fcc0b9dc6b719876bc6d9e
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Fri Nov 25 23:38:54 2011 +0100

    Add myself to "Contributions from:" in 0.1.8 NEWS

    I was forgotten :(

 NEWS |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 0deca0421983b9099556aa22502c3cde2b4b92f4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 25 12:53:09 2011 +0000

    update info about mailinglist

 docs/index-static.txt.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1be4342259c93350b6ab99c637e38c884074ccd1
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Wed Nov 23 06:56:34 2011 +0100

    Make test-roundtrip.c support make distcheck

    Distribute files the test depend on and don't assume builddir =
    srcdir.

 configure.ac               |    1 +
 tests/xml/Makefile.am      |    2 ++
 tests/xml/data/Makefile.am |    3 +++
 tests/xml/test-roundtrip.c |    4 +++-
 4 files changed, 9 insertions(+), 1 deletions(-)

commit 2ea14c776ddae216b15cb7ef27393a92ebbd0844
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 19:21:19 2011 +0000

    post release version bump to 0.1.9

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3fe05c1d93c2578d9040565c269faa09edbb254
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 19:12:51 2011 +0000

    bump version to 1.8 for release

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94f81a109073e0140afbdb660ded760deecdbfdf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 19:11:09 2011 +0000

    update NEWS

 NEWS |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit 79071a69a2e02a7b6b6a04a2d0636097dc6295eb
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 19:11:01 2011 +0000

    AUTHORS: give more (new) contributors credit

 AUTHORS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2c1be3ae51e3318fef06e90e67d50df22b48e0af
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 19:10:04 2011 +0000

    bump babl requirement to 0.1.6

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6532fa4dcd81c9574c515d36eabde9bfcdcf27cf
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 16:09:37 2011 +0000

    operations: do not clean out generated .c files on maintainer clean

 operations/generated/Makefile.am          |    4 +---
 operations/workshop/generated/Makefile.am |    4 +---
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 778fac33143fcf9b11998466f16e5f4b15bfc451
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Fri Nov 18 16:01:51 2011 +0000

    operations: add generated .c files to git

    The ruby scripts are not being run by autogen.sh anymore, this way
    it is possible to bootstrap from a git clone again.

 operations/generated/add.c                    |  125
 ++++++++++++++++++++++++
 operations/generated/clear.c                  |  117
 +++++++++++++++++++++++
 operations/generated/color-burn.c             |  119
 +++++++++++++++++++++++
 operations/generated/color-dodge.c            |  119
 +++++++++++++++++++++++
 operations/generated/darken.c                 |  116
 +++++++++++++++++++++++
 operations/generated/difference.c             |  116
 +++++++++++++++++++++++
 operations/generated/divide.c                 |  125
 ++++++++++++++++++++++++
 operations/generated/dst-atop.c               |  117
 +++++++++++++++++++++++
 operations/generated/dst-in.c                 |  117
 +++++++++++++++++++++++
 operations/generated/dst-out.c                |  117
 +++++++++++++++++++++++
 operations/generated/dst-over.c               |  117
 +++++++++++++++++++++++
 operations/generated/dst.c                    |  117
 +++++++++++++++++++++++
 operations/generated/exclusion.c              |  116
 +++++++++++++++++++++++
 operations/generated/gamma.c                  |  125
 ++++++++++++++++++++++++
 operations/generated/hard-light.c             |  119
 +++++++++++++++++++++++
 operations/generated/lighten.c                |  116
 +++++++++++++++++++++++
 operations/generated/multiply.c               |  116
 +++++++++++++++++++++++
 operations/generated/overlay.c                |  119
 +++++++++++++++++++++++
 operations/generated/plus.c                   |  116
 +++++++++++++++++++++++
 operations/generated/screen.c                 |  116
 +++++++++++++++++++++++
 operations/generated/soft-light.c             |  121
 ++++++++++++++++++++++++
 operations/generated/src-atop.c               |  117
 +++++++++++++++++++++++
 operations/generated/src-in.c                 |  126
 +++++++++++++++++++++++++
 operations/generated/src-out.c                |  117
 +++++++++++++++++++++++
 operations/generated/src-over.c               |  117
 +++++++++++++++++++++++
 operations/generated/src.c                    |  117
 +++++++++++++++++++++++
 operations/generated/subtract.c               |  125
 ++++++++++++++++++++++++
 operations/generated/svg-multiply.c           |  115
 ++++++++++++++++++++++
 operations/generated/xor.c                    |  117
 +++++++++++++++++++++++
 operations/workshop/generated/average.c       |  110
 +++++++++++++++++++++
 operations/workshop/generated/blend-reflect.c |  110
 +++++++++++++++++++++
 operations/workshop/generated/negation.c      |  110
 +++++++++++++++++++++
 operations/workshop/generated/soft-burn.c     |  110
 +++++++++++++++++++++
 operations/workshop/generated/soft-dodge.c    |  110
 +++++++++++++++++++++
 operations/workshop/generated/subtractive.c   |  110
 +++++++++++++++++++++
 35 files changed, 4097 insertions(+), 0 deletions(-)

commit 4e1b04d8928da35323b6bfb8e3428cd9f474c22d
Author: Øyvind Kolås <pippin@oq-po.com>
Date:   Mon Oct 17 18:09:20 2011 +0100

    build: bump automake requirement to 1.11

    This is needed for the silent build rules, and probably more.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1a6dcf94bed0f9cb1d6bf1428b004f76a129faf
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 17:38:37 2011 +0100

    configure.ac: build: Strip out G_DISABLE_DEPRECATED

    We have deprecation warnings now

 configure.ac |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 96f3bf2926e3b7d1eb7e1284262148d1c8e7e35b
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 17:09:10 2011 +0100

    Copy introspection.m4 on tree

    This avoid us to depend on a system installed gobject-introspection
    package.

 Makefile.am         |    1 +
 m4/introspection.m4 |   94
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+), 0 deletions(-)

commit 61fe3791660f561c3e2c0d7c0076b38edc71086a
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:38:13 2011 +0100

    build: set automake options in AM_INIT_AUTOMAKE

 Makefile.am  |    2 --
 configure.ac |    2 +-
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 05ed69569c66811cde3d20a8818af244cdf8e01b
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:33:14 2011 +0100

    Makefile.am: Remove m4/introspection.m4 from EXTRA_DIST

 Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit c4937facd4f01d1198325af75e9338b4a8f5898c
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:20:29 2011 +0100

    configure.ac: Do not use local copu of introspection.m4

 configure.ac        |    2 +-
 m4/introspection.m4 |   94
 ---------------------------------------------------
 2 files changed, 1 insertions(+), 95 deletions(-)

commit 99c34d116c4283d95a773c25027a13c3872891d0
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:17:04 2011 +0100

    autogen.sh: Use autoreconf instead custom script

 autogen.sh |  325
 ++----------------------------------------------------------
 1 files changed, 8 insertions(+), 317 deletions(-)

commit 7046e83e6013d1c7c4c6527809a5e6a7596cf69e
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:10:53 2011 +0100

    configure.ac: Use new libtool syntax

 configure.ac |   16 ++++++----------
 1 files changed, 6 insertions(+), 10 deletions(-)

commit c502d6054b06fba9f8deb2d71d7ef40bfaca23ab
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:07:29 2011 +0100

    configure.ac: PACKAGE_NAME is already defined by AC_INIT

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 3913e57a483e14b82a2a908ddfc6283514617712
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Oct 17 13:05:18 2011 +0100

    configure.ac: Do not use deprecated macros

 configure.ac |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit 1b19311ffcfe83f895d277374f5cc306a95f4a93
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Oct 15 23:10:48 2011 +0200

    docs: Update contribute.html with progress

 docs/contribute.html |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 57aed4f8f57b8449f6386a0c54e314b3836f6479
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sat Oct 15 13:35:03 2011 +0200

    tests: Add gegl_tile_set_data_full() test

 tests/simple/test-gegl-tile.c |   37
 ++++++++++++++++++++++++++++++-------
 1 files changed, 30 insertions(+), 7 deletions(-)

commit dd956488e51387d459754faa35bd198fc3b97a0f
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Oct 11 08:06:44 2011 +0200

    gegl: Add gegl_tile_set_unlock_notify()

    So that custom tile backends can run code when GeglTile data has
    changed. Also add an API test case.

 gegl/buffer/gegl-buffer-backend.h |    5 +++
 gegl/buffer/gegl-buffer-private.h |    6 +++
 gegl/buffer/gegl-tile.c           |   14 +++++++
 gegl/buffer/gegl-tile.h           |    5 +++
 tests/simple/.gitignore           |    1 +
 tests/simple/Makefile.am          |    1 +
 tests/simple/test-gegl-tile.c     |   69
 +++++++++++++++++++++++++++++++++++++
 7 files changed, 101 insertions(+), 0 deletions(-)

commit 1dfb44caf66913d90d70e840695f55018538351c
Author: David Evans <devans@macports.org>
Date:   Sun Oct 2 20:09:27 2011 +0200

    ff-load: Fix build against ffmpeg 0.8/53+

    Fixes: BGO#652957 - ff-load: Needs to be updated to new ffmpeg/avutils
    API

 operations/external/ff-load.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 56288e5df7b79b81376ff6f0e4cc97c59563dea2
Author: Jon Nordby <jononor@gmail.com>
Date:   Sun Oct 2 19:59:17 2011 +0200

    png-save: Use gamma corrected also in non-alpha case

 operations/external/png-save.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c76af27d66c2ae5e66badd168511276fd5fae250
Author: Zbigniew Chyla <Zbigniew.Chyla@gmail.com>
Date:   Sun Nov 21 14:34:04 2010 +0100

    png-save: added support for writing GRAY and ALPHA-less images.

    Depending on format of the input buffer, choose the appropriate color
    type for the generated PNG file (GRAY/GRAY_ALPHA/RGB/RGB_ALPHA).

 operations/external/png-save.c |   55
 ++++++++++++++++++++++++++++-----------
 1 files changed, 39 insertions(+), 16 deletions(-)

commit 56d4c1d1d7864e7b8072006efc24d57c96b0375f
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sun Oct 2 18:19:16 2011 +0200

    bin: Fix warning

 bin/gegl.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6586652f5eab6aaadc58cc82bf0033876e05cae0
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Sun Oct 2 18:18:33 2011 +0200

    gegl: Add gegl_tile_set_data() and more

    Add gegl_tile_set_data(), gegl_tile_set_data_full() and
    GeglDestroyNotify to better support custom tile backends.

 gegl/buffer/gegl-buffer-linear.c  |    9 ++++---
 gegl/buffer/gegl-buffer-private.h |    6 ++--
 gegl/buffer/gegl-tile.c           |   20 +++++++++++++++++++
 gegl/buffer/gegl-tile.h           |   39
 ++++++++++++++++++++++--------------
 gegl/gegl-types.h                 |    5 ++++
 5 files changed, 57 insertions(+), 22 deletions(-)

commit 5787111d2fdda973e1674f5e0dc948e432f950c4
Author: Jon Nordby <jononor@gmail.com>
Date:   Sat Oct 1 00:57:14 2011 +0200

    Fix unprefixed public type. Point -> GeglPathPoint

 gegl/property-types/gegl-path.c |   30 +++++++++++++++---------------
 gegl/property-types/gegl-path.h |   36
 ++++++++++++++++++------------------
 operations/external/path.c      |    4 ++--
 operations/workshop/warp.c      |    2 +-
 4 files changed, 36 insertions(+), 36 deletions(-)

commit 0995ed004bed509a231e88fdda01b0c97e8df529
Author: Jon Nordby <jononor@gmail.com>
Date:   Sat Oct 1 00:46:26 2011 +0200

    Remove undefined function declaration. gegl_path_type_get_n_items

 gegl/property-types/gegl-path.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 9e8f617edc63360b3150c4b88b5f3aaa76573c55
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 12 21:04:58 2011 +0200

    introspection: Add some GI annotations

 gegl/gegl-utils.h               |    2 +-
 gegl/gegl.h                     |   50 ++++++++++++++++----------------
 gegl/property-types/gegl-path.h |   60
 ++++++++++++++++++++++++++------------
 3 files changed, 67 insertions(+), 45 deletions(-)

commit c6475033da83779b386e3d1b7860bd9bda964ee8
Author: Jon Nordby <jononor@gmail.com>
Date:   Sat Oct 1 00:36:34 2011 +0200

    tools/create-reference.rb: Handle GI annotations

 tools/create-reference.rb |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 1aec759c9622cf4292cf47bca1d162b0c48277e7
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Sep 23 21:48:11 2011 +0200

    gegl_node_add_child: g_return_if_fail() if the child already has
    a parent

 gegl/graph/gegl-node.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 801e9268136730753379a9b1638e1b7c75198cfc
Author: Michael Muré <batolettre@gmail.com>
Date:   Wed Aug 3 02:50:17 2011 +0200

    warp: balance a bit the different behaviors

 operations/workshop/warp.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 0f5b89fdfb3206936157523c425b56515f75128c
Author: Michael Muré <batolettre@gmail.com>
Date:   Wed Aug 3 02:22:12 2011 +0200

    warp: store the lookup table as double and perform a linear
    interpolation when fetching a value

 operations/workshop/warp.c |   28 +++++++++++++++++-----------
 1 files changed, 17 insertions(+), 11 deletions(-)

commit 5bceea19ed4232e55c5c81456fa3b27576063f7b
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 21:54:47 2011 +0200

    warp: set the range for the strength to 1-->100

 operations/workshop/warp.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit fe8b7933eafb1b3cbfdfed3d2c4e3cd2f0fcea29
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 21:42:32 2011 +0200

    warp: compute the stamp curve without the strength factor

 operations/workshop/warp.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit d9be96be02a791b20c9d7475809d5e461045901e
Author: Michael Muré <batolettre@gmail.com>
Date:   Mon Aug 1 20:20:04 2011 +0200

    prefix function point_lerp and point_dist with gegl_path_

 operations/workshop/warp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f7a7debc36d18fddb02bcfb6d6864306d17766df
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jul 28 14:19:12 2011 +0200

    gegl:warp: don't stamp if oustide the roi

 operations/workshop/warp.c |   39 ++++++++++++++++++++++-----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit 42afa26aa866e0b7c7b5a8f83af4b254171057b3
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sat Jul 9 22:26:58 2011 +0200

    gegl:warp: rename warp_private to WarpPrivate and fix compilation

 operations/workshop/warp.c |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 1b767c2dc47b59e7518a9a07fb505a60da927f57
Author: Michael Muré <mure.michael@gmail.com>
Date:   Sat Jul 9 19:15:54 2011 +0200

    add a wip operator warp in the workshop, and dedicated enum in
    gegl-enums

 gegl/gegl-enums.h          |   12 ++
 operations/workshop/warp.c |  368
 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 380 insertions(+), 0 deletions(-)

commit 426663c018ac511d7283fcbd8e68af83fde2fb57
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 14:08:00 2011 +0200

    gegl-path: remove wrong code. After searching in the commit history,
    i'm still unsure what it was supposed to be, but it can't be good.

 gegl/property-types/gegl-path.c |   20 ++++++--------------
 1 files changed, 6 insertions(+), 14 deletions(-)

commit 1a63edcf6a3561614d9e83ac46328a7e274453fc
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 13:59:49 2011 +0200

    gegl-path: remove dead code and potential security issue in
    gegl_path_parse_string

 gegl/property-types/gegl-path.c |  104
 ++++++++++++++++-----------------------
 1 files changed, 43 insertions(+), 61 deletions(-)

commit 07b09aa5695f86079a6a843272774f72ba23e7ba
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 11:27:35 2011 +0200

    gegl-path: fix outdated documentation

 gegl/property-types/gegl-path.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 48f242bba84138a273f24b22058a1b34f14fcafe
Author: Michael Muré <batolettre@gmail.com>
Date:   Mon Aug 1 20:20:04 2011 +0200

    prefix function point_lerp and point_dist with gegl_path_

 gegl/property-types/gegl-path.c |   36
 ++++++++++++++++++------------------
 gegl/property-types/gegl-path.h |    4 ++--
 operations/external/path.c      |    4 ++--
 3 files changed, 22 insertions(+), 22 deletions(-)

commit a45f5bd395a81d1b52d63e2fbe3f3f9f77139692
Author: Audrey Mandet <mandet.audrey@gmail.com>
Date:   Sun Sep 18 19:51:50 2011 +0200

    add a waves operator, ported from the legagy gimp plugin

 operations/workshop/waves.c |  165
 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 165 insertions(+), 0 deletions(-)

commit 4322ba60eb39abd918da0d69e91a1a10467e1317
Author: Jon Nordby <jononor@gmail.com>
Date:   Wed Sep 14 23:54:56 2011 +0200

    introspection: Make gegl_module_register not show up in .gir

    Causes build problems with vala, as Glib.TypeInfo and TypeFlags
    are not exposed.
    Currently removes introspection for everything in gegl-module
    and gegl-plugin. Enabling operations to be written in other languages
    than C is a secondary goal.

 gegl/Makefile.am         |    6 ++++--
 gegl/module/geglmodule.c |   12 ++++++++++++
 2 files changed, 16 insertions(+), 2 deletions(-)

commit e90f37360d18b225b5225a516dcb3702b8107cfa
Author: Jon Nordby <jononor@gmail.com>
Date:   Wed Sep 14 19:18:01 2011 +0200

    vala: Add .deps file, specifying dependencies

 gegl/Makefile.am   |    4 +++-
 gegl/gegl-0.1.deps |    1 +
 2 files changed, 4 insertions(+), 1 deletions(-)

commit fb451ca986fecd646b54cd1e9b8b403b7a561a0a
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 12 18:36:13 2011 +0200

    introspection: Output all warnings from g-ir-scanner

 gegl/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ae5aa40c4abb06295a1a7a5ab56921e1e9acaf93
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 12 18:34:16 2011 +0200

    Remove generated file gegl-enums.c

 gegl/.gitignore   |    1 +
 gegl/gegl-enums.c |   46 ----------------------------------------------
 2 files changed, 1 insertions(+), 46 deletions(-)

commit 873861158b302b8f1cfc7d9e35fafd774287ab16
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Sep 13 09:00:06 2011 +0200

    bump the glib required version to 2.28.0, since we use
    g_list_free_full ()

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a1148f9ac7686cf2e3ea8fd0a460e8841805f8c
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Sep 13 00:53:44 2011 +0530

    build: Remove --enable-maintainer-mode as it's now the default

 autogen.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2a7edb919049b310220982b552c570602c80f88d
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Sep 13 00:22:24 2011 +0530

    build: Enable maintainer mode by default

    See
    <http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/>.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f5c35a8c46b3c2e43653c30f6526a2d900db979
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sun Sep 11 18:00:36 2011 +0530

    lens-correct: Init alpha in CCM

 operations/workshop/external/lens-correct.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 855a429bc8d29a738132a55db52c8c41d31f1013
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 19:34:41 2011 +0530

    jpg-save: Add support for grayscale output

 operations/external/jpg-save.c |   46
 ++++++++++++++++++++++++++++++---------
 1 files changed, 35 insertions(+), 11 deletions(-)

commit d80b2399cd1cc84c1d09706eaf5d08477e0d81c1
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 15:55:07 2011 +0530

    Revert "jp2-load: Init and cleanup Jasper"

    This reverts commit 6f109152faa74a4700cf4d58c993367a8b3572df. It was a
    mistake to commit it as Jasper is already initialized in prepare().

 operations/external/jp2-load.c |   17 +++++------------
 1 files changed, 5 insertions(+), 12 deletions(-)

commit f92aef08f3ee2dcf13e948e5b23deeaa80d29798
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 15:04:06 2011 +0530

    jp2-load: Handle default case

 operations/external/jp2-load.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c7536c87006ee97cc9fbc3dc37543264cc970a53
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 15:03:54 2011 +0530

    jp2-load: Write data into buffers correctly

 operations/external/jp2-load.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 6f109152faa74a4700cf4d58c993367a8b3572df
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 14:54:54 2011 +0530

    jp2-load: Init and cleanup Jasper

 operations/external/jp2-load.c |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit a1bba18d57d8b7dbe1715f9c0749334d02da7cf2
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 13:57:25 2011 +0530

    jp2-load: Coding style changes

 operations/external/jp2-load.c |   50
 ++++++++++++++++++++--------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit ed114abb0461622c6413a8e8cbd331eace7cf19c
Author: Mukund Sivaraman <muks@banu.com>
Date:   Sat Sep 10 13:57:09 2011 +0530

    jp2-load: Don't allocate large buffers

    Also simplify the code considerably.

 operations/external/jp2-load.c |  133
 ++++++++++++++++++++--------------------
 1 files changed, 66 insertions(+), 67 deletions(-)

commit d52a8f0a5a3738fbe90575f8e4673b2caf7b891a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 18:02:03 2011 +0530

    png-save: Don't zero alloc buffer

 operations/external/png-save.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1671038f59a3e552aaf5abd715568312faae7326
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 18:01:57 2011 +0530

    jpg-save: Don't zero alloc buffer

 operations/external/jpg-save.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 33f6bb5775d91520e18b91507e961ea55fa80a3e
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Sep 8 09:12:25 2011 +0200

    gegl-enums.h: add missing new line

 gegl/gegl-enums.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2b7399d47a928ce2eeb8001e5c47d7b36e549dd4
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:24:10 2011 +0530

    Remove old jpg-save op from workshop

    I wrote this, put it in workshop, and wrote a new op again.
    How stupid is that?

 operations/workshop/external/Makefile.am |    6 -
 operations/workshop/external/jpg-save.c  |  170
 ------------------------------
 2 files changed, 0 insertions(+), 176 deletions(-)

commit da75c7508d1a16c53787c0b2cdec2e1b2fc36221
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:23:10 2011 +0530

    jpg-save: Set default MCUs and use no restart markers

 operations/external/jpg-save.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 20de28358482bf6cab857185a2c6daf321d376d6
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:22:50 2011 +0530

    jpg-save: Add smoothing property

 operations/external/jpg-save.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 0b61f448e351594094ec259f905baea107046a36
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:22:31 2011 +0530

    jpg-save: Whitespace changes

 operations/external/jpg-save.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 048716bde797c80568ca9627eb88cab37be4b031
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:22:11 2011 +0530

    jpg-save: Destroy compress struct when done

 operations/external/jpg-save.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit aebe83954a91256c79a067656f13bd9c0dde9fc8
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 12:17:15 2011 +0530

    jpg-save: Add JPEG save op

 operations/external/Makefile.am |    5 +-
 operations/external/jpg-save.c  |  153
 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+), 1 deletions(-)

commit 4e18f6d216c28745e8d9d16ada111e3aa2d9c94d
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 11:25:56 2011 +0530

    jpg-load: Add support for grayscale JPEGs

 operations/external/jpg-load.c |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit 1ba0ac815b316d15383d44f31a5e5e14917e638c
Author: Mukund Sivaraman <muks@banu.com>
Date:   Thu Sep 8 11:02:59 2011 +0530

    jpg-load: Remove num_components check which is not needed when
    getting bbox

    cinfo.output_components only seems to be populated when the decoder
    is started, and we don't do that anymore here.

    The main process() routine checks for it.

 operations/external/jpg-load.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit d3625ff8574fa8234d387261c8361d83481a5117
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Sep 7 16:42:21 2011 +0530

    jpeg-load: Don't start decompress when querying image size

    It generates in a warning from libjpeg (when an error handler
    is installed). Besides it's wasteful.

 operations/external/jpg-load.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 81010e2cb8d1920785432daaf6c7b0ab51da30b8
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 5 20:56:05 2011 +0200

    build: Also check for PyGObject before running Python/GI tests

 configure.ac             |    7 +++++++
 tests/python/Makefile.am |    4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 9b0a973466013f8a356ab4f424fc6fb496e28870
Author: Michael Muré <batolettre@gmail.com>
Date:   Mon Sep 5 20:34:26 2011 +0200

    website: some css tweak

 tools/create-reference.rb   |    2 +-
 tools/operation_reference.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a2c10f847041510e82127074293a1002bcce4b5a
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 5 19:46:47 2011 +0200

    build: Fix typo leading to check failure

    :( Sloppy.

 tests/python/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cc86f3caa0d69ec23316db9ad4efda3088a1cdbe
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 5 00:26:37 2011 +0200

    tests: Add infrastructure and some python (introspection) tests

 configure.ac                   |    6 +++
 tests/Makefile.am              |    4 +-
 tests/python/.gitignore        |    2 +
 tests/python/Makefile.am       |   17 ++++++++
 tests/python/test-gegl-node.py |   82
 ++++++++++++++++++++++++++++++++++++++++
 tests/python/test-gegl.py      |   41 ++++++++++++++++++++
 6 files changed, 151 insertions(+), 1 deletions(-)

commit eaef7d2c66c2de63862bd8aa37f5af17e9e3e274
Author: Jon Nordby <jononor@gmail.com>
Date:   Mon Sep 5 19:28:58 2011 +0200

    Fix distcheck failing due to non-disted file common.c

 tests/xml/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 60012f4e951ba74390ca414a6da5e7d1752b1c13
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Sep 5 18:33:28 2011 +0530

    ditto: An op to help test sampling of map ops

 operations/workshop/ditto.c |  112
 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 112 insertions(+), 0 deletions(-)

commit 0c35a0a62fae108239055a10b4da34b1df7c5123
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Sep 5 18:16:30 2011 +0530

    ripple: Set shift for the default case

 operations/workshop/ripple.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 31c2491aba905738e6ff3534129071763f698f2a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Sep 5 18:12:34 2011 +0530

    build: Fix multiple definition of CLEANFILES

 gegl/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e98da7c5835ecc4ebd87ced4755f4d2071d32d0f
Author: Jon Nordby <jononor@gmail.com>
Date:   Sun Sep 4 22:27:32 2011 +0200

    tests: Trivial tests for XML loading

 tests/xml/.gitignore  |    2 +-
 tests/xml/Makefile.am |    1 +
 tests/xml/test-load.c |  178
 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 180 insertions(+), 1 deletions(-)

commit 30ae2926b10007facb8d74069d089f6864313085
Author: Jon Nordby <jononor@gmail.com>
Date:   Sun Sep 4 22:25:52 2011 +0200

    tests: Missing changes from previous commit

    Should have been in 7e32244ef317288e80db467793f7292ef459eb77

 configure.ac      |    1 +
 tests/Makefile.am |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 2249260003e43fa57bfed41f493cfbb72ab36e95
Author: Mukund Sivaraman <muks@banu.com>
Date:   Mon Sep 5 00:37:53 2011 +0530

    ripple: Fix typo in prop description

 operations/workshop/ripple.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 66c5937a46d5da3781795776c151887111deaae9
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Aug 4 15:13:29 2011 +0200

    gegl-buffer-iterator.h: fix wrong doc

 gegl/buffer/gegl-buffer-iterator.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9afd12e6735f7b32a9a9b03024427b7ffeb9e50f
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Jul 23 13:03:53 2011 +0200

    add quick doc to explain what does classes in gegl/buffer/

 gegl/buffer/gegl-tile-backend-file.h    |    4 ++++
 gegl/buffer/gegl-tile-backend-ram.h     |    4 ++++
 gegl/buffer/gegl-tile-backend-tiledir.h |    4 ++++
 gegl/buffer/gegl-tile-backend.h         |    7 ++++++-
 gegl/buffer/gegl-tile-handler-cache.h   |    4 ++++
 gegl/buffer/gegl-tile-handler-chain.h   |   10 +++++++---
 gegl/buffer/gegl-tile-handler-empty.h   |    6 ++++++
 gegl/buffer/gegl-tile-handler-log.h     |    4 ++++
 gegl/buffer/gegl-tile-handler-zoom.h    |    4 ++++
 gegl/buffer/gegl-tile-handler.h         |   11 ++++++++++-
 gegl/buffer/gegl-tile-source.h          |    8 +++++++-
 gegl/buffer/gegl-tile-storage.h         |    5 +++++
 12 files changed, 65 insertions(+), 6 deletions(-)

commit 7e32244ef317288e80db467793f7292ef459eb77
Author: Jon Nordby <jononor@gmail.com>
Date:   Sun Sep 4 20:23:02 2011 +0200

    tests: Add some simple XML serialization tests

 tests/xml/.gitignore          |    9 ++
 tests/xml/Makefile.am         |   30 +++++++
 tests/xml/common.c            |   41 ++++++++++
 tests/xml/data/hdr-color.xml  |   16 ++++
 tests/xml/data/rgb-params.xml |   42 ++++++++++
 tests/xml/test-roundtrip.c    |  129 +++++++++++++++++++++++++++++++
 tests/xml/test-save.c         |  169
 +++++++++++++++++++++++++++++++++++++++++
 7 files changed, 436 insertions(+), 0 deletions(-)

commit 76de28282090efa149304865b0d4cab9294e675f
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 20:27:32 2011 +0200

    fix slightly wrong merge

 gegl/gegl-types.c |   39 ---------------------------------------
 1 files changed, 0 insertions(+), 39 deletions(-)

commit 4447d8deadb553057571116651f9f00f5959dc92
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 19:11:30 2011 +0200

    ripple: add sawtooth wave type using an enum property

 gegl/gegl-enums.c            |   15 +++++++++++++++
 gegl/gegl-enums.h            |   12 ++++++++++++
 operations/workshop/ripple.c |   28 ++++++++++++++++++++++++----
 3 files changed, 51 insertions(+), 4 deletions(-)

commit aace9a86762fcb2623c650f44f8b61ca6255a762
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 18:47:51 2011 +0200

    ripple: allow to choose the sampler

 operations/workshop/ripple.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 62d8cfe33e546e0a36a430d0326178049f076b0e
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 14:18:44 2011 +0200

    gegl-xml: add support to reading xml properties in xml files

 gegl/gegl-xml.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 4b7b20ddd1e08d119917ebd45cba01cf6e35cc9c
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 13:34:36 2011 +0200

    gegl-xml: add serialisation to xml for enum properties

 gegl/gegl-xml.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 17ffbb9e4f1cbd876bdad3624d1d2683dfd1c0ed
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 13:00:05 2011 +0200

    gegl-xml: check class variable earlier to avoid segfault

 gegl/gegl-xml.c |   84
 +++++++++++++++++++++++++++---------------------------
 1 files changed, 42 insertions(+), 42 deletions(-)

commit ea1b95910955b6f15f110e8e1676179468cd816b
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Sep 4 18:18:01 2011 +0200

    add a proper automatic registration for enum using glib-mkenums

 configure.ac      |    6 ++++++
 gegl/Makefile.am  |   20 +++++++++++++++++++-
 gegl/gegl-enums.c |   31 +++++++++++++++++++++++++++++++
 gegl/gegl-enums.h |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 gegl/gegl-types.h |   13 ++-----------
 5 files changed, 104 insertions(+), 12 deletions(-)

commit 500bef586bf05d8c50bedd1f5b1ee35d35909711
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Jul 9 12:08:17 2011 +0200

    rename all GEGL_INTERPOLATION_* to GEGL_SAMPLER_*

 gegl/buffer/gegl-buffer.h                   |   14 +++++++-------
 gegl/buffer/gegl-sampler.c                  |   22 +++++++++++-----------
 gegl/gegl-plugin.h                          |    2 +-
 gegl/gegl-types.c                           |   10 +++++-----
 gegl/gegl-types.h                           |   10 +++++-----
 operations/common/map-absolute.c            |    2 +-
 operations/common/map-relative.c            |    2 +-
 operations/common/mirrors.c                 |    2 +-
 operations/workshop/convolution-matrix.c    |    2 +-
 operations/workshop/cubism.c                |    2 +-
 operations/workshop/external/gluas.c        |    4 ++--
 operations/workshop/external/lens-correct.c |    2 +-
 operations/workshop/fractal-trace.c         |    4 ++--
 operations/workshop/lens-distortion.c       |    2 +-
 operations/workshop/noise-spread.c          |    4 ++--
 operations/workshop/plasma.c                |    8 ++++----
 operations/workshop/polar-coordinates.c     |    2 +-
 operations/workshop/whirl-pinch.c           |    2 +-
 18 files changed, 48 insertions(+), 48 deletions(-)

commit 81322c10ce9cd5f9961f565f32d2874bf466f82b
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Jul 9 11:54:54 2011 +0200

    gegl-chant: replace gegl_chant_sampler with a generic gegl_chant_enum
    and update ops

 gegl/gegl-chant.h                |   56
 +++++++++++++++++++-------------------
 operations/common/map-absolute.c |    4 +-
 operations/common/map-relative.c |    4 +-
 3 files changed, 32 insertions(+), 32 deletions(-)

commit 412603565306a57ded91628f7e0e22f5564edb34
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 5 21:35:06 2011 +0200

    map-relative/absolute: rename interpolation to sampler_type

 operations/common/map-absolute.c |    4 ++--
 operations/common/map-relative.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8602882da0f85b65b90046d42810b29de03447d1
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 5 17:26:04 2011 +0200

    rename gegl_chant_interpolation to gegl_chant_sampler

 gegl/gegl-chant.h                |   28 ++++++++++++++--------------
 operations/common/map-absolute.c |    4 ++--
 operations/common/map-relative.c |    4 ++--
 3 files changed, 18 insertions(+), 18 deletions(-)

commit b386949e45aa7cf54c763781e8b7fe34f80d0b16
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Jul 3 11:51:15 2011 +0200

    map-absolute, map-relative: add a property to choose the sampler

 gegl/gegl-chant.h                |    4 ++--
 operations/common/map-absolute.c |    9 ++++++---
 operations/common/map-relative.c |    7 ++++---
 3 files changed, 12 insertions(+), 8 deletions(-)

commit fb0fff2ed554e0a23f5821b5fd503cb0711c0168
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Sep 3 16:27:51 2011 +0200

    replace the ripple op from Sasu Robert by a cleaner version

 operations/common/ripple.c   |  142 -------------
 operations/workshop/ripple.c |  452
 ++++++------------------------------------
 2 files changed, 56 insertions(+), 538 deletions(-)

commit 8b837d27abf74fe43a7dc2f1b9f3ce470ffc4286
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Sep 3 16:12:48 2011 +0200

    docs: fix bad copy/paste

 docs/index-static.txt.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f985f7ab89eea0deaafb70f13e77a811910ac2ea
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 12:49:21 2011 +0200

    document operation-point-render

 docs/index-static.txt.in                     |    5 +++++
 gegl/operation/gegl-operation-point-render.h |    6 ++++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 0f112259a78ae00cca805f0eaf8ba5316979eb1b
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 12:11:37 2011 +0200

    ripple: coding style, cleanup

 operations/common/ripple-test.c |  149
 ---------------------------------------
 operations/common/ripple.c      |  142
 +++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+), 149 deletions(-)

commit deedc443a2c905e0d566a69aadbb432f5b1a93b8
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 10:51:50 2011 +0200

    bin/gegl.c: display a message and abort if the graph is invalid

 bin/gegl.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 41970fff1eb3c566fe28fa675196eefdd2c32da0
Author: Hans Lo <hansshulo@gmail.com>
Date:   Fri Apr 8 03:56:26 2011 -0400

    ripple experimentation with gegl

 operations/common/ripple-test.c |  149
 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 149 insertions(+), 0 deletions(-)

commit 63e03ba259d32cebdd6155d4e9c5d9bc662d0e4b
Author: Joao S. O. Bueno <gwidion@mpc.com.br>
Date:   Sat Sep 3 20:25:20 2011 +0200

    pygegl: Add some GeglRectangle convenience

    https://bugzilla.gnome.org/show_bug.cgi?id=543021

 bindings/pygegl/Gegl/fifthleg.py |   58
 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 57 insertions(+), 1 deletions(-)

commit c1c2e1273b67eab2f4cd3cd040b6c12f148275f5
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Sep 3 19:03:04 2011 +0200

    bin/gegl: unref the graph after main_loop_run return

    and do not set the window-title if there is no file.

 bin/gegl.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8bc1bc53de5e3766e9fc7cfb79e94a3cf0d208fc
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Sep 3 17:21:57 2011 +0200

    pixelise: small oversight

    and update its reference image

 operations/common/pixelise.c              |    2 +-
 tests/compositions/reference/pixelise.png |  Bin 5023 -> 5392 bytes
 2 files changed, 1 insertions(+), 1 deletions(-)

commit 3e9936ecb791077c6a6530f73f58a2de2b92e5d2
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Sep 3 17:21:23 2011 +0200

    fattal02: correct a minor oversight

    and update its reference test image.

    In fattal02_gaussian_blur (not really gaussian, but anyway..)
    uninitialised or already blurred values were used to compute
    the first and last row.

 operations/common/fattal02.c              |    8 ++++----
 tests/compositions/reference/fattal02.png |  Bin 200169 -> 200108 bytes
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ab01ac6400ef8fe9fd86c74eef5258fae7186431
Author: Mukund Sivaraman <muks@banu.com>
Date:   Fri Sep 2 10:32:25 2011 +0530

    build: Remove missing source file (lens-correct.h) from Makefile.am

 operations/workshop/external/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bbb5c908ac66d7e40ef12e4a80b0a45ddcc16958
Author: Mukund Sivaraman <muks@banu.com>
Date:   Fri Sep 2 08:17:33 2011 +0530

    lens-correct: Move op to operations/workshop/external and fix build

 operations/workshop/Makefile.am             |   10 -
 operations/workshop/external/Makefile.am    |    7 +
 operations/workshop/external/lens-correct.c |  476
 +++++++++++++++++++++++++++
 operations/workshop/lens-correct.c          |  476
 ---------------------------
 4 files changed, 483 insertions(+), 486 deletions(-)

commit 6d3f499731a9e36cb42ff69b1283cf027b212038
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 01:10:38 2011 +0200

    gegl-buffer.h: complete doc and fix doc generation

 gegl/buffer/gegl-buffer.h |   34 ++++++++++++++++++++--------------
 1 files changed, 20 insertions(+), 14 deletions(-)

commit 83bd005865219c63bf962e66c4dc48d8fe0e9fdc
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 00:35:25 2011 +0200

    operation_reference.c: fix wrong variable type

 tools/operation_reference.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1529eb81d4ad563de85bebc896b2c50efeb6b903
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Sep 2 00:08:35 2011 +0200

    operation_reference.c: clamp property values with +-inf if more than
    7 digits for int, display value for float properties

 tools/operation_reference.c |  107
 ++++++++++++++++++++++++++----------------
 1 files changed, 66 insertions(+), 41 deletions(-)

commit 1cec6e9df81b5fd1d2bd7a184fbfabb4d68518fc
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Sep 1 23:56:07 2011 +0200

    Bug 655280 - Devel docs badly formatted
    display +inf or -inf if the default value is more than 7 digits

 tools/operation_reference.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 8ad98ebfa6ed7ba3a75967b475e0f0e24d6d6e3a
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Sep 1 23:23:31 2011 +0200

    Bug 648693 - Checkerboard rendered incorrectly

    use a fully defined function to divide (rounding is undefined for
    negative argument in C) and fix the pattern when crossing zero.

 operations/common/checkerboard.c |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit f3e836ec3d61904db5f861bb11d4b04b52a0f0ab
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:18:14 2011 +0530

    deinterlace: Rename functions

 operations/workshop/deinterlace.c |   44
 ++++++++++++++++++------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit eccdda2bad5393af3f04a0b62c792e880b814041
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:14:01 2011 +0530

    deinterlace: Indent code to our style (contd.)

 operations/workshop/deinterlace.c |   46
 +++++++++++++++++++++----------------
 1 files changed, 26 insertions(+), 20 deletions(-)

commit c44d22afcf2a1b6f63c1cd52fe5615834d133d1e
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:05:52 2011 +0530

    color-to-alpha: Remove unused macros

 operations/workshop/color-to-alpha.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 10d940059981713085f2ad732f817bd55df8bdb3
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:05:03 2011 +0530

    color-to-alpha: Add single precision suffixes to FP literals

    ... where applicable.

 operations/workshop/color-to-alpha.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f4857f7e5be3e1ff67d09c150e1a34b6b01b1c93
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:03:49 2011 +0530

    color-to-alpha: Remove redundant assignment

 operations/workshop/color-to-alpha.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 23121ffbfcd2ae3cc35945fba973ab56c0e430e9
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 19:03:25 2011 +0530

    color-to-alpha: Indent code to our style (contd.)

 operations/workshop/color-to-alpha.c |   34
 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit 7e420a45062c4635dca543c3053ddda2e1896ccb
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 18:58:08 2011 +0530

    color-rotate: Rename macro TP to TWO_PI

 operations/workshop/color-rotate.c |   29 ++++++++++++++---------------
 1 files changed, 14 insertions(+), 15 deletions(-)

commit 20998c5c949c9b94bac735ff9a37752f7d6ffd78
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 18:52:05 2011 +0530

    color-rotate: Make variables lowercase

 operations/workshop/color-rotate.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 10325034b8f55972fbeda739e0c26cb29ae04586
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 18:50:42 2011 +0530

    color-rotate: Remove redundant assignments

 operations/workshop/color-rotate.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit e4df03810510d53cb0371fcc91c0c98321b879dc
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 18:49:39 2011 +0530

    color-rotate: Indent code to our style (contd.)

 operations/workshop/color-rotate.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 9c80772ce14b7aa7a0c10294266e85ee9c21963a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 01:13:31 2011 +0530

    color-rotate: Rename function and change its defintion, args and use

 operations/workshop/color-rotate.c |   96
 +++++++++++++++++-------------------
 1 files changed, 46 insertions(+), 50 deletions(-)

commit c5d133eefb6a098b94b98eeb667d39e0daf4ce14
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 01:09:20 2011 +0530

    color-rotate: Rename function again

 operations/workshop/color-rotate.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 179c2ff50c5901d1564f3c75e7afffbfea618c05
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 01:07:30 2011 +0530

    color-rotate: Update definition of gegl_rgb_to_hsv()

 operations/workshop/color-rotate.c |   60
 ++++++++++++++---------------------
 1 files changed, 24 insertions(+), 36 deletions(-)

commit 0cfcf4a9029e757469e9013b7976ab4b76d6e682
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 01:01:39 2011 +0530

    color-rotate: Rename function

 operations/workshop/color-rotate.c |   21 ++++++++++-----------
 1 files changed, 10 insertions(+), 11 deletions(-)

commit 308e6b995a382abfdfc743222ddb5e1571be00f6
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 01:01:11 2011 +0530

    color-rotate: Change args to gegl_rgb_to_hsv_double()

 operations/workshop/color-rotate.c |   53
 ++++++++++++++++-------------------
 1 files changed, 24 insertions(+), 29 deletions(-)

commit 0a6b4dca3c79e75db7ea076a445924481b9cee58
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Aug 31 00:56:51 2011 +0530

    color-rotate: Change type of color components to float

 operations/workshop/color-rotate.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 74d3ce91bea2508342d29ea4377fbfecf9fd65fe
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 21:13:52 2011 +0530

    lens-distortion: Rename struct

 operations/workshop/lens-distortion.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 9a770ca379d6cbaf48c9307fe4657e97e0e7a21a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:36:43 2011 +0530

    lens-distortion: Indent code according to our style

 operations/workshop/lens-distortion.c |  120
 ++++++++++++++++----------------
 1 files changed, 60 insertions(+), 60 deletions(-)

commit 180348f30f41506ed43674e32699295d17955315
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:36:11 2011 +0530

    lens-distortion: Add missing struct

 operations/workshop/lens-distortion.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 781da1d11869a94ea554bacb31052502a5af83f6
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:36:01 2011 +0530

    lens-distortion: Remove obsolete include

 operations/workshop/lens-distortion.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6a27d5de64720f4567bc226f864516aba3dda506
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:33:42 2011 +0530

    lens-distortion: Add the lens-distortion op from soc-2011-ops branch

 operations/workshop/lens-distortion.c |  312
 +++++++++++++++++++++++++++++++++
 1 files changed, 312 insertions(+), 0 deletions(-)

commit 63f6b39b32172a4dc5e0041ae80ad00cf1bc262e
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:28:28 2011 +0530

    polar-coordinates: Indent code according to our style

 operations/workshop/polar-coordinates.c |   56
 +++++++++++++++---------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit aa03e587bdd3519d6570b7c33c46179068441573
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:27:59 2011 +0530

    polar-coordinates: Add the polar-coordinates op from soc-2011-ops
    branch

 operations/workshop/polar-coordinates.c |  404
 +++++++++++++++++++++++++++++++
 1 files changed, 404 insertions(+), 0 deletions(-)

commit 16679c44b6fbdb5a2af34388f3557c8f0d6d0f87
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:26:44 2011 +0530

    deinterlace: Indent code according to our style

 operations/workshop/deinterlace.c |  142
 ++++++++++++++++++------------------
 1 files changed, 71 insertions(+), 71 deletions(-)

commit 1986b3ca5569e322be87bba986a23f81fe6fb944
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:26:12 2011 +0530

    deinterlace: Add the deinterlace op from soc-2011-ops branch

 operations/workshop/deinterlace.c |  302
 +++++++++++++++++++++++++++++++++++++
 1 files changed, 302 insertions(+), 0 deletions(-)

commit a14d91ec7842a7e5c1176efe04ac3ac4520df3e0
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:25:18 2011 +0530

    convolution-matrix: Indent code according to our style

 operations/workshop/convolution-matrix.c |  260
 +++++++++++++++---------------
 1 files changed, 130 insertions(+), 130 deletions(-)

commit 3f261794fb5fdf156480101975e6d4ea525cd29b
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:24:36 2011 +0530

    convolution-matrix: Add the convolution-matrix op from soc-2011-ops
    branch

 operations/workshop/convolution-matrix.c |  433
 ++++++++++++++++++++++++++++++
 1 files changed, 433 insertions(+), 0 deletions(-)

commit fcffddc1326612c77759405dc4cb664d6ba0b758
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:22:49 2011 +0530

    red-eye-removal: Indent code according to our style

 operations/workshop/red-eye-removal.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 0ce8043bb7dbe7e0f4c3e627228816d0b04afd91
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:22:17 2011 +0530

    red-eye-removal: Add the red-eye-removal op from soc-2011-ops branch

 operations/workshop/red-eye-removal.c |  133
 +++++++++++++++++++++++++++++++++
 1 files changed, 133 insertions(+), 0 deletions(-)

commit 0cf935ceb3a0dd21d7869a6210916ada8679b4a2
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:17:43 2011 +0530

    color-rotate: Indent code according to our style

 operations/workshop/color-rotate.c |  182
 ++++++++++++++++++------------------
 1 files changed, 91 insertions(+), 91 deletions(-)

commit c7b9587f53060d1e65acce5e23f34a8bd4611bf6
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:16:49 2011 +0530

    color-rotate: Add the color-rotate op from soc-2011-ops branch

 operations/workshop/color-rotate.c |  413
 ++++++++++++++++++++++++++++++++++++
 1 files changed, 413 insertions(+), 0 deletions(-)

commit b8240b0d1ddfc2f582098602f01b29af03229caa
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:13:15 2011 +0530

    color-to-alpha: Indent code according to our style

 operations/workshop/color-to-alpha.c |  132
 +++++++++++++++++-----------------
 1 files changed, 66 insertions(+), 66 deletions(-)

commit 3e5234992ec30ef7df5b6764525442fcd989649e
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:12:33 2011 +0530

    color-to-alpha: Add the color-to-alpha op from soc-2011-ops branch

 operations/workshop/color-to-alpha.c |  174
 ++++++++++++++++++++++++++++++++++
 1 files changed, 174 insertions(+), 0 deletions(-)

commit 505b20ad34847cd096d709c75a355186f5ba35df
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:07:40 2011 +0530

    ripple: Indent code according to our style

 operations/workshop/ripple.c |  340
 +++++++++++++++++++++---------------------
 1 files changed, 170 insertions(+), 170 deletions(-)

commit 31fa38c5c4ed037eef18586ff3df30e4e9a84b7f
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:07:03 2011 +0530

    ripple: Add the ripple op from soc-2011-ops branch

 operations/workshop/ripple.c |  483
 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 483 insertions(+), 0 deletions(-)

commit 0a952c5b8a65c4c851313bf9a1b84c44b8cea71a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:06:20 2011 +0530

    cubism: Indent code according to our style

 operations/workshop/cubism.c |  130
 +++++++++++++++++++++---------------------
 1 files changed, 65 insertions(+), 65 deletions(-)

commit 7947265cd35044e34ff084fc520f2665c2ebd094
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:04:09 2011 +0530

    cubism: Fix call to gegl_buffer_sample()

 operations/workshop/cubism.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d85e7909cd573bc216b688644e94d9d937f0dd97
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:03:12 2011 +0530

    cubism: Add the cubism op from soc-2011-ops branch

 operations/workshop/cubism.c |  597
 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 597 insertions(+), 0 deletions(-)

commit f5d2add5b223e440d02d8597909d0760221a2ca9
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 20:01:54 2011 +0530

    emboss: Indent code according to our style

 operations/workshop/emboss.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b5629497dbc51bf737c7da393e0ee270941776fd
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 20:00:56 2011 +0530

    emboss: Add the emboss op from soc-2011-ops branch

 operations/workshop/emboss.c |  250
 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 250 insertions(+), 0 deletions(-)

commit 10d4078631cb699940cf5b90280c53794210ed11
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:54:47 2011 +0530

    lens-correct: Fix include syntax for lensfun.h

 operations/workshop/lens-correct.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 26a18b34bcbc9530c719e8d3e48eafb06fe8c640
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:54:10 2011 +0530

    lens-correct: Move stuff in lens-correct.h into lens-correct.c

    There's no reason this has to be in an external header.

 operations/workshop/Makefile.am    |    2 --
 operations/workshop/lens-correct.c |   26 ++++++++++++++++++++++++--
 operations/workshop/lens-correct.h |   26 --------------------------
 3 files changed, 24 insertions(+), 30 deletions(-)

commit 0f7d8fde844efda085886d0a22ba2a60075d9f29
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:51:01 2011 +0530

    display: Remove unused variable

 operations/common/display.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b336a2677d6faaf6d94c6291c1d5f5ddbd045a6e
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:50:50 2011 +0530

    build: Add lensfun to build deps

 configure.ac                    |   20 ++++++++++++++++++++
 operations/workshop/Makefile.am |   12 +++++++++++-
 2 files changed, 31 insertions(+), 1 deletions(-)

commit 9a4624949073e69c594e563951dfe41e8454e6de
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:34:54 2011 +0530

    build: Sort version numbers

 configure.ac |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit b826c2b8656d4c6d3c229b3e1df61a04c8d055ad
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:32:40 2011 +0530

    lens-correct: Add missing alpha member to LensCorrectionModel

 operations/workshop/lens-correct.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3fd09d1fbd719bd83ca48091442a008ae57d2def
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:25:57 2011 +0530

    lens-correct: Indent code according to our style

 operations/workshop/lens-correct.c |  248
 ++++++++++++++++++------------------
 operations/workshop/lens-correct.h |   10 +-
 2 files changed, 129 insertions(+), 129 deletions(-)

commit ae20eb1032724a66057ea996f352640a8d89343f
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:24:35 2011 +0530

    lens-correct: Remove trailing whitespace

 operations/workshop/lens-correct.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 25a24635a7f214e67014212b4c6c88ce5bad0de7
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Aug 30 19:23:21 2011 +0530

    Make automake not print non-GNU warnings

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1da19308f3c95f683ad8f0ae3ea32dbe20d9dc08
Author: Robert Sasu <sasu.robert@gmail.com>
Date:   Tue Aug 30 19:20:01 2011 +0530

    lens-correct: Update the lens-correct op from soc-2011-ops branch

 operations/workshop/lens-correct.c |  643
 +++++++++++++++++++-----------------
 1 files changed, 345 insertions(+), 298 deletions(-)

commit 885bb8dc71bc48e2efe58b6012133357f995cc5a
Author: Michael Muré <batolettre@gmail.com>
Date:   Wed Aug 24 01:36:16 2011 +0200

    examples/float-lookup: not really a memory leak since it's freed
    when the program ends, but fix it anyway

 examples/float-lookup.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2d0aafb83bc8ca68cb39d0deabf10f036f8a6bab
Author: Michael Muré <batolettre@gmail.com>
Date:   Wed Aug 24 01:12:39 2011 +0200

    gegl-path: fix potential memory leak

 gegl/property-types/gegl-path.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 7b8d366bb52a0b5662ebeb3abdaad000877bc2dd
Author: Nicolas Robidoux <nicolas.robidoux@gmail.com>
Date:   Sun Aug 21 00:47:10 2011 +0200

    Add Chantal, John and Anthony to AUTHORS

 AUTHORS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9d4e3d1621dd4228d571805ff647e5889c803491
Author: Jon Nordby <jononor@gmail.com>
Date:   Fri Aug 19 22:59:01 2011 +0200

    Add G_{BEGIN,END}_DECLS guards to chant/plugin headers

    Without these C++ compilers will interpret the definitions as
    C++ which can lead to symbol mismatches due to mangling, et.c.

    For compatability with older gegl versions, consumers can
    use an extern "C" block around the include statement instead.

 gegl/gegl-chant.h  |    2 ++
 gegl/gegl-plugin.h |    3 +++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 0d02a9af096c2b8d4944b0b07dbaa9a95c496ad0
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Fri Aug 19 13:01:10 2011 +0200

    gegl-tile: keep destroy_notify member in sync with data

    add a test that exercises the paths modified, mainly to
    be executed with valgrind

 gegl/buffer/gegl-tile.c                         |    5 ++++
 tests/buffer/reference/dup_linear_from_data.buf |   13 +++++++++++
 tests/buffer/tests/dup_linear_from_data.c       |   26
 +++++++++++++++++++++++
 3 files changed, 44 insertions(+), 0 deletions(-)

commit fb80e6f823c1929c312c1282a84c16773b15add5
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Wed Aug 17 17:26:31 2011 +0200

    memory leaks

 bin/gegl.c                          |    1 +
 gegl/buffer/gegl-buffer-linear.c    |   26 ++++++++++----------------
 gegl/buffer/gegl-buffer.c           |    4 ++++
 gegl/buffer/gegl-sampler-cubic.c    |    9 +++++++++
 gegl/gegl-xml.c                     |    2 +-
 gegl/graph/gegl-node.c              |    2 +-
 gegl/process/gegl-eval-mgr.c        |    2 ++
 operations/affine/affine.c          |   13 +++++++++++--
 operations/common/dropshadow.c      |    4 +++-
 operations/common/fattal02.c        |    4 ++++
 operations/external/matting-levin.c |    1 +
 11 files changed, 47 insertions(+), 21 deletions(-)

commit d8cdb9a623bfc95f3a9a7e3ff9dd28153d03c2d1
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Wed Aug 17 17:27:31 2011 +0200

    buffer leaks in make check

 gegl/buffer/gegl-buffer-linear.c                   |    2 ++
 tests/buffer/buffer-test.c                         |    6 +++++-
 tests/buffer/tests/linear_from_data.c              |    2 +-
 tests/buffer/tests/linear_from_data_rows.c         |    2 +-
 tests/buffer/tests/linear_modify.c                 |    2 +-
 tests/buffer/tests/linear_new.c                    |    2 +-
 tests/buffer/tests/linear_proxy_modify.c           |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator1sub.c |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator2.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator2sub.c |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator3.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator3sub.c |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator4.c    |    2 +-
 tests/buffer/tests/test_gegl_buffer_iterator4sub.c |    2 +-
 14 files changed, 19 insertions(+), 13 deletions(-)

commit 3acec72ea5abc81cb29da12ac5c94c297f78b5ac
Author: Barak Itkin <lightningismyname@gmail.com>
Date:   Wed Aug 17 00:50:19 2011 +0300

    gegl-processor: More handling of sink operations without an input

    In case of a sink operation which has no input, upon the creation of
    the processor a critical error will be logged to assist
    debugging. Also
    functions that depend on the input being not NULL, will now exit with
    the apropriate value (and will log an error).

 gegl/process/gegl-processor.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit 1542c3f2cc82c8505c6907aacb30d0606888f08e
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 16 23:11:49 2011 +0200

    gegl-processor: add a g_return_if_fail to prevent a segfault if a
    sink operator has no input

 gegl/process/gegl-processor.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d5c1e4dd020da713e9b3ba6764e579f5f4ebb07f
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 11:22:23 2011 +0200

    add 2 more test for gegl_buffer_dup (delete one after duplication)

 .../reference/test_gegl_buffer_dup_delete1.buf     |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_delete2.buf     |   23
 ++++++++++++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_delete1.c  |   13 +++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_delete2.c  |   13 +++++++++++
 4 files changed, 72 insertions(+), 0 deletions(-)

commit ae2ade7065e9a2b13c9589f01d34ee59b1c6526d
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 10:46:17 2011 +0200

    gegl_buffer_get_unlocked: fix a potential dereference of null pointer

 gegl/buffer/gegl-buffer-access.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1ea2514c9b94d8a570fc62f5fcb6e5cd47dbec46
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Aug 2 10:20:17 2011 +0200

    add new test for gegl_buffer_dup (copy on write)

 .../reference/test_gegl_buffer_dup_copy1.buf       |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_copy2.buf       |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_write1.buf      |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_write2.buf      |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_write3.buf      |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_dup_write4.buf      |   23
 ++++++++++++++++++++
 .../reference/test_gegl_buffer_duplicate.buf       |   23
 --------------------
 tests/buffer/tests/test_gegl_buffer_dup_copy1.c    |   13 +++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_copy2.c    |   13 +++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_write1.c   |   14 ++++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_write2.c   |   14 ++++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_write3.c   |   14 ++++++++++++
 tests/buffer/tests/test_gegl_buffer_dup_write4.c   |   14 ++++++++++++
 tests/buffer/tests/test_gegl_buffer_duplicate.c    |   13 -----------
 14 files changed, 220 insertions(+), 36 deletions(-)

commit 744bc9a090445024cd590bed025e8a36731ad345
Author: Michael Muré <batolettre@gmail.com>
Date:   Sat Jul 23 23:58:35 2011 +0200

    gegl-dot: fix a bug that made appear a lonely node next to a subgraph

 gegl/gegl-dot.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 9ab5980e903b99a555267593ff1077dfa19ecd3f
Author: Michael Muré <mure.michael@gmail.com>
Date:   Tue Jul 12 00:36:38 2011 +0200

    gegl-xml.c: correct wrong and misleading indentation

 gegl/gegl-xml.c |   83
 +++++++++++++++++++++++++++----------------------------
 1 files changed, 41 insertions(+), 42 deletions(-)

commit 1a9ad5a86751d480a02fa750596a32113fc3ffb2
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Jul 22 18:34:41 2011 +0200

    gegl-tile-backend-file.c: remove an unneeded printf that segfault
    if block is null

 gegl/buffer/gegl-tile-backend-file.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 89542a70c564040cd90136104c158dcfffb0cc93
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Aug 4 20:19:32 2011 +0200

    gegl-buffer-iterator: don't use a sub-buffer to avoid killing the
    performance

 gegl/buffer/gegl-buffer-iterator.c |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit 3101d3a8b24b570b7b5635a4aa25ec9a01d679a1
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Aug 4 18:21:48 2011 +0200

    gegl-buffer-iterator: fix compilation and previous wrong commit

 gegl/buffer/gegl-buffer-iterator.c |    1 +
 gegl/buffer/gegl-buffer-iterator.h |    1 -
 2 files changed, 1 insertions(+), 1 deletions(-)

commit 4c0253928bb6a9650ad5f42578abdcbd8355ab98
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu Aug 4 16:23:03 2011 +0200

    Don't use 0xdeadbeef "special address" to mark finished iterators.

    Add is_finished member to struct GeglBufferIterator instead as
    0xdeadbeef is a valid address.

 gegl/buffer/gegl-buffer-iterator.c |    6 ++++--
 gegl/buffer/gegl-buffer-iterator.h |    1 +
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 9339fd67bc7f0feb88cfa8b7015fced456355054
Author: Jon Nordby <jononor@gmail.com>
Date:   Thu Aug 4 00:47:06 2011 +0200

    Fix install of gegl vapi file

    The pkg-config package refered no longer exists,
    and currently only libvala provides a vapidir in pkg-config,
    and this package is versioned and changes all the time.
    Other projects just use $(datadir)/vala/vapi, so we do the sam

 configure.ac     |    3 ---
 gegl/Makefile.am |    2 +-
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 7707579e21a91ad4e04618c30366471397367fbe
Author: Jon Nordby <jononor@gmail.com>
Date:   Wed Aug 3 23:11:10 2011 +0200

    Build Vala support (.vapi file) by default

    This can now be generated from the .gir file.

 configure.ac           |   25 +++++++++++++++++++++++++
 gegl/.gitignore        |    1 +
 gegl/Gegl-0.1.metadata |    1 +
 gegl/Makefile.am       |   12 +++++++++++-
 4 files changed, 38 insertions(+), 1 deletions(-)

commit 8c101b704a9f2350f1ad98f551db4ed43e4443ed
Author: Jon Nordby <jononor@gmail.com>
Date:   Wed Jul 20 00:26:05 2011 +0200

    Bring back option for "gegl" binary to show graphs.

    Partial revert of 57ac8cfd3262978d19680f69c6b9ce7311fd1085

 bin/gegl-options.c |    2 +-
 bin/gegl-options.h |    1 +
 bin/gegl.c         |   12 ++++++++++++
 3 files changed, 14 insertions(+), 1 deletions(-)

commit 1300c55497c5066335181b6ac837cf2da58ed053
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Jul 19 22:38:30 2011 +0200

    Add gegl:display meta operation

 operations/common/display.c |  143
 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 143 insertions(+), 0 deletions(-)

commit 8229157e83461e320234fb0e046a90af0258142d
Author: Jon Nordby <jononor@gmail.com>
Date:   Tue Jul 19 22:38:00 2011 +0200

    Rename gegl:display to gegl:sdl-display

 operations/external/Makefile.am   |    6 +-
 operations/external/display.c     |  182
 -------------------------------------
 operations/external/sdl-display.c |  181
 ++++++++++++++++++++++++++++++++++++
 3 files changed, 184 insertions(+), 185 deletions(-)

commit 1c7fd2e28dda2e44bdda63a34d6ef3bb0c9fc994
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 18 21:08:56 2011 +0100

    AUTHORS: add Rasmus Hahn

 AUTHORS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5470164d7a8677d9ea1ea67282650476b4d17aa4
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 18 21:08:30 2011 +0100

    exr-save: normalize coding style

 operations/external/exr-save.cc |  204
 ++++++++++++++++++++++++---------------
 1 files changed, 128 insertions(+), 76 deletions(-)

commit d9512a262c845bb59f47ba103c1b7a32790ccf37
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Jul 18 20:56:50 2011 +0100

    exr-save: add new op from Rasmus Hahn

    Op from Rasmus Hahn - rassahah@googlemail.com, original email follows:

    Hi,

    i have written an operation for gegl that writes OpenEXR float
    images, since
    i noticed there does not seem to be one already and i could use
    it. This
    version is quite usable within it's limitations. Limitations
    currently are:

     - writes only 32 bit linear floating point images.
     - only writes Y or RGB images with optional alpha.
     - does not make use of OpenEXR specialties like layers, mipmaps
       and multichannel.

    It does support the tiled format; for simplicity, however, tiles
    are always
    square.

    I would like to see it included in the distribution; for now i
    have attached
    a patch, which creates a new file gegl/operations/external/exr-save.cc
    and
    makes a modification to the Makefile.am to build it. The patch
    is against
    version gegl-0.1.6, but works with the git-version (as of 2011-07-13),
    too.
    Sorry, for not providing a URL, but i do not have one right now.

    The built operator is named 'gegl:exr-save' and has two properties:
     path (string) - the filename to write to
     tile (int) - the width of a tile (used for both x and y size);
       the default is 0, which means a scanline file is written.

    Any comments or suggestions for this?

    Greetings - Rasmus

 operations/external/Makefile.am |    5 +
 operations/external/exr-save.cc |  200
 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 205 insertions(+), 0 deletions(-)

commit 3bcf162a117c05bb89ea0ca837536589d0cb8e3d
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 10 14:57:15 2011 +0100

    tools/introspect: fix to use never API properly

 tools/introspect.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 94653c933ae56540b397d9edb34e0d5173bfe410
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 5 21:34:19 2011 +0200

    gegl-buffer.h: update doc to silence some warning

 gegl/buffer/gegl-buffer.h |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit ac5a8d21463b9a5a0dec98fbfd2dc4c3c8cd6848
Author: Michael Muré <batolettre@gmail.com>
Date:   Fri Jul 1 17:01:38 2011 +0200

    GeglPath: add acces to the non-flattened path

 gegl/property-types/gegl-path.c |    8 ++++++++
 gegl/property-types/gegl-path.h |   11 ++++++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)

commit 4ae539ded69faeb1dfa51edaf0ce9c87d69434da
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jun 30 13:38:42 2011 +0200

    gegl-path.h: add myself in the copyright

 gegl/property-types/gegl-path.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0c8b8b2292d45a952f776becc6af0bff90f96b56
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jun 30 13:37:35 2011 +0200

    GeglPath: document internal flattener function

 gegl/property-types/gegl-path.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit 042e9f9c5c4a6d6895733f8ac9ff7ad469118604
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jun 30 13:31:13 2011 +0200

    path: add back the stroking code from GeglPath to the path op

 operations/external/path.c |  239
 ++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 231 insertions(+), 8 deletions(-)

commit a9c834543276bc21e51ae3a25b8b4f68423f85b7
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 21:33:31 2011 +0200

    path: remove dead code

 operations/external/path.c |   47
 +-------------------------------------------
 1 files changed, 1 insertions(+), 46 deletions(-)

commit 0e41b7753b8a0a9b79530889baeefd97cc4b6d34
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 21:09:41 2011 +0200

    vector-fill: fix path_changed

 operations/external/vector-fill.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit d5957c9a10e19a8139a3e474aa6d21f094c45ccd
Author: Michael Muré <batolettre@gmail.com>
Date:   Thu Jun 30 13:30:24 2011 +0200

    GeglPath: expose lerp and point_dist functions

 gegl/property-types/gegl-path.c |   32 ++++++++++++--------------------
 gegl/property-types/gegl-path.h |   25 +++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 20 deletions(-)

commit 38ca27362b2d34583ef80a0dcbd029cbd866a443
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 23:44:31 2011 +0200

    GeglPath: remove the declaration of unused path type "linear curve
    position associated value"

 gegl/property-types/gegl-path.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit a17f2a0169f06b8607df41385c855d65a28aa02a
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 23:43:31 2011 +0200

    GeglPath: remove unused #include

 gegl/property-types/gegl-path.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 81c7582149e12a811aa2131dedf5ba4e0a9ba2a3
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 21:32:07 2011 +0200

    GeglPath: add a gegl_path_get_flat_path function

 gegl/property-types/gegl-path.c |    9 +++++++++
 gegl/property-types/gegl-path.h |    7 +++++++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit 03dd31913a240f1e7fc09716e2c7539ffd991dc1
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 20:33:00 2011 +0200

    GeglPath: docs + some coding style

 gegl/property-types/gegl-path.c |   27 ++++++++++++++++++++-------
 gegl/property-types/gegl-path.h |   11 ++++++-----
 2 files changed, 26 insertions(+), 12 deletions(-)

commit d820372db43b0670062f159279a56f5ceeccd0a6
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 19:40:48 2011 +0200

    GeglPath: fix ensure_tail that didn't work if priv->tail == NULL
    + fix wrong renaming

 gegl/property-types/gegl-path.c |   28 ++++++++--------------------
 1 files changed, 8 insertions(+), 20 deletions(-)

commit 34818c61f6120b46d40a455c6d28d6e0c96f369c
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 19:32:45 2011 +0200

    GeglPath: a bit more of organisation

 gegl/property-types/gegl-path.c |   70
 +++++++++++++++++++-------------------
 1 files changed, 35 insertions(+), 35 deletions(-)

commit bb7fb0fe465d2f5a3572e9095a8d19fa8ff686da
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 19:28:18 2011 +0200

    GeglPath: add some doc

 gegl/property-types/gegl-path.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 4ee274a92bfd125bc82abea10f2f429bdda477fb
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 18:58:14 2011 +0200

    GeglPath: coding style + fix a warning in doc generation

 gegl/property-types/gegl-path.h |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit a465d09267085155566a331aad8713189e8ea558
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 17:49:10 2011 +0200

    GeglPath: coding style

 gegl/property-types/gegl-path.c |  164
 +++++++++++++++++++++------------------
 1 files changed, 88 insertions(+), 76 deletions(-)

commit 59b3182e9f1487fe8933c441bc6689fafd1865bc
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 17:36:41 2011 +0200

    GeglPath: rename GeglPathList related function to gegl_path_list_*

 gegl/property-types/gegl-path.c |  443
 +++++++++++++++++++--------------------
 1 files changed, 221 insertions(+), 222 deletions(-)

commit 000a3f39fd6b7dba07875466ed62600aa20ae1f8
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 28 17:29:10 2011 +0200

    GeglPath: heavy reorganisation and some coding style

 gegl/property-types/gegl-path.c | 2669
 ++++++++++++++++-----------------------
 1 files changed, 1121 insertions(+), 1548 deletions(-)

commit 9b40e10f0da02c78538220fc9cb00478a86bc84f
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 21 15:58:19 2011 +0200

    GeglPath: start organizing the file

 gegl/property-types/gegl-path.c |  259
 +++++++++++++++++++--------------------
 1 files changed, 127 insertions(+), 132 deletions(-)

commit 8ceb2434d76ae476cbf39fdea66fef401d30e4ed
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 21 14:47:54 2011 +0200

    GeglPath: remove GEGL_PATH_INTERNAL

 gegl/property-types/gegl-path.c |   13 -------------
 gegl/property-types/gegl-path.h |    6 ------
 2 files changed, 0 insertions(+), 19 deletions(-)

commit 2e8c408dc69970a3e9a7167500751368a7651d27
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jun 21 14:25:46 2011 +0200

    GeglPath: remove dead code

 gegl/property-types/gegl-path.c |  134
 +--------------------------------------
 gegl/property-types/gegl-path.h |    3 -
 2 files changed, 1 insertions(+), 136 deletions(-)

commit 2da8a6f93becbd97c759dc093de8f548b1d175d8
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Jul 6 19:15:12 2011 +0530

    plasma: Minimize code

 operations/workshop/plasma.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 128e4941108be0ccc184c981cdd61c6fb367b263
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Wed Jul 6 14:43:39 2011 +0100

    plasma: revert accidental code removal

 operations/workshop/plasma.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 18086b8a07fb81d033a07ef84896a427cc4edccb
Author: Michael Muré <batolettre@gmail.com>
Date:   Tue Jul 5 17:12:04 2011 +0200

    add missing file gegl-types.c for the GeglSamplerType enum

 gegl/gegl-types.c |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 54d3b4af5cebd10514390514b41fdc672fd0939f
Author: Michael Muré <batolettre@gmail.com>
Date:   Sun Jul 3 03:10:44 2011 +0200

    add GeglInterpolation enum in the chant system, not totally working

 gegl/Makefile.am          |    1 +
 gegl/buffer/gegl-buffer.h |    8 ------
 gegl/gegl-chant.h         |   55
 +++++++++++++++++++++++++++++++++-----------
 gegl/gegl-types.h         |   10 ++++++++
 4 files changed, 52 insertions(+), 22 deletions(-)

commit 37006dce73551483becde3b4b91b2149e977884f
Author: Nils Philippsen <nils@redhat.com>
Date:   Tue Jul 5 11:39:17 2011 +0200

    gegl:lua adapt to updated gegl_buffer_sample() API

 operations/workshop/external/gluas.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit babc448b2522ae6b49a3293762a1b50f99567b66
Author: Michael Muré <batolettre@gmail.com>
Date:   Mon Jul 4 11:55:16 2011 +0200

    fix compilation

 gegl/buffer/gegl-buffer-types.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9f3bae181a05fd804cc94693f9c5c08fc917edfd
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 3 23:20:09 2011 +0100

    sampler: fix gegl_sampler_get_context_rect

 gegl/buffer/gegl-sampler.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 78ceb5769bd7e501be38ecb0225efe03acf4dfe0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 3 18:48:05 2011 +0100

    sampler: add a macro that inlines trampline of gegl_sampler_get

    Added a macro that implements an inlineable variant of
    gegl_sampler_get
    gegl_sampler_get still exists as a function bindable by bindings.

 gegl/buffer/gegl-buffer-private.h |    1 -
 gegl/buffer/gegl-buffer.h         |    3 +++
 gegl/buffer/gegl-sampler.c        |    6 ++++++
 gegl/buffer/gegl-sampler.h        |   20 ++++++++++----------
 gegl/gegl-c.c                     |    1 +
 gegl/gegl-plugin.h                |   14 ++++++++++++++
 operations/affine/affine.c        |   20 +++++++++++---------
 7 files changed, 45 insertions(+), 20 deletions(-)

commit 0cc25a2ed7e5e9cbe865c02f7e909012bce1a241
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Sun Jul 3 17:42:43 2011 +0100

    buffer: removed unusued sampler_set_scale

 gegl/buffer/gegl-buffer.h |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

